/*
  ==============================================================================

  This is an automatically generated file created by the Jucer!

  Creation date:  23 Feb 2012 12:52:59am

  Be careful when adding custom code to these files, as only the code within
  the "//[xyz]" and "//[/xyz]" sections will be retained when the file is loaded
  and re-saved.

  Jucer version: 1.12

  ------------------------------------------------------------------------------

  The Jucer is part of the JUCE library - "Jules' Utility Class Extensions"
  Copyright 2004-6 by Raw Material Software ltd.

  ==============================================================================
*/

//[Headers] You can add your own extra header files here...
#include "PluginProcessor.h"
#include "../JuceLibraryCode/JuceHeader.h"
#include "../JuceLibraryCode/JucePluginCharacteristics.h"
//[/Headers]

#include "ACME4Editor.h"


//[MiscUserDefs] You can add your own user definitions and misc code here...
//[/MiscUserDefs]

//==============================================================================
ACME4PluginAudioProcessorEditor::ACME4PluginAudioProcessorEditor (ACME4PluginAudioProcessor* ownerFilter)
    : AudioProcessorEditor (ownerFilter),
      infoLabel (0),
      label (0),
      cachedImage_acme4_scaled_png (0)
{
    addAndMakeVisible (infoLabel = new Label (L"new label",
                                              L"\n"));
    infoLabel->setFont (Font (15.0000f, Font::plain));
    infoLabel->setJustificationType (Justification::centredLeft);
    infoLabel->setEditable (false, false, false);
    infoLabel->setColour (TextEditor::textColourId, Colours::black);
    infoLabel->setColour (TextEditor::backgroundColourId, Colour (0x0));

    addAndMakeVisible (label = new Label (L"new label",
                                          L"Written by Dr.Kammerl"));
    label->setFont (Font (10.0000f, Font::plain));
    label->setJustificationType (Justification::centred);
    label->setEditable (false, false, false);
    label->setColour (TextEditor::textColourId, Colours::black);
    label->setColour (TextEditor::backgroundColourId, Colour (0x0));

    cachedImage_acme4_scaled_png = ImageCache::getFromMemory (acme4_scaled_png, acme4_scaled_pngSize);

    //[UserPreSize]
    //[/UserPreSize]

    setSize (320, 270);


    //[Constructor] You can add your own custom stuff here..
	startTimer (50);
    //[/Constructor]
}

ACME4PluginAudioProcessorEditor::~ACME4PluginAudioProcessorEditor()
{
    //[Destructor_pre]. You can add your own custom destruction code here..
    //[/Destructor_pre]

    deleteAndZero (infoLabel);
    deleteAndZero (label);


    //[Destructor]. You can add your own custom destruction code here..
    //[/Destructor]
}

//==============================================================================
void ACME4PluginAudioProcessorEditor::paint (Graphics& g)
{
    //[UserPrePaint] Add your own custom painting code here..
    //[/UserPrePaint]

    g.fillAll (Colours::white);

    g.setColour (Colours::black);
    g.drawImageWithin (cachedImage_acme4_scaled_png,
                       9, 0, 320, 220,
                       RectanglePlacement::centred,
                       false);

    //[UserPaint] Add your own custom painting code here..
    //[/UserPaint]
}

void ACME4PluginAudioProcessorEditor::resized()
{
    infoLabel->setBounds (5, 216, 320, 32);
    label->setBounds (0, 248, 320, 24);
    //[UserResized] Add your own custom resize handling here..
    //[/UserResized]
}



//[MiscUserCode] You can add your own definitions of your custom methods or any other code here...

//==============================================================================
// This timer periodically checks whether any of the filter's parameters have changed...
void ACME4PluginAudioProcessorEditor::timerCallback()
{
    ACME4PluginAudioProcessor* ourProcessor = getProcessor();

    AudioPlayHead::CurrentPositionInfo newPos (ourProcessor->lastPosInfo);

    if (lastDisplayedPosition != newPos)
        displayPositionInfo (newPos);

}


//==============================================================================
// quick-and-dirty function to format a timecode string
static const String timeToTimecodeString (const double seconds)
{
    const double absSecs = fabs (seconds);

    const int hours = (int) (absSecs / (60.0 * 60.0));
    const int mins  = ((int) (absSecs / 60.0)) % 60;
    const int secs  = ((int) absSecs) % 60;

    String s;
    if (seconds < 0)
        s = "-";

    s << String (hours).paddedLeft ('0', 2) << ":"
	<< String (mins).paddedLeft ('0', 2) << ":"
	<< String (secs).paddedLeft ('0', 2) << ":"
	<< String (roundToInt (absSecs * 1000) % 1000).paddedLeft ('0', 3);

    return s;
}

// quick-and-dirty function to format a bars/beats string
static const String ppqToBarsBeatsString (double ppq, double /*lastBarPPQ*/, int numerator, int denominator)
{
    if (numerator == 0 || denominator == 0)
        return "1|1|0";

    const int ppqPerBar = (numerator * 4 / denominator);
    const double beats  = (fmod (ppq, ppqPerBar) / ppqPerBar) * numerator;

    const int bar    = ((int) ppq) / ppqPerBar + 1;
    const int beat   = ((int) beats) + 1;
    const int ticks  = ((int) (fmod (beats, 1.0) * 960.0));

    String s;
    s << bar << '|' << beat << '|' << ticks;
    return s;
}

// Updates the text in our position label.
void ACME4PluginAudioProcessorEditor::displayPositionInfo (const AudioPlayHead::CurrentPositionInfo& pos)
{
    lastDisplayedPosition = pos;
    String displayText;
    displayText.preallocateBytes (128);

    displayText << String (pos.bpm, 2) << " bpm, "
	<< pos.timeSigNumerator << '/' << pos.timeSigDenominator
	<< "  -  " << timeToTimecodeString (pos.timeInSeconds)
	<< "  -  " << ppqToBarsBeatsString (pos.ppqPosition, pos.ppqPositionOfLastBarStart,
										pos.timeSigNumerator, pos.timeSigDenominator);

    infoLabel->	setText (displayText, false);
}

//[/MiscUserCode]


//==============================================================================
#if 0
/*  -- Jucer information section --

    This is where the Jucer puts all of its metadata, so don't change anything in here!

BEGIN_JUCER_METADATA

<JUCER_COMPONENT documentType="Component" className="ACME4PluginAudioProcessorEditor"
                 componentName="" parentClasses="public AudioProcessorEditor, public Timer"
                 constructorParams="ACME4PluginAudioProcessor* ownerFilter" variableInitialisers="AudioProcessorEditor (ownerFilter)"
                 snapPixels="8" snapActive="1" snapShown="1" overlayOpacity="0.330000013"
                 fixedSize="1" initialWidth="320" initialHeight="270">
  <BACKGROUND backgroundColour="ffffffff">
    <IMAGE pos="9 0 320 220" resource="acme4_scaled_png" opacity="1" mode="1"/>
  </BACKGROUND>
  <LABEL name="new label" id="afa74913096b120e" memberName="infoLabel"
         virtualName="" explicitFocusOrder="0" pos="5 216 320 32" edTextCol="ff000000"
         edBkgCol="0" labelText="&#10;" editableSingleClick="0" editableDoubleClick="0"
         focusDiscardsChanges="0" fontname="Default font" fontsize="15"
         bold="0" italic="0" justification="33"/>
  <LABEL name="new label" id="64d4c977408bbfb9" memberName="label" virtualName=""
         explicitFocusOrder="0" pos="0 248 320 24" edTextCol="ff000000"
         edBkgCol="0" labelText="Written by Dr.Kammerl" editableSingleClick="0"
         editableDoubleClick="0" focusDiscardsChanges="0" fontname="Default font"
         fontsize="10" bold="0" italic="0" justification="36"/>
</JUCER_COMPONENT>

END_JUCER_METADATA
*/
#endif

//==============================================================================
// Binary resources - be careful not to edit any of these sections!

// JUCER_RESOURCE: acme4_scaled_png, 56179, "ACME-4_scaled.png"
static const unsigned char resource_ACME4PluginAudioProcessorEditor_acme4_scaled_png[] = { 137,80,78,71,13,10,26,10,0,0,0,13,73,72,68,82,0,0,1,64,0,0,0,220,8,2,0,0,0,142,33,239,113,0,0,0,9,112,72,89,115,
0,0,46,35,0,0,46,35,1,120,165,63,118,0,0,0,32,99,72,82,77,0,0,122,37,0,0,128,131,0,0,249,255,0,0,128,233,0,0,117,48,0,0,234,96,0,0,58,152,0,0,23,111,146,95,197,70,0,0,218,249,73,68,65,84,120,218,236,253,
121,144,101,233,117,31,6,158,111,187,203,219,243,229,94,149,181,87,117,119,245,222,64,163,1,144,88,27,141,133,32,65,130,164,64,81,11,41,201,146,195,127,40,60,99,77,140,21,19,19,118,140,98,28,150,173,9,
201,14,141,99,44,106,52,50,67,178,45,138,14,203,146,73,2,196,66,176,177,16,91,239,213,93,93,85,93,123,174,111,203,183,223,253,219,230,143,239,222,155,55,223,203,134,5,18,196,154,151,17,96,118,86,85,230,
123,247,221,243,157,115,126,231,247,251,29,164,181,134,227,235,248,58,190,126,60,47,124,124,11,142,175,227,235,56,128,143,175,227,235,248,58,14,224,227,235,248,58,190,142,3,248,248,58,190,142,3,248,248,
58,190,142,175,227,0,62,190,142,175,227,235,56,128,143,175,227,235,248,58,14,224,227,235,248,58,14,224,227,235,248,58,190,142,3,248,248,58,190,142,175,227,0,62,190,142,175,227,0,62,190,142,175,227,235,
56,128,143,175,227,235,7,112,73,41,91,173,246,107,175,189,150,36,201,79,249,173,160,199,79,195,241,245,163,19,150,97,24,90,150,101,89,86,241,251,66,202,201,120,60,157,122,189,94,111,123,107,187,213,106,
239,238,181,118,118,118,70,195,225,223,250,15,255,198,167,62,245,169,227,0,62,190,142,175,31,218,149,196,241,87,158,127,254,202,149,55,62,241,201,159,255,231,255,236,183,250,253,254,242,202,234,227,143,
63,126,234,244,233,86,187,189,189,189,61,232,15,198,227,169,55,157,6,97,164,180,66,26,48,198,152,18,132,241,103,63,251,135,31,252,192,7,107,245,218,79,237,221,67,199,122,224,227,235,135,120,221,191,127,
239,191,249,135,255,232,229,151,94,142,226,248,255,250,119,255,111,147,241,248,183,126,235,191,119,75,46,104,141,9,93,92,92,164,204,82,74,35,132,49,198,24,33,4,200,92,74,107,208,58,140,130,191,246,215,
126,227,87,127,245,87,142,51,240,241,117,124,253,185,95,74,169,201,120,50,157,78,7,195,225,238,206,206,238,206,222,215,191,254,149,187,119,239,149,202,101,66,217,31,126,238,115,255,233,223,253,187,95,
250,210,23,122,189,30,193,24,99,28,248,94,165,82,119,220,18,0,50,169,6,153,255,143,0,3,210,0,140,217,95,252,226,151,158,123,238,217,122,189,1,160,1,208,113,6,62,190,142,175,239,207,165,181,14,131,160,
221,233,116,59,189,221,221,189,205,205,205,110,175,55,26,141,167,211,169,55,245,8,193,130,199,81,20,106,5,74,75,66,8,231,226,111,253,71,255,209,120,56,250,215,191,243,175,108,219,214,90,107,13,182,205,
108,215,117,221,138,214,0,160,145,9,81,4,90,107,208,160,181,14,195,224,47,124,230,87,126,227,55,254,234,113,9,125,124,29,95,127,182,110,54,137,199,227,73,187,221,222,221,109,237,238,236,236,238,237,117,
123,189,201,120,26,120,129,148,82,131,150,90,150,220,18,66,104,117,101,121,52,26,249,222,132,243,36,142,18,206,57,181,153,228,210,41,149,29,219,242,38,158,84,2,99,140,16,182,44,22,39,113,165,218,176,29,
71,43,141,0,52,104,132,16,232,244,140,72,120,188,180,216,252,71,255,232,31,86,170,149,227,18,250,248,58,190,254,125,175,192,15,246,247,251,251,253,253,110,183,219,233,116,59,221,238,126,183,183,191,223,
247,125,159,115,161,180,198,166,14,198,152,216,140,104,138,16,250,228,39,63,94,43,151,238,109,110,190,255,253,239,127,233,197,23,63,247,217,207,57,174,171,148,230,74,42,5,26,116,28,5,161,239,49,198,8,
161,26,52,38,88,73,57,158,140,221,82,21,16,202,210,205,65,244,34,0,70,173,86,167,251,252,87,190,242,169,79,253,194,113,0,31,95,63,237,151,148,18,16,34,120,150,32,32,132,24,143,70,173,86,187,221,233,110,
109,110,109,111,239,12,250,131,193,112,24,132,161,214,90,105,5,0,132,80,66,9,38,196,34,4,0,16,198,40,11,51,165,52,128,230,92,82,203,122,242,201,39,70,195,225,100,50,9,162,208,114,44,74,89,181,194,4,231,
28,1,2,192,8,97,140,164,84,152,16,173,97,234,123,113,20,57,174,171,149,210,90,3,66,40,43,25,17,50,229,52,34,148,253,193,103,63,247,129,15,188,191,94,175,31,7,240,241,245,83,26,183,95,249,202,243,73,204,
215,79,108,252,127,255,233,63,169,84,170,167,207,156,122,234,201,119,80,70,119,118,118,183,183,183,91,173,246,160,63,244,166,94,148,68,8,97,132,16,70,136,16,98,217,22,104,0,208,128,16,100,255,7,10,16,
128,73,150,160,1,148,6,64,82,136,87,94,122,249,137,119,60,161,149,186,126,237,250,206,206,238,96,48,92,88,104,80,130,253,40,196,136,184,174,43,165,4,208,24,19,224,60,142,227,241,120,26,134,222,153,51,
103,176,129,157,77,222,45,52,128,8,0,105,109,81,214,110,181,190,252,229,231,127,229,87,62,125,220,3,31,95,63,117,215,215,191,254,181,127,253,59,191,251,210,75,47,148,203,181,255,234,191,254,127,253,183,
255,205,63,188,241,214,117,202,152,195,28,219,182,28,183,228,186,101,51,196,65,24,97,76,16,70,90,167,120,146,6,141,20,0,104,133,16,50,208,48,32,208,26,16,210,90,165,224,177,214,90,105,173,53,23,66,35,
144,82,82,130,247,187,157,169,55,141,162,100,117,101,9,33,36,165,182,109,38,149,18,130,115,206,149,82,113,28,107,13,11,245,250,194,98,211,98,46,34,68,107,109,178,110,154,132,17,74,195,89,107,206,121,115,
177,249,95,253,215,255,229,226,98,243,56,3,31,95,63,201,151,82,202,247,253,78,167,187,183,183,215,233,116,111,223,188,249,252,243,127,28,134,81,201,173,132,65,240,198,27,175,127,244,163,31,187,117,235,
45,199,114,65,105,41,68,20,4,165,82,201,118,29,37,21,160,116,144,131,48,74,3,85,231,1,11,160,77,218,213,6,103,210,26,180,82,230,151,106,4,233,191,210,154,18,2,90,115,193,1,0,99,116,127,115,75,74,89,173,
86,171,213,10,165,20,0,9,161,194,48,64,8,220,146,75,8,137,163,136,80,155,2,73,59,96,148,65,209,233,111,5,13,64,25,107,119,58,159,253,236,231,126,243,55,255,234,113,0,31,95,63,57,151,16,34,12,195,233,116,
186,187,187,215,106,181,118,119,247,118,119,118,247,251,125,223,11,130,48,84,160,66,111,44,165,178,44,155,16,74,8,253,202,243,207,255,205,255,240,111,174,44,175,6,97,4,68,3,32,13,122,208,239,47,98,236,
216,174,212,10,76,97,156,70,45,152,89,14,66,8,105,56,168,229,116,90,217,229,245,157,153,250,164,117,53,32,46,69,146,112,165,148,214,64,8,209,90,71,81,228,121,158,6,192,8,49,198,148,82,140,17,203,182,149,
146,82,74,147,192,211,166,55,27,248,154,191,172,179,249,18,181,172,63,249,147,111,124,250,211,191,88,171,213,142,3,248,248,250,113,189,198,227,113,191,223,111,181,58,91,91,91,123,187,123,253,254,96,60,
25,15,135,163,40,138,165,224,82,105,74,8,0,96,74,29,215,145,130,43,203,2,13,82,106,169,4,165,180,219,109,253,211,127,250,79,20,0,66,128,16,6,64,90,43,165,146,118,107,239,244,217,243,133,152,44,198,107,
14,12,167,1,170,81,58,164,61,136,94,51,195,205,74,224,36,142,132,224,90,107,132,32,207,171,196,64,95,8,33,132,192,204,138,148,6,64,92,8,41,4,179,44,165,84,154,255,81,90,170,43,115,42,0,96,141,24,161,157,
118,231,203,95,254,227,95,254,229,79,31,7,240,241,245,227,113,197,113,60,24,12,246,118,247,246,90,237,221,221,189,157,237,157,222,254,254,104,56,74,146,68,107,165,17,104,141,180,82,229,74,201,178,169,
32,186,238,184,90,195,185,115,103,163,48,218,109,181,65,107,66,168,197,48,7,30,38,145,22,130,96,188,187,189,67,153,69,41,77,226,196,140,130,146,36,25,142,134,107,39,79,218,182,171,148,4,13,89,241,140,
16,66,128,211,118,215,180,166,10,105,131,173,160,20,102,58,136,97,32,24,107,29,248,254,104,56,192,24,113,46,165,84,69,20,198,196,183,161,112,164,232,154,82,82,36,178,44,243,14,59,59,60,210,31,141,32,13,
98,140,128,82,246,133,47,124,241,35,31,249,112,173,86,63,14,224,227,235,135,20,147,81,12,8,108,219,158,255,163,32,240,131,32,26,12,250,219,219,59,237,118,123,103,119,183,181,219,26,141,39,158,231,69,81,
76,41,81,90,85,74,229,70,163,62,26,141,53,104,194,40,35,116,105,169,185,113,106,195,162,116,113,105,17,0,42,149,210,131,15,60,48,26,79,126,251,183,255,199,187,119,110,187,182,35,164,32,140,218,218,226,
130,11,41,41,117,16,128,210,192,24,67,4,75,41,71,163,9,231,34,205,174,74,167,129,153,149,175,200,212,198,90,3,194,105,162,205,163,183,24,139,0,160,181,228,98,58,157,40,165,164,84,8,129,82,74,107,157,34,
100,89,180,155,47,17,66,74,171,48,10,17,66,157,78,219,113,92,66,105,126,22,160,131,90,32,195,210,0,40,165,123,173,214,151,190,244,71,191,250,171,191,122,28,192,199,215,15,244,186,121,243,173,175,127,245,
235,31,248,240,135,127,255,247,126,239,230,91,111,85,42,149,11,23,206,255,204,207,252,44,99,236,254,230,230,214,214,118,183,219,29,14,135,227,241,212,247,125,158,112,33,4,194,8,97,34,165,172,148,202,75,
39,23,59,157,238,39,63,249,241,141,19,39,182,183,119,59,157,206,227,79,60,238,251,254,202,202,242,238,238,206,249,11,23,64,107,173,225,197,23,95,62,113,98,253,139,95,122,62,138,162,40,138,163,48,196,4,
213,27,181,126,175,111,217,14,33,84,42,33,149,194,24,107,173,41,198,158,239,247,7,251,81,28,51,202,16,194,6,148,66,0,105,67,106,66,212,20,219,90,107,173,140,216,192,148,181,42,67,176,242,212,10,0,92,36,
130,115,33,132,214,160,84,86,115,3,72,41,243,90,218,0,96,74,201,36,73,148,82,24,227,233,116,106,59,246,233,211,231,164,144,197,56,207,226,23,76,189,141,16,98,204,254,220,231,190,240,129,247,127,96,121,
101,249,56,128,143,175,31,196,229,251,254,239,252,171,127,245,185,207,126,174,183,223,7,66,150,151,87,254,221,191,253,223,108,203,185,250,198,155,127,248,185,47,48,198,0,33,141,48,228,160,46,6,140,112,
185,92,98,150,229,58,246,153,51,167,43,213,242,123,223,243,238,127,252,255,254,39,227,137,247,193,15,94,108,119,58,11,205,186,109,219,183,111,223,174,84,202,39,78,156,180,45,231,75,95,252,227,189,189,
189,169,55,253,206,11,47,43,37,17,0,161,84,106,181,179,179,51,25,87,23,22,150,226,36,146,82,38,73,140,16,209,90,25,146,99,156,36,74,41,208,160,180,129,154,51,216,23,27,109,1,20,43,100,19,189,42,69,162,
117,49,210,180,214,82,42,165,164,82,82,129,146,82,230,213,114,49,26,205,223,52,105,89,8,133,144,68,8,73,41,165,84,131,193,112,253,196,41,12,70,200,80,104,176,179,108,140,17,2,132,40,162,251,189,193,31,
126,254,243,191,249,155,191,113,28,192,199,215,159,35,56,236,251,158,239,249,157,110,239,223,253,219,127,251,237,111,125,219,178,88,169,228,126,235,155,223,248,143,255,207,255,201,233,211,103,251,253,
125,219,182,65,33,64,26,83,12,26,89,150,189,216,92,40,151,203,139,75,205,48,12,30,123,244,81,202,88,169,84,242,125,95,74,233,121,193,99,143,63,246,250,149,55,46,93,184,128,0,71,177,248,226,151,190,60,
232,15,94,123,237,141,75,151,46,198,113,124,251,246,29,165,52,38,24,0,8,33,128,80,28,199,156,11,74,173,222,254,96,107,103,175,81,175,47,47,47,89,150,173,148,138,99,30,134,145,9,176,36,225,82,74,76,176,
82,50,149,16,164,21,171,161,111,100,84,2,148,113,55,50,156,41,13,99,131,87,131,62,123,230,20,128,190,123,247,142,69,40,174,148,199,147,169,146,210,212,216,7,63,4,64,107,45,165,4,0,173,145,82,32,165,146,
82,40,165,133,16,4,161,197,230,226,96,52,4,173,17,198,26,64,107,133,0,12,71,218,80,72,16,32,106,179,63,249,134,129,163,235,199,1,124,124,125,127,174,209,104,180,191,223,111,183,219,155,155,91,173,189,
189,225,112,60,28,12,60,207,15,99,95,38,162,209,168,11,206,9,33,173,189,214,176,223,127,207,123,223,251,135,127,240,7,24,97,32,26,99,44,19,81,169,150,127,237,47,126,166,209,168,247,122,3,215,177,153,197,
108,219,150,66,188,245,214,237,86,187,189,223,239,3,0,194,88,74,249,187,255,203,191,65,8,113,158,96,140,13,153,241,141,171,111,106,13,148,18,130,1,33,164,178,50,56,10,67,206,185,214,154,82,130,17,140,
199,227,225,112,72,8,193,24,155,2,88,74,105,190,70,8,105,165,77,0,43,208,6,75,74,69,5,0,24,99,173,33,165,109,20,106,102,243,175,52,210,0,8,41,53,158,76,42,213,106,24,198,142,235,10,41,60,63,8,125,95,3,
24,108,217,20,237,230,235,12,199,82,90,99,41,101,18,39,90,1,37,36,138,194,193,176,63,158,76,8,161,150,101,25,162,117,154,247,15,126,175,166,132,182,219,221,47,125,233,203,63,13,58,225,227,0,254,115,185,
162,40,30,14,135,237,118,123,119,119,119,119,103,111,119,111,183,215,221,31,79,166,190,231,3,6,208,64,8,214,26,24,37,24,176,38,24,0,33,76,64,1,163,246,63,255,103,255,63,66,153,101,59,8,97,41,5,8,73,8,
217,221,219,187,119,231,110,115,105,249,141,171,111,82,74,71,195,81,16,134,132,144,201,100,98,232,12,166,162,205,31,105,35,199,51,153,205,182,109,165,149,1,159,242,44,135,16,196,113,40,4,207,130,45,5,
146,242,222,53,199,150,178,172,152,166,74,12,233,196,55,143,154,244,68,40,36,222,66,90,134,140,117,129,39,227,73,175,187,223,223,223,183,29,123,177,185,128,0,137,132,79,38,99,101,42,130,185,31,104,82,
177,169,159,9,198,73,146,108,110,221,39,4,51,70,41,97,204,114,40,101,198,127,135,96,76,8,73,127,17,32,12,192,40,251,226,23,190,252,145,143,60,219,104,52,142,3,248,248,250,63,184,38,147,201,112,56,26,12,
250,157,78,183,211,233,116,218,189,221,221,221,209,104,236,249,62,231,137,70,136,32,2,72,35,64,43,171,203,163,209,8,97,180,180,184,244,23,62,243,203,95,250,226,151,110,189,117,147,80,38,133,48,15,48,198,
104,52,26,99,140,8,161,90,43,132,49,128,230,130,247,122,189,223,251,131,207,158,56,113,42,225,137,209,27,32,132,64,107,76,8,58,4,18,29,125,229,113,100,26,90,4,40,142,194,32,240,16,194,90,171,180,185,77,
209,163,57,2,70,22,245,6,64,50,233,91,131,2,192,69,40,120,134,146,91,140,103,0,67,185,192,148,82,215,117,134,163,17,66,122,121,121,217,45,149,218,237,246,104,56,228,66,112,206,77,38,207,160,107,141,16,
150,210,20,8,212,200,34,210,179,68,105,161,185,148,2,16,162,212,166,148,217,150,109,59,54,163,148,16,106,222,17,165,172,221,110,127,254,243,159,255,245,95,255,245,227,0,62,190,14,183,175,156,247,246,247,
247,247,251,59,59,219,155,155,91,157,118,183,215,221,239,15,7,113,146,40,169,164,20,90,233,74,181,172,180,170,55,106,211,201,196,113,221,36,225,43,203,75,171,171,203,15,60,112,137,96,242,194,75,47,111,
109,110,175,174,172,156,61,115,246,245,43,87,74,101,92,169,86,162,48,64,136,1,104,203,178,40,165,6,200,73,68,76,49,219,107,237,76,167,211,197,230,146,9,9,74,41,0,96,132,53,28,230,39,101,41,55,79,131,121,
42,59,8,75,4,128,144,18,98,56,28,10,33,76,224,229,127,170,103,166,62,133,0,86,74,237,238,236,84,107,53,192,8,52,96,141,178,190,23,32,103,88,29,54,196,200,143,3,132,144,144,114,109,109,229,226,249,243,
183,110,190,245,149,175,126,173,221,238,140,70,227,245,181,245,83,27,39,87,87,150,131,48,234,117,58,81,18,107,173,133,148,4,99,132,176,82,138,16,139,16,194,57,143,227,228,204,153,211,143,63,246,88,20,
71,91,59,59,129,31,96,208,26,116,194,35,206,147,132,39,66,138,146,227,50,27,40,161,24,33,141,128,89,236,11,159,255,163,103,159,125,118,101,101,229,56,128,127,90,18,169,99,219,87,175,94,219,221,219,105,
212,27,23,46,94,88,95,95,7,128,233,212,235,118,187,173,86,107,123,123,103,119,103,183,221,238,12,135,195,201,212,227,34,1,132,180,212,148,82,4,80,46,151,132,20,160,245,211,79,191,115,105,121,113,58,153,
54,155,205,241,120,82,42,57,174,235,110,108,108,188,240,194,139,141,70,227,236,217,51,126,16,236,236,236,254,222,239,127,246,254,221,251,8,19,76,72,127,208,111,212,106,165,178,197,185,72,18,78,48,86,82,
1,128,150,122,123,111,123,48,28,40,165,184,148,8,35,164,242,182,83,131,134,98,218,44,142,82,243,239,28,174,111,65,107,64,24,199,60,18,66,40,5,0,42,143,220,244,95,105,164,225,128,32,85,140,198,253,126,
175,63,232,175,172,172,74,46,50,82,180,2,132,0,20,24,252,40,253,226,80,232,230,80,86,24,68,183,239,220,107,119,247,29,199,229,60,14,130,224,230,173,155,229,114,165,90,173,184,110,233,236,249,243,90,203,
48,140,146,36,9,2,223,32,103,74,105,206,57,79,56,0,248,65,184,179,219,42,149,236,236,245,0,2,131,120,107,37,69,28,199,4,35,68,48,66,8,48,49,51,225,254,96,240,213,175,126,237,51,159,249,11,199,1,252,19,
126,117,123,189,207,253,193,31,124,225,243,127,248,23,255,210,95,158,76,188,223,250,255,252,247,181,122,125,121,121,233,210,197,139,182,99,223,221,220,246,61,223,15,3,158,112,130,137,41,234,0,52,161,12,
180,174,47,212,133,16,203,203,139,31,255,216,115,47,188,244,242,173,155,183,62,240,254,247,255,246,111,255,139,197,230,194,234,202,202,83,79,61,121,245,234,85,199,197,111,189,117,27,35,252,202,43,87,254,
247,223,251,108,146,36,24,145,87,95,185,50,153,76,58,157,189,229,149,165,178,91,222,31,244,153,101,41,33,180,198,74,75,41,132,31,132,211,233,52,142,3,66,48,231,136,39,220,8,98,181,82,38,63,155,56,57,4,
249,30,158,220,228,81,157,145,16,65,9,169,65,74,33,64,105,37,37,38,196,64,226,58,31,236,102,131,156,226,137,144,127,167,191,223,91,90,92,146,82,17,98,176,35,156,215,207,8,33,195,137,62,220,105,167,255,
137,49,154,76,38,147,201,196,118,220,181,181,19,147,233,88,107,133,49,25,143,199,195,209,144,18,234,56,142,101,25,27,29,37,4,87,74,10,145,190,77,13,202,113,92,219,182,219,157,150,148,220,182,29,140,112,
122,250,96,3,114,107,41,121,34,40,21,9,161,20,131,198,128,1,148,101,89,95,251,218,215,63,241,137,143,85,171,181,227,0,254,201,188,166,211,233,171,175,190,250,219,255,195,111,239,108,111,43,169,190,246,
181,175,254,198,111,254,141,229,149,101,206,249,120,60,254,206,11,47,82,74,49,197,132,88,8,16,163,212,182,172,165,229,165,32,12,54,78,158,108,46,46,216,150,245,240,195,15,135,97,88,169,84,238,220,189,
243,232,163,143,188,250,234,235,207,127,229,43,239,255,192,251,184,16,47,190,252,234,151,255,248,43,8,112,24,71,227,209,136,81,150,112,142,112,138,23,17,66,132,224,90,233,187,119,238,74,169,235,245,90,
179,217,96,140,41,5,156,243,201,100,172,148,210,90,38,137,84,74,33,4,113,28,41,41,231,99,163,120,229,108,225,252,59,38,87,167,223,212,112,241,226,57,33,196,181,107,215,28,215,145,74,122,190,159,87,221,
24,99,165,132,70,26,29,22,221,154,159,166,148,194,24,77,39,147,36,142,206,158,59,219,237,238,75,41,82,22,148,214,8,153,106,26,107,125,136,188,145,193,74,216,64,98,90,3,70,120,113,113,241,185,211,207,221,
185,125,243,245,171,111,82,76,77,119,30,199,81,20,69,166,7,206,15,38,195,238,120,242,201,199,41,101,123,173,214,47,252,194,47,52,106,213,255,245,223,252,111,142,227,2,128,20,60,225,137,82,10,33,172,205,
25,163,148,82,82,99,12,4,64,35,202,216,214,214,206,23,191,240,165,95,253,11,191,122,28,192,63,246,151,214,58,138,226,209,104,216,106,117,218,237,246,246,214,214,206,110,171,223,239,245,186,221,40,140,
74,165,146,148,234,214,205,155,148,224,39,223,241,212,119,190,253,29,66,8,165,76,41,133,65,39,113,240,236,71,158,109,54,23,9,37,11,11,77,208,170,90,171,190,246,234,235,23,47,94,164,148,5,225,224,205,55,
175,85,42,213,251,247,223,96,148,190,248,210,43,87,94,191,202,133,80,82,230,37,46,179,44,173,53,101,20,14,136,13,82,74,142,9,48,102,115,238,247,122,189,193,96,192,24,51,90,156,40,138,50,27,198,180,183,
228,230,97,197,56,15,224,34,228,91,156,166,206,76,98,243,112,2,4,65,16,217,182,173,53,80,70,109,199,26,79,166,57,104,148,141,151,80,38,6,60,248,129,105,38,212,200,113,157,74,165,212,239,247,39,211,9,193,
132,49,102,140,55,114,5,194,76,27,124,48,161,205,248,85,82,137,90,189,241,212,83,143,71,49,239,245,71,131,253,158,161,142,82,198,180,25,58,105,0,144,0,128,16,182,109,203,113,203,9,23,181,106,173,82,42,
237,247,122,191,241,87,254,210,55,254,228,79,134,163,137,57,76,75,168,236,123,126,194,121,102,59,139,115,183,29,243,5,101,236,139,127,244,229,143,60,247,92,163,81,63,14,224,31,191,236,106,136,254,59,187,
187,173,86,107,56,24,237,15,6,227,209,40,138,146,56,142,1,128,16,194,24,166,148,80,138,149,82,140,209,56,78,190,245,39,223,104,54,22,17,32,173,1,227,116,164,17,6,193,153,51,167,30,122,240,225,221,214,
222,235,87,174,134,113,204,147,8,35,242,111,255,221,239,199,113,34,165,156,76,38,8,33,140,9,165,4,99,172,148,34,24,27,99,26,13,41,131,42,143,180,252,33,227,156,231,8,144,25,192,10,33,76,65,107,158,96,
19,21,38,197,9,46,165,84,140,16,165,20,28,102,62,20,129,171,89,252,185,136,6,99,232,116,187,190,231,245,186,221,197,165,197,90,173,174,20,236,237,237,25,4,120,6,181,42,14,117,148,82,148,80,76,176,55,241,
94,187,242,58,165,212,182,109,74,153,109,59,182,109,89,150,77,41,45,206,156,14,50,48,54,223,129,76,36,140,1,176,231,133,95,255,198,183,0,225,199,30,125,98,234,77,186,221,206,234,234,98,28,197,87,174,188,
78,41,67,8,17,130,41,37,204,178,9,161,245,106,181,228,184,163,193,176,226,150,175,191,249,230,141,183,238,252,226,47,253,210,63,253,173,223,34,149,26,104,141,1,170,149,114,16,69,26,48,165,20,19,154,211,
170,17,2,173,128,81,214,110,119,126,255,247,127,255,39,213,182,242,39,199,145,67,72,209,223,31,116,58,157,118,187,189,121,127,107,119,119,119,191,223,31,14,6,81,18,155,194,138,49,11,17,132,209,1,111,94,
43,237,216,4,35,148,78,83,1,1,66,60,73,242,156,98,168,127,132,208,123,247,239,62,242,232,35,15,60,248,232,206,246,142,231,121,66,10,147,178,204,0,19,19,98,68,234,42,75,140,179,99,24,132,76,12,155,121,
172,73,173,66,240,189,157,157,36,9,19,206,195,48,42,126,16,230,212,192,152,20,43,82,74,240,218,137,147,231,206,157,215,26,102,242,173,1,117,148,58,148,126,243,192,54,73,53,167,28,250,158,191,187,187,141,
144,62,113,226,4,99,108,48,24,110,110,110,198,113,132,48,65,153,16,191,120,52,152,31,194,24,51,101,112,115,113,145,81,106,10,1,140,49,165,140,49,102,219,142,227,56,204,178,114,51,173,98,91,158,189,206,
212,119,7,99,147,47,177,82,82,43,29,39,252,153,103,222,177,181,185,117,239,238,38,151,130,243,68,8,161,149,212,160,0,161,102,173,17,199,137,214,90,43,25,243,248,129,7,47,255,103,255,217,255,253,255,241,
159,255,231,219,59,187,140,50,192,64,48,209,90,105,192,148,217,148,82,106,136,40,5,229,48,231,188,90,46,253,131,127,240,247,87,87,87,143,51,240,143,208,44,39,8,195,110,183,215,106,181,91,123,173,205,173,
173,20,28,158,76,184,16,102,202,130,41,33,24,51,102,231,3,198,195,57,10,69,137,15,26,175,46,175,6,126,32,164,66,72,3,104,106,17,0,196,19,142,49,86,74,83,106,249,161,239,7,222,173,91,183,133,36,8,1,198,
152,34,154,63,166,42,163,254,163,195,56,112,222,130,42,165,32,27,231,28,168,100,181,14,124,79,72,110,6,59,57,104,84,76,155,82,10,92,40,152,53,160,221,221,45,219,118,78,110,156,146,89,150,206,47,41,181,
209,213,33,64,9,231,70,16,132,49,38,152,32,140,16,32,163,125,95,108,46,60,246,240,229,171,215,236,215,95,191,122,247,238,157,181,181,245,197,102,179,82,42,5,190,223,234,118,38,227,73,106,157,145,18,59,
12,191,24,97,140,132,144,156,243,135,46,63,120,250,212,233,126,191,63,154,140,141,18,48,225,113,194,227,36,137,57,79,92,167,228,56,54,101,172,152,255,15,74,15,64,72,27,73,224,129,102,80,129,94,108,46,
220,185,115,95,73,213,92,90,84,74,35,208,82,41,41,37,104,29,199,145,146,28,19,132,17,141,99,101,91,246,189,59,183,127,247,119,255,23,76,169,97,114,34,68,64,131,86,58,17,113,185,84,193,148,66,118,112,164,
53,133,214,140,144,193,96,248,213,175,126,253,215,126,237,47,28,7,240,15,41,92,133,24,14,135,189,94,111,119,183,181,179,179,219,105,183,135,163,225,96,56,240,167,97,24,71,146,75,66,137,81,174,18,74,41,
99,166,142,58,84,203,101,115,17,33,4,33,196,52,132,81,24,107,139,116,246,59,110,217,21,92,73,197,149,82,72,98,41,37,33,132,16,76,41,11,194,240,222,189,123,156,171,132,11,198,232,60,128,100,146,112,110,
152,152,58,69,96,92,28,171,234,66,46,34,132,40,165,4,231,74,74,173,101,113,78,123,80,99,195,193,108,54,255,38,198,24,52,222,221,221,90,93,93,75,199,72,121,204,107,176,45,38,181,142,195,16,51,250,232,35,
151,17,104,215,45,173,173,175,142,39,227,111,125,243,5,179,154,68,42,197,44,107,226,121,92,0,165,52,12,131,187,119,238,185,37,167,82,169,212,170,181,243,103,207,241,36,230,66,134,113,148,36,113,146,36,
66,40,41,165,16,156,115,33,132,64,0,190,31,142,39,147,90,189,230,251,129,224,17,194,166,241,213,66,136,32,8,181,210,6,201,158,97,86,29,220,46,164,243,42,219,148,48,27,27,39,63,241,241,143,189,250,218,
171,219,219,187,65,24,8,41,80,62,136,2,100,216,99,174,227,112,46,8,195,90,42,76,216,31,126,238,115,140,49,74,169,6,64,74,1,166,0,48,30,141,170,149,134,107,219,74,25,61,114,134,126,3,82,128,44,203,126,
254,249,175,124,252,227,31,253,201,179,173,252,33,7,112,28,199,157,78,23,64,55,26,141,162,19,74,16,4,221,110,183,221,238,236,237,237,222,191,191,213,238,180,7,253,225,104,60,18,66,42,165,1,1,37,148,82,
130,16,182,108,27,59,40,195,60,209,129,105,19,32,5,218,180,101,8,144,212,42,239,60,165,148,24,35,140,137,6,61,24,14,79,157,218,216,239,247,109,203,113,28,155,18,10,12,153,104,153,122,211,205,237,173,225,
112,4,160,133,16,73,28,155,192,62,18,1,54,169,42,45,82,15,211,33,14,203,92,145,148,210,128,165,4,19,33,164,65,80,77,38,159,231,81,192,97,42,5,0,68,97,236,251,211,122,189,33,132,201,252,32,165,56,121,98,
253,231,62,241,177,222,126,79,8,121,230,244,41,206,5,38,120,103,103,231,204,169,211,182,227,188,250,242,235,113,146,24,222,127,167,211,67,8,217,182,219,108,46,110,222,31,99,66,60,47,24,143,39,123,168,
229,58,110,165,90,70,128,52,128,16,130,115,201,57,79,18,174,148,145,4,169,114,165,18,199,241,246,246,54,194,152,80,140,81,86,45,27,184,74,73,46,56,23,156,8,138,179,77,70,51,144,120,222,143,155,59,76,8,
233,116,186,255,226,95,252,79,9,79,132,148,132,16,72,107,20,243,151,212,160,223,171,84,203,26,24,99,52,73,98,163,56,178,44,155,146,28,92,48,8,131,138,227,216,0,132,144,50,182,242,23,6,8,33,74,201,222,
238,222,23,191,248,165,159,188,153,240,15,39,128,219,173,214,31,63,255,149,91,183,110,254,218,175,253,197,127,254,207,127,187,219,218,43,149,202,231,47,156,121,252,177,39,122,131,254,221,59,247,59,157,
222,100,58,241,61,95,65,90,206,81,74,25,179,41,45,162,53,200,60,91,249,119,10,60,120,83,76,166,12,97,5,179,177,33,165,82,10,180,86,131,193,32,138,194,122,189,49,157,122,148,50,130,137,210,66,73,25,68,
81,18,39,70,18,16,199,18,0,37,73,194,147,152,184,165,25,176,55,45,164,181,70,135,136,135,80,152,190,234,98,34,109,54,23,44,106,181,219,173,56,10,28,199,245,253,233,76,214,157,137,222,252,159,27,141,14,
165,180,219,237,172,172,172,150,74,212,243,60,140,145,6,226,121,254,94,171,229,186,165,56,246,110,188,117,251,238,221,123,158,231,141,70,163,90,189,78,41,73,56,207,146,121,222,184,210,141,147,167,22,22,
106,55,174,223,140,227,216,52,219,97,20,6,97,8,160,16,66,24,17,101,100,11,90,25,120,239,177,199,31,225,92,60,241,228,19,91,155,91,253,254,62,33,68,41,45,132,145,227,27,137,97,122,48,21,218,1,164,53,28,
126,95,232,160,88,209,7,163,31,0,96,132,168,194,125,208,90,11,33,70,147,73,165,90,197,24,226,132,187,165,50,2,44,4,151,74,0,0,163,22,66,40,225,113,16,6,195,225,176,86,175,89,182,37,205,175,206,197,81,
128,0,140,204,16,51,102,125,233,139,127,244,236,135,63,108,92,13,142,3,248,79,127,125,254,11,95,248,31,255,197,191,28,244,251,24,193,7,223,247,254,245,245,147,215,174,190,65,71,163,189,214,238,139,47,
188,76,45,26,198,156,18,139,50,90,42,151,53,0,198,179,45,98,30,60,51,165,114,17,146,205,117,45,82,201,34,169,48,207,102,24,131,224,18,99,60,26,77,118,182,247,28,215,169,215,235,37,215,5,132,56,231,195,
209,64,73,101,26,63,243,235,56,23,73,146,56,165,50,20,106,87,92,192,108,242,223,152,11,217,243,191,83,148,182,87,42,149,19,235,235,81,236,251,254,212,117,75,195,225,48,87,252,28,57,224,205,255,185,105,
182,1,244,226,226,130,99,219,97,28,115,33,40,33,8,163,32,12,159,255,202,215,1,192,247,125,41,21,165,4,99,132,16,30,14,135,0,154,16,154,207,162,0,192,104,125,47,63,244,64,115,113,33,8,226,155,55,223,10,
2,31,0,17,66,8,33,89,134,52,144,155,52,3,176,229,197,165,90,181,22,69,209,39,127,238,147,211,201,244,191,251,199,255,184,84,46,107,80,26,32,12,163,152,39,128,16,78,141,220,113,234,71,153,65,207,0,58,31,
237,22,223,230,97,36,85,105,0,45,149,134,212,35,30,0,27,87,160,205,173,173,141,147,235,213,106,181,215,235,3,2,199,113,8,161,160,117,148,36,129,63,157,76,39,129,31,84,170,229,213,213,21,41,229,129,65,
166,81,47,167,142,213,128,0,81,198,58,221,222,239,127,246,179,127,253,175,253,230,113,0,127,15,151,148,114,56,28,182,219,157,118,171,181,179,187,219,110,181,95,126,249,101,33,120,173,94,15,3,255,206,221,
187,239,124,231,211,95,251,234,87,16,210,4,27,90,33,197,16,3,82,6,246,52,121,52,51,88,59,20,165,69,204,54,239,57,143,228,36,21,91,74,200,204,31,48,33,185,153,3,101,52,142,163,118,59,200,61,34,80,186,208,
242,96,52,34,132,136,163,136,98,146,72,121,36,223,104,166,16,200,3,47,227,48,104,211,0,111,109,109,223,187,183,57,26,246,171,85,119,201,105,122,222,180,211,233,26,108,108,38,122,15,151,12,210,100,78,165,
212,230,214,118,167,187,207,152,85,171,214,108,219,177,45,155,50,106,200,30,185,17,79,174,10,152,123,169,166,49,132,123,247,183,238,221,223,60,125,250,76,163,177,184,215,218,234,239,247,155,205,230,238,
238,118,24,198,8,3,70,24,99,106,219,142,237,216,139,139,205,90,165,22,6,126,28,199,159,251,236,31,252,157,191,243,159,46,46,47,141,135,99,132,17,161,180,82,46,179,152,134,81,132,49,161,148,101,243,164,
172,152,205,100,82,197,251,63,243,146,210,169,154,210,26,180,210,90,165,170,41,25,134,1,0,34,4,191,117,243,182,91,42,85,171,229,90,181,22,199,113,20,141,1,192,15,124,195,36,43,149,75,141,250,66,18,115,
66,52,38,41,68,150,141,205,16,6,131,159,105,132,177,101,217,95,125,254,43,63,247,137,143,173,174,174,29,7,240,209,87,16,4,147,201,164,183,191,191,223,219,239,245,246,119,119,246,118,246,118,71,163,209,
100,52,9,162,192,181,173,146,235,32,128,114,169,44,165,178,157,210,221,187,119,159,124,231,211,149,114,37,137,35,13,82,107,77,48,97,204,234,15,135,37,183,92,152,118,166,153,109,38,59,25,212,196,132,89,
49,203,21,35,89,31,30,237,28,36,97,173,133,16,74,169,204,96,17,17,66,49,214,197,159,80,172,253,16,130,253,253,238,194,66,147,89,86,177,216,155,153,151,152,67,103,230,136,49,95,155,76,75,41,69,72,38,66,
244,122,253,141,147,39,30,120,224,2,104,232,246,186,113,156,152,25,242,124,0,155,200,79,209,47,193,57,231,213,74,77,43,53,157,78,204,74,123,219,118,29,199,102,140,17,130,48,70,69,200,253,168,212,167,17,
160,56,137,41,165,26,180,91,114,206,157,187,116,233,226,131,15,61,244,192,87,190,250,213,192,15,146,132,11,41,76,9,236,56,110,163,90,15,163,8,0,83,106,93,187,118,189,211,109,127,248,67,207,254,235,223,
249,157,106,165,42,149,74,146,196,117,93,169,148,109,187,142,227,152,215,153,205,162,116,206,205,124,187,131,201,148,209,105,159,160,180,210,10,50,121,84,18,71,128,64,41,197,24,27,13,135,195,193,160,90,
173,150,74,37,203,98,8,16,104,136,162,132,82,92,46,149,133,16,81,28,185,229,218,1,100,8,26,67,161,3,215,128,0,8,37,253,193,232,249,63,254,202,175,255,165,159,28,137,210,159,105,14,44,165,24,14,71,253,
254,96,123,103,123,103,107,183,213,106,181,219,157,225,104,152,36,73,156,36,66,72,37,21,38,196,178,109,139,226,213,181,53,127,234,105,153,132,81,76,25,75,98,65,41,226,66,216,22,11,130,8,33,76,8,82,90,
151,220,18,23,241,245,235,111,93,122,224,65,219,113,242,15,119,38,90,76,123,163,148,162,132,188,231,61,79,191,240,210,107,60,73,242,72,43,248,149,166,224,208,76,18,54,207,206,238,238,142,231,77,56,231,
97,24,21,73,136,135,91,89,172,181,50,145,64,8,110,212,27,15,63,242,56,198,88,29,230,12,30,28,46,8,64,165,186,159,98,93,144,189,114,96,22,109,214,27,83,127,252,242,75,47,73,33,207,157,63,223,168,55,186,
221,222,120,60,106,181,91,97,24,106,13,6,99,35,132,98,156,26,217,24,81,78,146,36,213,106,229,226,165,11,73,204,195,48,146,233,184,24,99,76,28,199,117,93,199,48,138,103,72,29,51,1,147,58,198,97,100,34,
77,74,41,132,176,12,3,12,64,73,165,181,54,110,204,34,73,164,224,82,200,56,137,56,23,26,33,206,147,103,222,245,244,165,7,31,252,159,254,229,191,100,204,194,132,106,173,8,33,130,139,82,165,82,173,214,76,
53,148,66,135,133,32,157,7,180,138,159,72,186,185,225,32,146,21,104,104,181,119,125,223,51,175,34,138,194,226,113,134,16,178,44,75,74,97,219,86,217,113,75,149,178,237,56,139,75,107,166,153,55,135,32,78,
253,57,116,94,134,105,173,57,23,11,11,245,127,240,15,254,254,79,140,78,248,123,200,192,90,235,32,8,122,189,94,187,221,222,217,217,219,217,217,217,219,219,27,12,198,147,201,88,8,161,148,166,148,16,66,48,
38,152,80,199,33,82,202,115,103,79,3,194,119,111,223,253,196,39,62,214,235,13,174,188,246,170,101,81,208,42,10,3,132,136,16,32,133,136,148,32,148,104,165,149,210,148,16,203,98,119,239,223,243,189,105,
146,196,150,237,228,131,83,140,177,41,125,115,222,130,249,64,227,36,214,128,150,22,155,59,59,187,7,19,29,0,132,176,82,178,56,251,61,20,255,26,146,36,145,82,192,209,218,215,98,206,60,8,105,165,116,183,
215,91,236,180,79,110,108,104,169,113,170,134,57,4,53,99,132,21,82,135,219,245,98,82,85,231,207,157,173,86,171,247,239,74,66,168,231,249,87,175,190,217,108,54,87,150,151,207,158,57,187,188,178,60,157,
78,61,207,23,34,137,162,72,74,77,8,1,80,73,34,146,36,225,156,75,41,9,161,205,102,115,121,105,101,115,107,203,188,101,165,149,20,66,135,74,107,133,144,1,119,201,60,179,234,208,235,68,7,157,8,37,244,227,
31,253,200,242,202,242,43,175,94,233,239,247,219,221,174,177,166,161,148,130,210,90,43,13,90,132,2,33,12,160,41,193,47,189,248,210,75,47,189,204,152,141,48,210,160,77,155,17,133,193,120,50,169,63,212,
64,228,160,211,158,33,87,206,91,231,28,186,219,133,163,83,129,158,78,198,81,20,98,76,132,144,230,35,48,29,77,177,97,49,231,154,198,8,105,144,92,100,188,154,12,59,204,76,126,208,193,110,112,76,41,105,119,
58,95,252,226,151,126,237,215,62,243,211,21,192,183,111,223,254,173,223,250,103,147,233,52,240,3,63,244,165,80,38,75,80,74,49,33,14,99,198,38,191,248,9,17,4,31,248,192,207,158,58,125,230,91,223,252,214,
226,242,242,75,47,190,226,249,94,89,187,165,114,57,138,34,165,128,139,132,16,147,107,168,20,28,33,228,184,238,214,206,238,206,246,54,99,36,78,146,10,66,26,84,78,199,157,47,195,48,198,74,225,118,187,179,
182,190,182,185,181,77,41,69,8,41,101,48,91,53,147,136,112,70,169,87,74,41,45,165,228,249,252,118,6,85,134,57,78,98,177,4,232,247,247,79,157,58,173,64,25,147,139,34,87,97,230,39,204,59,84,16,66,110,220,
184,165,181,194,8,55,155,75,97,24,70,81,220,233,180,91,173,150,73,160,174,235,16,76,129,90,132,112,33,146,40,18,74,165,64,154,16,194,98,22,179,236,107,215,223,162,228,78,193,9,93,107,64,74,169,36,73,24,
75,76,23,58,175,85,154,127,95,249,126,163,55,175,223,208,87,175,237,238,181,164,150,4,225,76,36,136,60,111,138,137,46,187,229,36,142,149,82,66,42,165,48,101,196,36,73,139,218,202,204,228,40,155,122,158,
66,128,41,86,169,207,243,33,2,214,252,205,201,88,82,104,230,0,69,8,33,130,53,231,222,100,98,62,193,92,119,53,47,123,206,162,24,39,82,40,158,148,124,175,177,208,60,104,145,64,99,147,130,117,106,254,110,
204,0,44,106,125,225,11,95,250,224,7,223,255,147,209,9,255,251,6,240,222,94,235,234,155,215,202,229,50,33,212,177,93,236,98,83,91,230,100,6,51,15,192,24,155,78,6,99,82,169,213,8,198,95,248,252,23,47,94,
188,112,239,206,221,115,23,206,119,186,45,66,72,183,183,191,184,216,52,182,50,121,36,50,203,22,130,223,120,235,102,187,221,6,164,195,40,78,226,24,29,126,234,230,171,125,243,249,117,218,157,203,151,47,
51,35,60,56,128,133,143,14,170,156,25,2,0,140,49,165,36,20,158,245,226,49,49,31,195,166,205,246,188,73,175,215,169,215,27,132,18,165,102,117,63,57,0,102,126,212,12,185,202,252,17,0,162,140,173,172,174,
99,66,6,253,94,183,211,213,32,125,223,15,130,16,33,67,156,54,60,104,148,53,134,26,33,56,117,234,164,214,192,108,231,224,105,84,26,99,4,26,35,208,10,180,113,125,148,82,42,37,241,97,74,227,60,189,49,59,
188,64,42,121,255,254,38,164,100,108,98,218,21,173,36,198,116,234,121,22,195,140,80,183,84,146,34,225,92,17,130,65,107,33,133,134,148,168,101,91,118,16,4,227,241,104,97,113,9,193,219,34,136,51,247,161,
192,112,129,89,250,167,84,131,253,254,225,194,71,21,129,192,226,15,81,82,73,110,104,173,242,254,253,187,151,75,101,219,182,115,52,68,3,164,123,216,12,201,46,179,67,216,223,239,127,246,179,127,248,31,252,
7,127,227,167,40,128,49,193,229,114,137,49,118,128,205,234,116,113,14,28,112,119,177,214,26,48,32,133,180,86,82,169,207,126,238,75,155,155,91,47,189,244,170,70,192,147,164,219,109,213,107,213,229,229,
213,157,189,61,208,202,182,92,3,118,36,156,251,222,116,60,26,43,208,182,99,121,158,175,148,10,195,48,251,92,139,125,235,252,148,5,77,38,83,37,197,218,234,202,238,94,107,190,208,154,105,192,16,130,39,159,
124,60,8,130,215,95,123,181,94,171,13,6,125,33,100,126,204,207,164,220,25,244,203,60,70,24,163,114,217,185,112,225,236,112,56,29,142,134,115,162,249,3,253,109,113,124,117,248,71,129,20,124,227,212,198,
207,255,252,199,63,251,217,207,238,239,247,147,36,86,90,35,4,148,82,200,172,231,148,50,160,172,182,40,171,215,107,127,251,111,255,109,0,248,157,127,245,59,142,235,130,70,66,136,32,10,163,56,66,102,73,
16,20,232,78,26,142,132,54,10,161,155,30,112,0,160,180,202,91,15,93,24,182,41,37,133,16,253,126,191,185,176,48,157,76,0,19,66,8,1,204,40,211,26,18,30,3,32,169,116,167,221,26,12,246,53,104,4,232,200,67,
118,6,3,207,137,220,197,2,193,220,46,165,20,0,210,82,8,33,164,84,74,107,130,209,219,77,200,77,191,44,165,228,152,83,4,82,74,207,155,14,7,251,39,55,78,231,55,127,166,0,65,26,16,198,66,43,102,89,223,248,
198,183,126,249,151,63,189,176,176,240,227,30,192,228,239,253,189,191,247,239,243,247,60,223,255,206,119,94,44,64,20,7,31,67,177,221,50,150,106,26,180,82,138,115,62,157,78,29,199,145,74,106,165,0,33,223,
155,14,7,131,221,157,93,33,133,109,89,74,106,158,36,92,136,209,112,24,4,126,165,82,245,124,223,247,131,44,137,161,229,149,21,72,119,67,207,38,222,130,71,12,82,74,149,93,119,101,109,245,254,253,205,116,
248,148,189,170,3,179,182,66,112,122,158,63,26,14,163,32,96,140,78,166,158,239,123,6,208,6,116,4,251,47,31,237,26,40,24,99,140,48,98,182,211,219,223,247,124,223,156,18,243,191,98,166,234,54,89,55,167,
115,154,255,44,151,75,219,219,187,66,200,181,245,19,174,91,214,26,78,110,172,69,81,24,70,17,128,70,72,83,74,109,215,93,95,93,59,123,246,108,189,94,7,132,127,253,215,255,242,215,191,254,181,36,74,8,193,
150,197,42,229,178,205,172,48,10,65,107,76,168,109,91,182,101,91,140,17,74,77,76,22,223,66,254,76,103,173,233,193,214,132,212,239,78,107,45,85,138,36,129,86,74,245,247,123,81,20,117,186,29,194,152,31,
248,8,32,138,227,169,231,121,158,231,7,190,31,248,195,225,208,243,60,173,149,16,202,117,74,43,171,171,166,40,155,227,177,226,121,199,172,249,23,86,169,148,149,146,156,199,81,28,10,153,226,104,66,136,116,
236,151,61,120,217,39,107,158,55,130,49,214,90,113,193,149,84,66,137,122,173,193,24,59,244,243,15,124,245,176,6,132,52,32,140,38,147,105,185,82,126,228,145,135,127,90,2,56,73,248,43,175,188,226,123,65,
65,174,133,138,113,91,60,77,211,111,26,17,76,86,154,10,46,60,111,170,164,138,227,104,50,30,79,39,222,104,60,156,76,189,233,116,234,121,158,239,7,158,231,27,243,148,252,57,91,93,91,183,109,91,202,3,54,
69,145,185,145,126,144,0,90,67,20,134,143,61,246,216,237,219,119,160,32,48,152,49,106,203,191,78,146,100,48,24,76,166,227,229,149,229,106,181,220,235,237,135,97,100,114,200,145,254,82,249,15,164,148,26,
36,19,20,68,81,20,69,161,52,21,120,86,241,30,89,64,22,238,85,58,164,52,175,220,243,188,56,142,49,198,140,177,122,99,225,252,133,179,159,254,244,167,59,221,253,82,169,92,169,86,43,213,90,169,92,89,91,89,
57,177,190,134,0,75,46,219,237,214,207,190,239,253,148,208,43,87,94,101,140,10,33,64,65,165,82,214,160,147,132,91,182,227,56,142,237,88,204,178,77,49,156,163,71,51,125,120,134,204,101,241,12,96,8,81,105,
220,106,101,62,53,46,68,127,191,107,70,208,237,118,123,56,28,73,41,152,197,12,2,31,134,129,231,121,66,136,36,73,146,132,107,173,29,203,94,91,63,81,12,210,195,157,78,126,39,14,116,254,133,215,6,160,225,
220,153,211,15,63,252,80,28,199,222,116,138,9,65,72,123,158,103,184,162,90,31,116,40,186,112,153,195,72,41,201,19,46,165,170,215,107,143,63,241,24,2,52,153,76,15,184,156,8,112,78,179,45,108,9,111,181,
90,239,121,247,51,229,114,249,167,34,128,149,86,47,189,244,210,104,52,49,10,149,34,185,183,56,243,156,161,13,154,178,206,162,172,86,171,54,155,141,209,112,20,134,190,148,66,74,133,16,78,146,68,24,215,
208,108,126,80,76,98,74,41,199,182,42,149,90,189,86,91,90,94,244,253,32,39,87,20,127,187,249,50,12,131,115,103,207,132,81,52,30,143,243,228,115,200,83,70,235,92,233,38,132,32,4,15,134,131,201,196,91,95,
91,93,95,59,17,69,17,231,9,23,34,159,57,65,81,209,2,64,41,53,58,123,41,165,109,91,165,82,201,220,6,195,22,230,66,24,4,120,62,195,204,128,174,89,103,174,16,130,156,86,45,165,140,227,200,182,236,241,120,
202,57,95,92,92,94,92,92,106,46,52,203,165,146,99,49,227,198,140,49,74,146,4,19,252,236,115,207,125,237,171,95,49,202,126,132,145,20,146,82,26,197,73,181,90,115,108,151,49,139,49,70,40,57,122,102,88,80,
98,29,6,147,96,126,210,198,121,50,26,141,64,131,82,74,10,169,148,138,227,164,63,24,142,134,163,241,120,236,251,65,146,112,19,186,230,29,49,203,90,91,95,199,5,107,232,185,90,6,102,224,168,236,68,78,17,
132,222,126,127,107,107,103,115,115,19,33,112,28,219,76,61,146,132,155,25,83,46,204,202,14,113,149,39,12,165,180,84,146,96,66,8,237,15,6,251,221,174,41,194,211,174,39,39,85,234,212,185,11,16,32,140,167,
211,137,99,219,143,63,254,104,134,135,205,186,17,252,68,5,48,38,244,229,151,95,222,239,245,12,218,81,36,250,206,241,25,160,56,188,85,74,53,26,181,135,30,126,104,105,113,113,115,115,115,50,30,73,41,5,23,
166,127,198,8,25,0,108,238,241,210,8,33,46,184,20,226,252,249,115,239,127,223,251,54,55,183,141,10,255,224,89,56,136,79,224,66,184,142,181,186,186,182,181,189,61,35,133,49,196,58,140,64,105,173,148,106,
52,234,79,61,249,228,198,198,201,118,171,187,179,179,213,239,239,215,106,181,141,147,167,78,159,62,237,184,182,161,118,32,4,140,81,203,178,44,203,182,44,70,41,35,132,8,33,56,231,82,170,11,23,206,63,243,
204,187,22,151,22,71,163,177,25,237,112,206,115,131,229,226,8,167,80,239,161,153,26,187,88,227,97,140,30,125,228,242,242,242,146,18,130,16,226,251,62,33,132,49,38,68,76,48,214,90,25,190,18,198,120,111,
183,213,105,181,59,157,142,146,90,112,137,9,193,152,32,132,6,253,254,66,179,89,42,151,205,111,207,59,210,34,158,7,111,227,61,59,127,254,154,180,28,134,161,55,157,2,104,165,52,23,220,116,16,40,171,255,
139,151,105,115,24,179,215,215,79,224,12,46,50,145,105,254,242,204,251,157,185,33,121,173,109,66,209,247,189,209,112,80,173,213,26,141,58,33,196,243,60,179,35,162,120,39,115,60,194,20,119,82,202,108,250,
141,44,219,1,45,18,145,68,113,20,199,49,231,92,9,169,164,50,121,56,125,13,25,64,216,110,119,46,94,60,95,173,86,56,231,102,120,113,36,126,249,147,16,192,8,163,171,111,188,209,218,107,75,41,245,219,28,237,
217,163,48,219,13,134,81,56,30,79,54,55,183,182,119,182,148,210,66,74,41,164,121,206,32,51,124,152,129,58,204,231,196,19,62,153,140,235,181,250,120,60,237,15,250,132,224,188,108,206,27,27,66,136,50,212,
162,56,60,125,250,212,230,230,118,49,126,178,92,115,168,246,158,78,167,237,78,103,58,245,38,227,145,231,249,187,187,123,163,209,8,0,170,213,234,242,242,82,163,177,176,176,176,144,137,206,9,165,36,142,
227,36,73,76,39,102,89,140,16,58,153,76,195,48,140,227,56,95,150,107,222,2,33,56,167,34,205,149,9,7,173,65,14,26,25,198,82,185,84,122,199,59,158,98,204,186,115,231,222,100,58,53,224,176,144,34,10,67,139,
89,82,154,198,13,48,65,156,39,219,219,91,24,19,132,140,24,72,151,74,37,13,122,115,123,107,161,185,96,54,137,104,173,209,161,248,61,244,50,230,129,232,57,223,28,13,0,82,136,253,253,174,20,92,41,144,82,
152,22,166,8,179,103,213,149,97,78,167,230,27,139,139,139,78,201,61,88,113,6,121,221,140,231,79,13,40,152,102,230,121,209,98,148,81,18,69,209,254,254,62,65,184,94,175,53,155,75,230,239,199,113,44,83,13,
10,228,173,89,254,166,48,38,74,41,183,228,58,182,165,149,196,4,107,141,165,82,66,240,56,137,184,48,241,153,30,102,41,160,133,192,15,131,36,142,206,156,57,21,134,17,231,92,170,131,77,226,51,79,209,143,
63,10,141,80,181,92,118,28,39,17,60,111,159,242,194,38,199,253,10,67,130,2,247,21,240,96,48,8,252,169,33,151,155,157,176,20,167,140,165,25,142,206,140,159,83,20,197,59,123,123,136,82,211,133,42,37,192,
104,211,33,229,12,26,253,39,165,212,15,66,0,180,208,104,140,39,147,195,26,3,137,16,86,217,7,195,57,31,14,99,74,217,242,210,202,104,52,12,194,29,198,216,96,56,236,245,122,132,208,140,144,72,56,231,66,164,
130,88,51,176,145,130,51,139,149,171,85,132,201,212,155,122,129,135,17,46,228,16,109,212,14,140,89,38,134,161,224,8,57,211,95,24,93,81,254,174,125,63,248,119,255,251,239,31,244,237,0,160,145,224,42,142,
98,243,214,226,152,19,66,1,97,4,152,49,91,41,105,110,163,101,81,198,200,246,206,22,23,137,74,119,110,30,210,78,204,240,73,143,156,6,207,247,47,74,233,201,100,204,147,4,0,3,164,108,211,92,60,152,125,100,
57,44,143,148,86,24,99,193,249,205,155,215,159,124,242,157,4,19,192,133,221,159,58,109,63,11,172,63,52,55,64,2,41,229,210,210,226,165,139,23,147,36,250,194,23,190,48,28,13,239,111,109,214,106,245,197,
230,226,218,234,234,137,19,39,12,105,92,202,180,235,34,132,152,214,157,16,106,112,13,165,212,165,75,151,86,87,150,250,253,253,189,189,86,246,14,149,144,82,74,33,133,16,60,113,220,146,227,56,148,208,44,
232,201,235,175,95,125,234,137,199,155,75,139,8,140,5,151,227,186,229,114,185,100,219,78,241,32,254,177,207,192,0,112,231,206,157,189,214,94,24,198,0,7,50,160,92,161,14,5,87,39,140,205,30,74,68,25,21,
82,34,0,208,82,42,233,121,190,144,82,10,97,12,13,213,97,167,168,28,102,60,164,82,64,200,178,216,210,210,18,2,44,149,50,158,230,25,49,238,80,126,75,18,190,188,180,88,173,213,119,247,246,104,86,199,230,
25,166,56,94,66,56,37,229,60,252,240,67,43,43,43,55,110,188,165,164,36,36,37,84,115,206,131,32,48,53,149,137,19,132,96,117,101,249,147,159,252,185,165,229,21,219,178,28,219,198,248,160,7,203,169,157,8,
33,198,168,9,224,226,253,41,80,199,14,150,9,21,49,97,157,21,219,69,221,133,82,202,56,206,142,70,99,219,182,40,33,90,41,108,64,112,132,16,38,182,101,41,173,239,220,189,219,235,118,149,214,205,197,165,90,
181,158,238,31,155,75,185,197,122,126,158,101,137,16,50,243,64,67,237,144,130,135,190,47,149,84,74,73,41,132,80,156,243,124,46,93,244,42,152,57,20,162,40,172,86,106,141,133,70,241,64,135,2,128,151,166,
101,51,68,158,157,207,35,41,101,187,211,217,222,222,139,147,196,243,38,82,106,223,247,123,221,238,120,50,230,60,113,28,103,121,121,101,97,97,161,90,173,86,42,229,148,196,14,72,74,105,234,35,219,118,164,
226,190,31,240,132,155,146,1,80,170,142,2,64,41,209,26,210,185,9,70,216,180,3,126,24,34,128,243,231,207,198,113,152,36,73,28,199,113,18,41,165,12,190,61,255,76,254,24,7,240,221,123,119,119,182,119,162,
48,22,5,57,142,121,135,51,224,112,146,240,199,31,125,248,226,3,23,23,155,205,209,112,232,150,220,132,115,12,16,199,113,232,251,66,41,41,36,2,80,115,67,221,226,131,149,30,10,148,154,112,109,44,52,150,154,
11,127,241,215,63,115,239,222,102,24,4,185,51,107,65,188,134,132,76,30,120,224,193,59,183,239,228,45,250,193,110,174,194,99,109,112,215,213,213,149,199,30,125,116,50,245,164,130,48,244,195,48,148,82,176,
84,214,147,246,117,66,138,181,181,149,39,30,127,252,204,233,83,127,251,63,254,63,117,219,189,118,123,207,182,157,122,173,90,171,86,164,148,81,146,160,108,28,77,8,49,14,111,121,0,23,222,81,234,201,152,
215,101,69,186,127,38,49,208,51,165,108,167,221,30,143,71,39,79,158,28,141,199,94,224,19,74,121,146,32,140,164,20,66,36,195,241,120,115,107,219,15,2,66,72,146,136,133,133,122,163,177,80,228,45,205,251,
102,193,81,122,32,132,16,70,56,119,162,225,156,107,37,195,32,224,156,75,41,204,52,152,115,142,9,62,188,69,12,102,166,137,8,33,37,181,101,219,11,11,11,185,91,24,66,112,24,28,58,136,232,124,36,158,191,90,
83,33,51,203,42,185,165,48,76,60,111,108,92,141,56,23,211,169,55,24,12,7,131,126,175,215,27,14,71,211,233,36,142,227,56,230,6,179,48,195,203,122,125,193,118,156,201,120,28,71,145,153,45,233,188,215,202,
120,28,38,205,16,74,49,206,31,90,53,24,13,46,92,56,95,46,149,205,11,144,66,154,231,147,49,70,41,251,17,175,165,191,135,0,222,217,221,187,119,239,158,82,58,78,18,173,53,38,7,115,185,60,128,115,205,170,
41,86,119,247,246,92,199,57,125,250,180,214,202,247,124,13,122,48,24,104,165,204,82,143,34,50,49,175,25,202,77,27,108,219,58,115,230,180,101,49,173,117,18,243,193,96,152,240,152,144,180,42,54,143,165,
249,183,65,16,60,112,233,252,112,48,10,130,160,216,198,24,235,96,0,192,248,64,163,27,197,241,221,59,247,226,36,89,90,94,90,91,59,81,41,87,158,121,230,221,150,109,15,135,67,202,24,161,180,84,114,31,123,
244,145,179,103,206,42,5,221,238,126,173,90,189,112,241,210,11,47,124,199,34,44,73,18,66,112,115,161,137,17,4,97,104,38,76,142,227,184,174,107,16,47,115,178,28,158,115,22,177,171,52,100,231,135,198,166,
98,55,129,52,30,141,38,147,241,222,94,203,20,141,90,43,169,116,24,69,19,111,218,233,116,194,48,210,90,114,206,185,144,160,181,227,148,150,151,151,139,92,180,185,67,228,16,120,86,252,107,166,235,86,74,
93,184,112,254,210,197,243,211,233,52,8,3,0,72,120,122,73,41,9,38,243,180,199,34,170,100,250,2,219,182,46,94,186,184,182,182,54,153,164,3,11,99,76,249,118,134,239,57,222,145,127,136,8,192,98,236,233,167,
159,122,232,193,7,175,189,121,45,138,66,131,216,231,29,83,106,166,165,204,215,74,74,217,104,212,63,252,145,15,43,37,162,40,254,208,135,62,36,165,8,195,136,49,138,16,86,210,244,22,218,28,219,8,155,248,
165,132,16,68,48,128,198,152,4,81,164,149,190,120,225,188,233,77,12,175,75,105,69,8,179,44,235,71,188,144,254,30,2,184,219,233,220,186,117,83,131,14,130,8,224,96,19,123,94,77,229,178,62,74,217,116,234,
245,251,195,132,39,65,24,181,219,237,118,167,237,216,118,165,90,25,141,198,211,233,52,207,63,243,25,184,216,146,25,86,70,194,99,207,247,135,195,97,20,39,59,123,45,227,129,106,72,127,51,188,34,33,228,98,
179,81,171,47,236,236,236,24,219,164,172,227,66,121,219,150,219,181,153,50,30,101,132,247,197,102,243,195,207,62,59,28,141,235,245,70,163,177,80,42,151,207,159,61,179,186,188,58,153,76,148,82,8,96,234,
77,63,246,137,79,188,242,242,43,190,239,81,202,204,238,143,90,189,230,251,62,194,164,228,186,174,235,218,182,99,200,106,121,142,205,9,12,40,221,45,166,243,85,154,243,209,91,132,15,146,36,25,143,71,160,
117,224,135,253,254,192,228,28,206,147,56,78,130,32,240,253,32,138,162,56,142,115,150,139,109,219,171,107,107,115,210,5,156,137,114,97,14,4,198,51,247,31,99,204,121,18,71,124,48,24,24,50,185,1,234,148,
82,66,8,195,51,47,30,10,51,43,185,205,217,209,104,212,41,165,221,110,55,73,68,166,155,64,197,50,228,72,22,71,177,52,208,90,59,182,125,246,236,153,78,167,231,56,37,132,80,24,248,113,18,25,222,171,82,105,
173,98,110,41,101,86,173,218,176,29,199,182,172,149,165,229,201,100,244,87,254,202,95,189,252,208,229,151,94,124,209,177,29,199,118,152,197,148,129,190,64,99,140,8,97,182,157,142,21,114,158,0,70,164,191,
191,127,230,204,169,90,189,86,180,124,32,24,219,182,99,184,229,63,9,1,60,26,141,175,95,187,142,48,246,253,64,74,153,171,94,139,243,210,156,183,100,206,173,188,217,243,60,111,50,25,46,47,47,54,23,22,135,
195,81,224,7,82,136,195,50,29,67,39,208,185,126,200,178,172,180,5,5,40,151,171,148,82,67,219,50,152,145,214,169,118,194,36,252,188,133,86,82,95,122,224,226,237,219,119,15,23,141,233,1,79,41,205,130,69,
153,229,185,198,220,148,11,129,17,105,237,237,37,73,82,42,151,107,181,90,189,82,173,213,74,147,241,68,74,145,36,49,179,236,241,116,242,129,15,124,96,56,28,222,185,115,219,178,109,173,21,231,156,81,154,
240,152,16,86,175,55,44,203,202,211,111,246,44,42,72,125,42,14,248,12,197,221,37,5,8,32,231,50,170,172,165,79,70,227,129,49,154,50,85,125,28,39,158,231,27,250,135,214,160,148,46,252,34,109,49,107,109,
109,29,25,253,225,28,135,252,200,210,23,227,220,245,198,220,73,20,199,201,112,52,236,116,218,0,122,161,81,39,148,78,38,19,99,49,143,15,182,43,232,25,178,138,137,94,211,56,36,9,15,163,200,247,188,56,142,
146,36,54,50,181,172,125,200,131,31,195,33,21,23,58,252,159,160,164,218,217,109,113,33,92,183,180,180,180,188,184,180,124,246,204,233,103,158,121,122,115,115,11,99,74,41,181,44,203,118,220,74,185,90,174,
84,109,215,169,150,203,72,107,207,247,48,160,189,86,251,151,127,229,87,95,125,249,165,169,55,53,107,71,109,70,48,96,169,52,193,204,113,28,198,210,143,169,112,6,65,28,199,90,171,75,151,46,20,113,25,140,
176,101,217,63,226,73,248,123,8,224,48,140,174,188,118,197,84,170,113,194,243,79,180,152,82,242,207,24,52,84,43,21,165,181,227,56,213,106,165,209,168,183,91,237,94,175,183,180,184,116,238,236,89,203,182,
45,203,242,125,79,8,158,63,13,132,80,198,136,73,188,174,107,107,13,6,138,88,89,89,93,88,108,114,17,19,76,164,224,113,18,25,172,165,232,156,150,67,175,158,239,63,248,192,133,193,96,28,134,65,241,88,201,
49,173,98,201,141,17,146,82,218,150,253,177,231,158,189,124,249,193,201,120,130,49,14,163,136,18,18,71,17,99,52,225,102,133,60,24,55,231,107,111,94,239,118,186,160,20,198,136,80,76,137,69,41,27,12,7,74,
170,213,213,85,83,155,205,112,185,114,3,183,44,253,206,238,194,205,135,73,51,22,150,211,241,40,8,2,41,149,217,144,155,99,132,69,218,230,97,166,138,178,44,171,90,171,22,68,20,135,198,33,51,131,232,92,75,
80,28,81,27,242,67,24,4,227,209,136,80,188,180,180,84,169,84,181,214,190,31,100,230,7,105,17,155,81,181,211,203,4,149,49,253,115,75,174,153,6,39,73,18,199,73,146,196,60,225,169,223,205,225,213,13,243,
100,190,66,133,159,51,88,21,194,228,129,7,30,104,46,52,165,130,181,181,181,197,165,229,122,173,110,196,253,182,109,59,182,85,171,85,64,131,20,66,3,116,59,157,75,151,30,188,112,225,194,11,223,249,22,34,
56,67,40,8,38,36,27,236,219,140,49,146,106,49,210,6,25,97,60,28,13,207,159,59,91,169,84,50,53,162,81,143,97,203,182,243,170,234,199,59,128,165,20,47,190,240,34,194,144,36,34,155,173,207,242,19,48,198,
156,243,115,103,79,63,245,212,83,143,60,252,32,198,176,216,92,90,89,89,1,141,238,111,110,245,246,187,173,214,94,194,147,213,245,181,211,167,78,55,155,77,215,117,17,66,140,17,198,152,101,81,203,98,142,
99,107,173,146,132,199,49,87,74,98,140,30,126,228,161,115,231,207,131,214,143,61,242,200,133,139,23,239,220,185,45,133,214,10,82,229,107,97,166,10,0,66,138,122,189,214,168,215,119,118,119,8,161,198,177,
192,228,222,124,228,152,119,236,249,218,146,48,138,119,246,90,219,59,59,81,28,99,64,113,146,132,97,80,173,86,4,151,26,64,42,153,196,137,214,16,5,1,231,9,198,136,82,130,49,37,148,98,66,54,183,54,25,99,
107,235,235,248,192,14,94,29,133,244,164,30,203,197,63,133,89,19,203,52,162,146,56,154,76,198,6,83,17,217,238,220,153,32,44,46,179,55,127,218,239,239,47,44,52,75,165,82,241,155,249,63,145,82,154,188,13,
160,133,224,74,42,131,198,230,99,88,173,245,66,163,113,238,236,153,149,149,229,221,189,189,78,167,29,134,65,163,86,95,90,90,94,104,212,220,146,27,134,97,113,107,4,99,204,28,43,182,109,81,202,56,23,82,
138,75,151,46,156,61,115,134,82,26,70,17,32,0,165,184,144,49,143,5,79,164,84,102,1,50,198,232,187,144,37,204,199,154,230,109,0,165,180,197,232,116,58,245,125,223,113,93,140,73,185,84,174,84,42,229,74,
181,90,173,86,43,21,138,145,224,60,142,19,179,153,73,3,244,251,253,143,126,244,163,223,249,246,119,130,48,36,132,106,80,102,69,56,179,44,199,113,205,152,16,101,46,162,72,35,208,26,97,20,70,49,33,228,210,
197,11,197,27,139,48,102,204,182,109,43,107,199,126,156,3,88,41,253,202,203,175,36,60,214,0,190,23,2,104,195,26,47,106,232,210,84,35,85,189,94,233,247,7,189,253,254,189,123,247,55,183,182,135,163,17,198,
120,56,232,11,33,135,195,209,206,206,78,191,223,231,156,91,150,85,173,86,205,10,34,211,206,37,9,143,227,68,74,101,212,246,213,106,109,58,245,246,246,90,190,239,37,156,107,128,253,94,95,165,165,105,26,
192,197,164,132,17,78,18,126,106,227,228,253,205,109,148,123,79,28,34,12,232,116,146,159,109,30,82,0,131,193,112,234,121,56,91,207,167,148,234,247,123,130,39,181,106,5,155,130,79,3,70,64,9,54,18,44,165,
180,197,236,90,189,122,127,123,171,213,106,149,203,165,149,213,181,226,112,37,191,21,69,144,118,158,59,49,51,170,77,33,89,128,48,240,77,180,24,149,175,204,96,255,25,123,154,195,232,58,142,227,152,17,106,
94,201,252,199,231,186,142,109,219,149,114,201,117,236,167,158,122,252,163,207,61,219,218,107,77,167,126,241,220,89,92,92,44,151,202,251,253,126,175,219,13,195,104,52,158,116,58,221,132,39,142,227,212,
170,181,229,149,229,90,173,86,169,148,93,215,177,109,99,127,133,40,37,0,16,167,14,158,168,185,184,180,188,178,108,217,238,104,52,214,74,231,85,170,193,225,242,58,226,176,178,98,22,90,59,120,179,82,149,
92,247,151,126,241,23,78,159,62,25,199,137,63,245,130,40,50,10,173,52,169,8,33,56,55,250,25,140,144,6,77,48,158,140,39,87,174,188,54,245,188,212,73,71,35,76,144,210,42,8,194,122,189,65,140,41,124,234,
196,149,169,29,52,96,64,195,209,232,194,133,115,149,74,249,128,17,12,96,246,200,228,2,137,31,87,34,7,0,216,150,85,170,84,124,223,163,132,80,74,18,174,132,56,164,59,205,171,41,207,247,95,120,241,21,72,
205,156,176,101,49,198,152,101,89,232,129,135,238,223,191,61,153,248,82,200,253,253,253,126,191,159,131,97,216,56,253,106,48,38,204,152,144,82,201,37,148,150,43,85,132,8,66,90,41,180,183,215,217,221,221,
51,228,65,165,68,102,176,108,102,250,7,220,186,193,96,64,8,173,86,43,190,239,27,38,108,129,34,102,114,160,6,80,105,96,154,21,88,148,40,165,165,209,157,34,4,72,7,65,208,104,212,186,189,253,178,235,18,70,
171,172,138,17,230,220,44,248,212,152,210,40,12,95,187,114,165,219,237,25,182,137,148,71,24,15,204,143,181,97,206,245,174,72,35,53,177,40,120,66,9,65,128,12,73,240,72,14,230,124,24,155,237,129,131,65,
63,73,18,115,67,160,96,226,183,190,190,246,177,143,62,231,121,211,90,173,194,185,168,84,42,8,161,203,151,31,232,116,122,230,239,153,153,220,238,94,107,119,111,143,49,182,188,186,62,28,143,76,170,220,219,
107,237,237,181,44,139,185,174,235,186,110,198,148,22,134,59,97,34,211,128,231,149,106,205,243,252,43,87,222,192,152,16,138,243,86,215,156,51,82,240,40,10,77,31,96,0,142,183,27,34,166,247,80,3,65,88,10,
241,165,63,122,62,73,146,233,116,138,49,166,233,103,13,90,41,76,144,31,248,32,57,99,22,48,154,36,66,107,144,82,57,54,235,247,250,128,144,109,51,41,149,225,252,17,74,188,254,192,212,205,7,39,229,97,191,
135,233,212,123,225,197,151,62,249,115,31,51,224,133,214,90,114,17,4,126,24,150,12,60,249,35,24,195,223,67,0,83,198,74,37,151,11,238,216,142,109,219,9,79,230,241,12,51,78,200,23,204,155,160,138,227,88,
105,245,216,163,151,79,159,254,200,239,254,238,191,121,225,59,223,18,66,152,42,212,60,196,70,188,102,12,205,164,84,182,109,217,150,245,161,103,63,220,110,119,239,221,191,79,73,182,230,11,105,208,248,176,
168,16,242,217,149,249,213,8,161,56,138,147,36,57,117,106,227,234,213,55,29,199,41,26,56,20,123,206,60,210,16,128,44,178,8,181,241,100,36,215,175,191,121,249,242,195,19,111,234,7,30,35,140,90,22,163,150,
82,42,138,131,209,104,52,153,76,132,80,217,254,248,152,115,158,87,233,179,22,19,5,121,112,230,11,9,185,103,114,113,86,76,13,2,165,65,41,101,91,246,100,58,153,163,13,31,225,41,159,29,28,2,0,197,73,178,
185,121,111,99,227,180,101,89,69,222,200,100,50,237,247,251,245,122,245,213,87,95,239,247,251,74,65,175,219,195,4,51,70,97,110,203,4,33,100,97,97,225,210,197,75,237,118,107,175,213,50,38,13,134,29,49,
30,143,15,85,1,41,244,40,23,22,26,245,122,61,138,99,41,165,101,177,220,236,1,1,65,57,31,29,41,67,227,49,222,209,243,28,137,98,253,146,230,72,4,92,136,193,112,0,26,48,197,69,201,177,210,10,105,226,121,
83,145,196,139,139,77,202,40,66,72,199,10,52,8,206,9,193,132,80,165,52,99,68,107,32,24,13,71,3,4,96,49,75,106,5,8,155,140,93,148,115,32,132,44,102,93,127,235,214,83,79,62,145,153,212,130,82,50,137,120,
16,196,229,50,47,2,28,63,150,37,52,66,112,227,198,141,246,94,203,182,173,152,243,48,140,242,244,155,195,116,57,38,121,72,64,255,196,99,235,235,107,4,211,55,174,94,119,29,103,105,113,217,124,12,181,90,
109,58,157,228,36,199,197,230,2,193,248,220,217,211,127,255,191,252,251,229,74,173,219,110,47,54,23,8,70,24,99,46,132,81,237,65,234,240,70,25,99,142,227,88,150,149,163,252,69,166,46,37,248,252,249,179,
183,110,223,45,84,215,69,117,67,17,65,45,248,170,101,249,80,42,53,26,14,130,208,223,220,220,26,141,198,37,183,76,8,13,163,96,60,26,141,39,227,126,127,32,165,68,8,135,97,200,57,55,63,126,117,101,141,89,
214,225,28,59,107,254,148,159,29,5,117,97,97,18,174,228,218,234,234,211,79,191,131,139,100,48,216,183,44,107,60,153,24,2,176,57,152,222,206,238,39,231,189,32,132,44,219,218,216,216,56,119,238,140,16,42,
73,146,124,216,38,132,216,222,222,185,118,237,70,24,68,158,239,75,33,78,156,60,33,4,15,195,8,29,130,33,17,32,208,82,213,170,181,231,62,250,44,33,236,222,189,251,156,199,92,242,98,95,112,80,246,43,173,
181,194,152,54,22,22,62,240,129,247,55,234,245,243,231,207,245,251,125,202,40,198,8,35,172,181,210,90,33,48,70,147,24,35,108,101,236,8,131,249,29,233,178,82,116,14,53,246,6,128,50,214,167,210,102,53,185,
57,119,134,131,190,231,77,215,215,215,130,48,16,82,81,202,92,199,177,109,199,252,124,102,17,208,154,16,58,158,140,70,227,241,169,83,27,110,169,98,216,212,121,250,53,186,215,60,9,71,81,172,21,92,186,116,
62,157,207,33,4,90,99,138,237,12,202,250,81,139,225,239,33,128,1,224,254,253,205,251,247,238,185,174,43,165,244,253,32,219,85,127,4,99,190,192,103,146,143,60,124,89,105,244,141,111,126,75,43,69,8,118,
221,82,163,217,252,212,47,252,220,201,83,103,246,247,251,165,114,217,113,156,133,133,198,19,143,63,190,182,188,90,41,149,222,247,254,247,45,52,151,95,252,206,183,194,40,44,185,165,74,185,226,216,142,209,
30,154,199,200,178,44,51,116,181,109,59,63,59,242,224,161,148,78,38,163,71,31,125,172,221,238,198,73,124,152,37,146,147,40,14,30,254,34,154,154,237,149,22,195,225,64,8,33,132,140,162,112,127,191,63,26,
141,2,63,140,162,56,8,67,223,15,124,63,200,149,12,230,159,172,172,174,148,74,229,162,249,11,204,57,84,204,72,47,15,151,196,10,97,236,249,254,206,214,78,183,179,175,100,226,216,14,151,114,56,24,192,156,
31,216,145,203,40,76,60,96,132,41,99,219,219,59,41,143,34,21,223,0,2,196,133,80,82,252,194,47,252,220,59,223,249,212,226,226,226,227,143,63,58,24,12,186,221,125,108,26,123,147,133,48,78,203,105,74,246,
251,125,207,15,55,54,54,106,213,26,104,69,8,174,215,171,163,209,48,3,147,181,177,194,172,214,106,245,198,66,189,86,237,239,247,109,219,254,79,254,206,255,229,230,91,55,134,131,145,99,57,142,109,219,182,
165,148,18,82,0,32,12,200,178,44,102,26,42,198,80,202,183,61,212,23,204,235,150,14,132,11,153,123,37,165,84,72,97,56,28,131,193,32,138,162,110,175,87,169,84,65,195,104,60,10,163,72,42,169,180,18,34,9,
195,112,48,24,116,123,221,241,120,178,178,178,220,104,212,48,74,247,137,35,99,97,146,19,182,17,96,179,227,6,163,209,104,120,225,252,185,74,165,172,14,124,249,128,50,203,182,237,31,193,36,252,189,97,107,
213,106,77,3,40,169,28,199,182,24,141,99,158,141,22,116,182,198,14,155,137,110,129,85,143,191,246,245,111,42,165,74,174,75,8,49,72,70,201,113,92,183,60,30,109,94,190,252,136,214,202,15,60,155,18,130,9,
199,136,39,242,133,23,94,248,232,199,63,105,57,182,177,37,211,74,149,75,46,165,43,157,94,87,107,197,152,227,56,182,227,184,134,117,60,47,175,81,82,37,9,159,76,166,167,78,157,188,242,250,192,182,173,252,
153,32,4,229,84,167,130,199,210,161,141,30,7,39,125,54,109,50,100,111,63,240,243,115,122,102,35,132,82,106,50,30,55,155,75,153,73,141,70,115,201,228,237,212,26,89,16,102,90,101,173,252,192,247,253,209,
217,51,245,139,231,207,9,206,183,183,183,179,179,9,138,135,66,241,183,155,99,11,0,226,56,158,140,199,165,114,57,12,3,46,18,215,46,149,74,101,102,49,3,189,130,134,231,255,248,171,142,235,14,6,195,56,137,
181,86,132,18,84,36,42,103,69,83,24,134,81,20,81,74,41,161,235,235,39,235,141,133,119,188,227,177,253,253,254,151,191,252,188,148,74,8,174,53,80,66,16,193,148,146,133,250,130,69,73,146,36,247,55,239,223,
186,121,235,35,207,125,228,205,171,255,29,32,160,154,48,74,203,229,10,137,162,40,142,24,179,45,203,166,204,20,77,232,168,18,15,125,23,135,80,99,151,5,0,113,18,75,208,160,129,199,137,224,9,37,52,138,195,
235,215,111,216,182,93,173,86,170,149,90,20,197,74,137,56,142,163,40,148,74,129,214,181,122,205,117,221,48,76,40,211,41,179,83,29,204,179,180,25,110,153,147,11,227,32,140,174,190,121,253,35,207,126,80,
74,105,254,136,39,60,12,130,168,84,182,44,235,71,109,158,244,189,101,224,254,96,112,237,234,155,166,150,224,66,68,81,156,107,178,139,107,218,103,122,63,19,51,132,82,48,139,78,0,126,249,211,159,26,12,199,
183,239,220,101,22,3,0,138,129,81,150,196,137,6,141,16,68,81,240,201,159,255,212,213,107,215,199,227,161,227,184,130,115,140,145,235,58,97,24,82,106,215,235,13,219,118,205,130,233,188,122,55,238,42,25,
35,1,33,64,160,213,197,11,23,110,222,190,67,211,57,211,193,248,183,136,3,207,228,94,51,167,77,146,120,60,30,9,33,56,23,57,2,60,67,109,159,225,18,38,73,98,49,171,90,173,66,238,80,115,104,202,250,182,82,
190,226,192,86,73,165,65,91,150,53,157,142,6,195,97,185,92,57,123,230,172,109,91,65,16,24,106,71,94,240,3,232,204,89,1,153,25,172,225,81,89,150,93,174,86,82,229,150,84,92,136,56,137,133,72,180,74,143,
87,63,12,199,147,177,144,18,10,82,16,84,120,95,135,160,96,13,26,52,151,34,225,188,100,187,131,254,168,177,208,92,90,90,110,54,151,170,213,106,185,90,41,185,110,201,117,28,155,37,81,164,148,78,184,136,
227,248,51,159,249,204,11,223,249,78,20,69,8,35,158,112,74,153,101,81,165,180,227,150,108,199,113,236,116,27,120,177,32,63,178,59,152,255,152,204,38,209,180,180,214,154,243,100,60,30,102,107,156,85,24,
134,190,31,76,189,169,16,70,164,45,132,16,73,156,48,70,44,70,9,34,136,96,187,84,129,220,246,30,82,52,218,188,83,200,230,74,8,208,96,56,188,112,225,92,169,84,78,43,41,141,0,105,198,44,67,204,250,145,74,
194,223,91,0,135,97,244,210,11,47,50,198,24,165,81,148,4,126,104,84,210,169,155,97,97,158,52,51,138,52,143,190,84,138,32,4,0,165,146,27,4,97,127,191,175,164,18,60,177,24,75,226,132,16,66,16,17,34,225,
66,112,33,246,247,251,254,212,7,208,128,52,193,216,45,149,123,189,190,16,241,234,202,58,161,198,245,9,231,65,155,247,219,233,57,66,240,100,60,126,228,225,135,119,247,246,140,109,141,81,80,101,142,106,
144,17,48,113,182,151,39,143,46,164,149,242,189,137,231,77,165,145,161,21,70,56,243,203,153,242,175,165,148,131,193,96,113,177,105,59,142,82,18,230,44,178,142,178,215,67,5,85,3,72,41,215,214,86,31,127,
236,145,141,141,141,110,111,191,213,106,117,186,157,40,142,87,87,86,54,78,174,175,174,172,2,2,140,41,198,200,178,40,165,212,182,45,199,113,76,114,53,114,89,206,249,165,75,23,222,245,174,119,157,88,63,
57,157,122,113,28,3,74,237,102,184,224,38,205,154,21,216,25,44,112,72,227,87,116,83,41,70,81,165,92,126,199,83,79,248,190,95,111,52,166,158,135,16,50,136,116,185,92,102,132,32,208,97,24,170,84,199,66,
58,157,206,99,143,61,70,48,190,121,243,166,161,28,19,132,17,66,66,114,199,113,43,213,42,201,100,62,243,7,217,252,157,153,193,183,140,214,89,106,133,0,41,193,71,163,1,231,28,33,108,70,229,134,154,102,6,
111,81,20,37,73,2,128,148,210,148,17,132,48,165,20,16,148,43,53,132,17,78,119,73,66,70,76,79,31,155,108,76,129,252,48,84,90,62,112,241,66,106,223,159,242,168,177,109,91,63,106,73,248,123,11,224,56,138,
94,122,233,165,52,239,97,152,122,65,214,158,233,220,56,202,120,11,102,199,250,97,7,73,100,76,103,245,214,214,78,187,219,33,41,58,37,25,163,82,74,163,79,16,66,34,140,175,94,125,221,159,78,49,70,90,75,173,
117,146,112,173,209,246,238,182,72,146,19,39,78,65,54,13,154,97,50,152,152,52,191,51,225,98,125,109,153,49,171,213,238,224,67,134,85,230,238,171,98,71,90,56,113,144,20,130,243,196,120,181,229,25,120,102,
105,195,188,53,12,2,20,199,81,185,82,106,54,151,212,1,212,12,111,55,248,157,79,200,230,29,141,70,147,157,221,221,48,138,39,163,113,28,71,195,225,160,221,238,132,81,140,0,45,52,155,139,205,102,173,94,115,
28,59,195,237,144,210,50,142,211,5,190,148,18,132,201,116,234,7,126,16,70,161,84,210,112,37,115,223,25,35,153,34,152,162,236,121,133,195,138,165,162,96,208,100,102,37,228,249,115,231,222,245,204,51,251,
253,254,238,238,94,20,199,144,241,210,180,210,198,148,87,8,153,145,97,53,70,240,242,203,47,111,110,110,97,140,140,4,210,232,49,5,231,65,16,172,174,174,206,20,65,71,2,236,243,194,114,40,108,81,50,107,83,
250,195,174,231,251,6,177,23,66,10,33,204,78,134,28,108,203,31,9,76,8,37,196,172,29,175,215,26,89,190,77,129,77,99,61,11,7,139,208,0,16,194,24,15,7,131,115,103,207,84,43,213,236,133,33,4,96,89,150,237,
56,63,82,80,214,247,214,3,59,142,227,186,165,40,12,180,214,20,83,219,178,141,108,197,132,110,58,19,210,154,16,100,230,162,153,56,1,48,66,90,43,5,10,35,100,91,86,164,99,173,53,163,228,210,165,11,237,118,
123,60,26,48,106,37,34,214,10,24,163,128,160,92,174,8,110,100,235,10,33,228,56,78,191,223,31,244,251,213,106,85,72,161,33,255,92,243,249,16,66,8,48,134,156,14,129,49,186,125,231,206,133,11,151,208,97,
175,201,204,203,218,228,100,164,53,46,130,88,82,42,13,202,64,47,5,9,235,161,14,118,158,74,5,0,82,75,140,209,120,52,20,60,73,183,151,128,54,219,36,102,234,231,153,236,93,12,230,48,10,195,40,164,148,46,
47,46,121,147,241,230,166,103,219,44,142,249,206,206,206,14,236,88,150,101,214,187,0,128,16,82,167,232,91,218,204,33,140,106,245,186,101,217,158,231,121,158,151,227,17,102,199,136,6,45,4,143,147,132,49,
155,16,193,48,59,224,1,207,137,132,14,98,70,41,140,241,141,183,110,190,121,253,122,150,161,16,160,3,197,114,24,6,72,131,235,58,65,16,25,22,182,16,60,142,66,132,176,177,136,197,132,104,45,45,203,26,142,
6,65,230,140,51,99,192,2,135,29,51,11,148,82,157,177,44,14,175,215,1,20,134,129,239,251,8,144,76,121,157,114,198,47,186,112,135,181,153,77,26,173,111,187,213,90,63,121,82,105,133,116,70,232,65,72,131,
198,58,213,151,27,163,23,195,168,125,253,234,155,31,251,232,154,204,36,74,73,146,248,65,80,42,71,63,82,242,134,239,237,117,148,202,37,199,24,103,107,77,41,177,44,138,16,70,8,23,249,140,217,41,142,10,14,
50,233,89,168,164,122,231,59,223,241,203,159,254,197,247,191,239,103,126,245,87,126,241,47,253,229,207,60,241,196,19,149,82,25,0,5,81,96,91,142,49,70,38,148,17,98,89,140,1,96,203,178,45,219,25,79,38,119,
238,222,85,74,11,193,165,228,5,35,91,117,152,204,4,69,118,110,187,179,143,49,113,108,167,120,186,155,215,86,36,129,166,7,42,130,102,115,161,209,168,155,117,33,182,109,9,193,231,207,217,153,220,91,156,
226,96,76,166,211,201,206,238,86,201,181,45,198,50,246,226,129,62,97,230,139,121,68,186,160,233,135,167,222,241,206,79,127,250,87,148,2,3,52,24,140,74,74,21,69,113,20,197,153,23,160,146,82,113,158,156,
56,121,226,19,63,247,115,213,106,77,131,68,88,231,122,230,188,21,55,191,84,165,204,151,44,126,212,17,43,163,102,107,141,2,110,7,8,164,150,230,129,54,135,71,167,211,70,8,194,40,114,93,147,151,140,243,46,
161,148,101,101,42,114,28,39,78,146,94,175,7,69,253,228,81,85,204,161,194,36,59,62,73,122,12,65,46,63,64,8,37,73,76,16,145,74,33,100,60,43,15,212,20,48,183,41,90,41,227,155,37,56,79,118,118,183,227,56,
54,27,88,14,206,8,157,82,59,140,87,79,54,203,96,55,222,186,53,24,12,243,234,76,74,25,69,65,24,6,41,159,231,199,49,128,109,203,118,92,215,100,44,76,136,227,58,217,29,212,69,111,116,179,11,51,7,72,211,253,
142,4,41,37,195,48,224,60,105,46,54,39,99,239,205,55,111,124,249,203,207,95,121,227,74,156,68,82,137,118,175,157,110,33,0,141,49,152,70,55,138,162,205,205,205,55,175,93,75,146,24,33,100,182,4,225,212,
119,18,29,76,11,1,140,83,84,14,134,155,237,71,0,106,109,125,85,22,246,128,27,141,248,12,41,202,100,155,229,165,165,39,158,120,124,113,97,137,81,171,84,170,112,46,181,74,171,197,35,113,209,98,78,54,41,
183,90,173,95,186,116,177,82,41,101,245,252,161,29,165,104,238,42,146,180,178,80,215,82,202,90,189,242,174,119,189,163,82,174,62,252,200,19,171,43,235,8,80,234,207,166,82,22,132,16,194,16,45,41,165,11,
205,38,0,156,218,56,249,95,252,63,255,139,19,235,39,106,229,106,173,82,46,151,74,166,33,212,0,74,171,3,97,67,97,185,182,62,220,127,22,207,148,124,48,110,216,20,249,43,4,13,50,59,60,4,231,97,24,250,97,
80,173,148,253,192,115,92,219,178,153,109,91,182,109,27,227,78,203,178,108,219,242,3,239,238,253,187,156,139,153,92,250,118,54,218,144,125,180,88,35,0,144,90,153,130,31,1,228,111,220,108,95,211,74,81,
74,77,244,194,219,185,243,33,67,104,83,102,29,121,146,36,227,241,0,0,52,210,7,118,33,8,114,174,0,104,99,151,133,8,33,211,137,255,218,235,87,115,90,27,0,240,132,7,65,96,40,104,63,150,37,52,0,212,106,181,
220,204,134,17,106,219,86,24,70,197,69,53,0,202,24,235,20,69,66,74,41,80,64,40,185,241,214,205,214,94,187,63,28,134,126,32,181,164,204,226,66,190,249,230,155,165,82,121,99,227,148,31,4,65,224,155,29,177,
130,75,41,100,16,249,82,112,173,149,16,28,0,37,73,226,249,94,165,86,203,201,85,134,113,94,68,125,77,124,34,130,176,194,221,78,231,252,185,243,247,238,109,106,170,11,60,19,93,116,198,48,223,36,152,222,
184,113,243,218,181,27,190,239,45,46,46,172,173,173,182,219,45,223,247,115,110,144,161,230,204,247,180,185,157,16,66,48,26,79,174,92,121,67,42,181,208,104,84,171,117,51,188,153,81,255,194,97,175,172,195,
246,148,233,203,242,60,255,203,127,252,21,165,244,218,218,250,210,226,98,175,215,179,108,90,175,85,191,242,149,175,42,173,243,101,220,204,98,141,90,181,209,168,99,132,175,94,185,250,151,255,210,95,125,
236,145,199,191,253,237,111,58,142,141,0,91,148,198,130,135,81,132,0,144,38,212,178,24,163,164,0,162,30,246,96,56,226,173,193,156,79,240,193,167,137,32,137,19,0,180,187,187,27,71,177,235,56,158,231,9,
41,149,20,148,50,0,164,149,148,74,77,167,222,120,50,54,141,168,202,74,164,153,223,117,164,89,151,25,95,31,56,34,1,18,82,52,155,205,149,165,229,221,221,237,208,155,50,203,178,45,199,15,61,4,169,174,232,
237,202,90,3,49,38,153,207,206,120,60,62,177,190,81,46,149,252,32,32,8,1,32,165,21,96,4,198,34,219,140,48,64,35,132,152,197,222,120,227,234,99,143,92,94,90,108,154,90,93,8,17,133,65,16,120,206,143,76,
39,252,189,129,88,0,112,255,222,253,205,173,251,142,99,19,68,52,72,63,8,133,72,167,148,38,129,204,28,126,57,46,98,222,45,231,124,60,49,12,65,32,140,41,169,162,40,136,130,96,50,245,70,163,161,16,194,8,
27,198,163,137,33,247,242,132,7,65,148,36,60,147,164,235,74,165,220,92,88,206,243,128,17,154,164,85,240,225,76,130,16,242,131,224,145,71,46,111,110,110,75,41,82,51,199,212,48,132,28,48,5,50,12,204,36,
246,193,96,159,243,120,109,117,189,185,184,208,237,246,194,48,40,2,233,48,103,37,3,0,38,80,133,144,128,80,169,84,33,4,27,37,93,102,230,152,210,1,112,193,176,122,134,199,63,143,87,27,63,48,13,10,16,182,
44,246,177,143,61,103,187,37,173,241,242,242,114,163,209,168,86,171,149,114,185,209,104,44,45,52,9,38,130,203,32,240,26,141,133,11,23,47,125,251,219,223,196,152,8,41,41,99,174,99,131,214,92,8,219,118,
92,219,205,185,107,71,210,111,222,110,82,125,40,33,103,124,53,4,56,8,124,207,155,2,66,221,110,175,183,191,207,227,196,117,93,192,40,73,146,48,12,61,207,155,122,158,82,74,73,157,36,92,8,225,186,238,218,
250,122,174,15,131,57,203,206,35,195,56,95,167,168,17,98,132,44,47,46,57,174,221,233,118,45,219,194,24,77,38,99,179,133,69,100,242,242,121,11,161,252,244,73,18,142,16,58,123,246,236,198,198,137,209,112,
20,134,49,166,36,245,20,202,36,13,96,104,47,25,150,21,132,33,210,250,210,165,11,185,113,130,82,10,19,98,84,77,63,10,157,240,247,28,192,173,118,251,230,141,27,150,101,35,140,8,97,126,16,196,113,146,239,
176,205,31,2,154,249,72,22,119,82,21,191,80,74,59,182,181,186,182,218,239,247,39,147,137,217,162,49,26,141,122,189,253,225,112,228,123,190,231,123,147,201,36,12,195,67,242,0,64,182,109,47,47,175,2,232,
230,66,125,227,228,201,141,147,27,131,225,32,103,62,229,172,64,115,115,195,48,58,119,238,116,146,200,225,112,144,69,120,222,230,233,34,251,210,252,112,203,102,8,161,118,187,19,70,225,201,147,235,231,206,
158,53,125,99,20,69,185,146,46,95,183,109,90,211,44,122,133,214,186,81,175,187,229,146,249,225,82,10,33,120,182,25,4,153,30,114,198,239,102,78,60,124,208,147,231,237,156,241,157,30,141,198,157,110,207,
182,236,74,165,92,171,213,27,141,134,91,114,41,198,130,11,163,244,148,74,78,167,147,95,250,165,79,191,252,242,75,129,231,219,182,109,152,100,204,178,146,56,174,86,107,142,235,90,150,53,83,20,204,239,16,
158,217,6,158,127,223,20,32,69,100,120,50,25,5,65,160,1,148,82,113,20,79,125,111,60,158,68,97,100,252,241,195,40,10,195,40,142,98,33,83,187,124,219,113,214,179,213,13,70,37,54,143,60,195,81,150,183,6,
161,192,128,120,146,236,238,237,109,222,191,55,25,143,155,205,5,41,37,194,120,60,30,155,173,110,185,161,255,252,139,7,0,33,56,128,38,148,6,65,184,179,179,59,158,78,132,16,73,194,205,160,8,105,0,140,210,
208,53,197,52,54,243,61,60,24,12,207,157,59,83,173,86,117,129,188,110,89,118,145,5,248,227,20,192,131,193,240,141,43,175,91,182,101,26,125,33,100,20,199,249,154,66,131,83,170,194,106,207,67,230,114,128,
8,165,42,235,72,41,33,239,122,250,157,111,190,121,125,50,25,11,193,77,119,154,250,134,99,52,35,202,75,119,97,34,164,148,170,85,43,11,141,230,133,11,103,47,92,56,183,180,180,116,127,115,219,224,10,197,
143,92,105,141,17,82,66,90,150,117,250,236,217,59,119,238,82,66,205,182,219,98,234,203,121,32,132,224,167,158,120,242,210,197,139,10,244,214,230,102,191,191,191,187,179,167,1,206,158,62,117,230,236,217,
106,181,230,58,142,241,9,201,184,128,212,117,29,140,145,129,145,204,40,229,241,199,31,125,242,201,39,106,213,234,254,254,190,249,184,133,224,156,39,102,11,54,96,140,10,141,240,76,35,141,15,179,41,82,121,
179,16,167,54,78,62,251,145,15,11,206,235,181,202,112,52,52,84,54,0,8,3,159,17,44,133,72,56,55,44,232,201,100,178,180,180,60,30,143,58,237,14,33,212,12,2,44,70,195,48,172,84,235,213,90,205,228,222,153,
129,214,145,110,85,197,21,57,197,122,42,255,58,137,195,241,104,100,254,83,8,33,164,72,173,188,57,143,227,56,138,226,244,19,57,112,237,211,150,101,159,56,177,81,80,116,206,230,219,35,183,210,228,83,186,
244,129,32,88,42,233,121,211,32,12,214,86,86,29,199,5,192,190,239,199,113,108,76,179,138,70,104,135,137,226,96,89,182,148,138,89,86,185,82,54,94,14,113,18,199,81,200,205,134,16,37,181,41,151,12,229,30,
64,107,32,4,135,81,132,48,126,224,210,249,236,7,26,161,63,43,242,240,127,156,2,120,58,157,94,185,242,154,153,209,83,66,180,6,63,240,147,36,193,25,92,99,108,25,230,69,237,115,228,39,36,164,220,219,109,
245,247,247,195,40,224,92,228,72,201,188,234,96,102,60,152,36,209,195,143,60,188,179,211,186,119,111,251,206,189,123,81,20,230,190,28,185,109,58,164,58,126,50,24,121,131,222,126,148,36,128,9,205,192,138,
195,32,68,234,20,49,24,14,239,222,187,63,30,143,163,40,242,125,47,137,147,118,167,189,187,187,235,77,61,66,72,165,82,169,215,170,165,146,107,176,101,0,157,36,194,8,9,13,16,90,169,84,163,136,239,236,236,
120,158,47,132,44,228,52,165,180,198,136,48,146,146,248,191,139,81,243,129,63,81,246,141,147,39,78,212,171,181,205,205,173,157,221,189,180,144,211,32,132,224,60,162,4,3,32,163,7,66,26,43,37,95,123,237,
149,94,183,71,8,5,0,74,48,193,200,178,172,254,96,160,1,86,87,86,139,73,105,254,222,22,133,10,243,112,244,193,29,67,72,9,57,26,246,163,40,34,4,153,78,33,135,60,102,120,166,135,63,77,88,94,94,182,44,187,
56,59,56,242,11,56,108,187,119,240,53,66,4,147,70,189,142,9,30,141,198,157,110,167,84,42,53,23,26,165,114,201,144,201,163,40,202,145,255,131,254,153,32,99,78,12,90,99,74,86,86,87,16,104,33,21,70,4,64,
43,37,56,151,9,143,56,231,202,192,28,169,241,112,170,47,7,64,147,201,244,210,165,139,174,227,100,28,7,64,8,152,197,140,3,233,15,55,9,127,207,1,28,133,225,43,47,191,108,170,71,132,128,96,50,246,38,73,194,
141,51,99,146,36,249,237,54,8,150,249,126,238,137,145,47,34,85,82,41,45,199,163,65,156,68,70,188,110,20,176,243,15,217,204,119,48,198,227,241,184,223,239,47,45,47,39,9,231,60,65,24,41,173,85,230,80,93,
116,141,150,10,136,127,127,97,252,237,42,223,146,164,194,73,5,29,48,61,113,102,115,7,24,35,147,73,8,193,150,101,89,150,211,223,239,3,72,195,145,28,79,38,189,94,175,219,235,14,6,195,209,104,98,120,194,
166,175,203,254,57,102,54,171,215,23,8,161,128,116,156,112,40,164,90,173,193,8,158,9,37,148,178,252,251,243,174,145,135,158,224,116,7,26,238,118,123,111,94,187,22,248,1,100,236,71,192,136,199,73,24,134,
166,14,2,13,74,105,169,56,0,88,140,25,189,52,66,136,80,74,8,150,74,110,239,236,148,74,229,229,229,149,249,232,61,114,28,157,178,65,149,206,13,37,103,28,106,125,127,98,86,58,42,37,133,144,197,0,158,143,
252,236,39,99,41,68,20,133,171,107,107,197,177,89,17,186,155,63,169,11,63,1,105,45,109,203,126,234,169,39,79,158,92,247,252,233,222,238,110,24,6,189,94,143,11,89,169,84,27,245,250,242,210,146,99,219,148,
146,220,153,204,178,108,140,49,33,136,81,139,115,145,196,137,101,219,79,60,254,216,229,203,15,53,26,141,110,183,155,241,57,180,150,74,166,96,181,241,220,199,8,97,68,210,151,23,6,1,37,228,194,249,179,178,
208,205,97,66,108,235,135,239,182,243,61,163,208,11,205,5,199,117,163,48,52,161,72,41,117,29,119,58,9,180,134,132,39,230,1,203,199,72,57,187,195,192,87,230,107,74,73,28,115,13,74,74,97,220,134,51,130,
171,58,146,231,48,79,123,192,152,12,7,253,36,142,45,219,229,60,193,128,44,139,57,182,51,158,78,50,81,174,33,81,40,165,96,169,76,22,5,143,226,216,147,99,160,203,25,139,203,216,187,224,92,242,94,116,198,
93,93,93,126,223,207,254,205,63,252,194,23,95,127,245,85,227,158,75,8,70,128,165,148,90,11,19,93,26,114,5,162,124,239,123,223,107,57,206,205,183,110,42,45,144,74,167,53,96,118,219,230,235,240,116,186,
68,38,247,76,46,90,183,204,60,247,185,128,14,144,198,4,219,216,210,58,37,0,155,59,194,37,15,195,176,94,171,74,153,16,74,153,62,112,71,193,8,73,165,56,79,204,71,176,189,181,21,134,17,104,53,175,79,46,22,
71,51,6,61,26,204,166,66,141,52,28,80,145,144,214,90,35,173,37,231,148,48,41,35,132,200,145,167,109,206,148,44,252,88,133,49,222,223,223,31,12,246,151,22,151,69,150,39,139,155,208,103,218,239,195,167,
140,54,148,201,87,95,187,162,181,140,163,184,90,173,6,161,15,128,219,237,78,183,211,179,29,167,228,58,245,70,163,82,173,42,37,227,56,241,125,159,243,36,138,128,243,36,17,145,16,18,33,68,169,117,253,250,
91,119,239,222,39,169,41,178,113,126,7,192,26,180,22,34,209,70,248,136,82,204,194,12,23,152,197,94,121,237,202,197,139,231,54,78,158,148,74,26,47,219,48,8,2,215,115,28,27,99,242,67,204,193,223,115,0,151,
203,229,149,213,149,59,183,110,219,182,131,16,193,152,86,202,165,1,29,25,198,156,33,39,231,11,239,204,244,229,0,130,78,146,119,191,251,233,165,229,149,231,255,248,171,26,192,247,167,82,240,140,89,5,51,
155,169,103,10,170,124,218,97,208,20,33,229,230,230,253,75,15,60,88,42,149,46,93,188,80,41,151,220,82,233,249,231,191,150,53,60,169,157,42,193,104,76,78,42,90,134,154,237,251,150,217,130,144,227,109,38,
168,242,36,144,170,204,1,61,249,196,99,147,169,183,188,178,246,224,229,71,246,118,183,71,163,145,109,91,8,131,136,165,225,222,25,53,11,37,180,177,208,120,252,209,71,63,248,161,15,221,187,119,47,10,124,
33,100,146,112,63,240,205,246,182,124,178,5,198,131,30,14,249,197,28,233,176,83,204,63,233,142,139,108,253,95,6,7,42,35,163,239,247,123,203,203,75,177,1,120,109,135,49,150,239,97,181,44,11,99,8,195,104,
107,123,103,234,121,24,99,165,15,38,2,249,239,202,137,98,69,236,32,141,40,140,64,3,1,208,4,65,238,228,106,70,116,146,27,219,16,41,4,194,100,134,2,80,92,167,92,68,128,243,15,115,56,28,214,235,11,6,8,156,
145,88,206,188,146,226,235,44,194,224,132,144,106,173,134,16,26,12,70,90,134,90,209,132,39,201,116,236,77,39,251,253,126,246,99,177,20,66,42,149,45,208,192,165,146,11,8,151,220,18,33,88,8,33,68,198,194,
202,249,28,105,111,34,49,230,130,115,65,24,194,8,107,140,0,8,198,97,28,189,242,234,149,141,19,39,32,91,73,205,147,36,12,130,184,92,53,9,255,199,166,132,6,128,94,175,123,251,214,109,203,178,9,161,24,99,
165,181,239,7,92,136,220,50,49,111,132,102,140,23,52,232,165,165,37,215,118,250,195,193,217,51,103,146,56,153,78,38,147,201,56,12,61,41,101,190,165,118,254,60,46,162,44,70,76,207,24,61,117,106,227,212,
198,201,122,173,177,223,31,76,189,105,171,221,49,6,168,112,176,125,11,97,140,18,9,99,110,253,236,135,126,110,60,246,124,223,51,213,114,214,9,155,71,54,109,140,141,197,44,198,184,221,234,236,238,236,58,
182,221,108,46,174,174,173,45,45,175,124,244,185,231,90,237,182,148,138,49,230,216,142,109,59,203,43,203,151,47,63,184,177,190,182,188,188,244,215,255,250,223,250,250,215,190,58,25,143,43,229,74,181,82,
171,215,106,26,32,138,163,140,62,65,44,203,118,28,215,178,44,74,9,165,52,127,91,7,10,170,195,102,209,51,53,100,142,39,73,105,140,145,33,12,194,225,120,216,235,245,106,213,106,224,135,81,20,6,190,31,197,
81,16,134,190,239,123,254,116,52,30,183,218,237,132,115,66,176,214,218,113,221,149,149,213,35,197,21,111,55,76,42,108,38,75,217,168,174,227,62,244,208,3,37,215,29,13,134,82,114,66,104,16,132,66,138,108,
165,35,58,236,239,85,20,78,33,0,147,105,193,113,236,115,231,206,173,174,174,250,158,15,232,136,229,88,71,182,232,51,51,39,140,80,181,82,251,208,135,63,72,45,122,251,246,109,41,133,121,232,8,193,169,201,
79,58,180,207,77,142,244,197,75,151,222,251,51,239,137,163,208,15,67,132,8,128,70,72,161,148,200,164,81,182,15,206,180,191,20,147,3,235,217,236,16,25,141,198,27,39,215,27,11,141,66,161,244,195,247,157,
253,211,4,48,66,232,213,87,94,53,16,156,249,108,61,207,143,147,132,144,124,208,10,6,237,44,78,116,204,188,116,119,119,239,254,253,205,48,8,219,157,206,96,56,168,84,92,132,80,183,219,147,210,40,55,245,
119,25,15,230,225,205,24,211,90,133,81,212,233,118,134,195,81,18,39,158,23,4,97,144,111,27,203,118,88,131,214,128,1,132,72,86,150,23,27,141,198,253,205,77,74,137,105,47,179,221,8,7,162,11,227,102,110,
126,17,161,20,116,106,86,253,244,211,79,157,57,115,110,52,26,175,174,173,53,26,141,74,173,190,176,176,240,192,197,243,148,80,206,249,126,111,255,193,7,30,92,92,94,126,229,229,87,40,165,82,8,165,84,163,
94,39,24,123,190,79,41,115,28,215,117,74,182,99,83,74,25,179,204,225,134,11,228,147,98,250,42,238,139,43,114,69,204,215,66,8,35,130,159,78,39,97,224,115,46,182,182,183,7,195,1,70,184,82,41,91,142,173,
148,226,60,30,141,70,113,146,40,165,227,56,54,226,100,198,232,234,202,26,194,135,244,3,243,49,12,71,45,85,58,248,14,32,66,136,224,137,239,79,133,20,132,144,201,100,34,149,58,216,111,114,116,119,157,118,
233,102,155,199,226,226,98,165,82,241,166,211,40,138,243,185,218,188,210,235,237,170,18,243,133,148,114,227,228,137,197,197,197,222,126,191,86,171,43,165,163,48,20,130,83,74,12,75,60,247,24,39,132,150,
202,229,133,70,51,230,92,73,113,249,161,203,157,118,39,142,194,56,137,49,38,89,193,104,244,216,249,169,138,25,99,70,239,134,210,57,8,66,0,81,156,72,173,30,124,240,146,146,57,190,13,148,82,235,135,218,
9,255,105,2,216,113,221,43,175,93,137,34,179,189,2,33,130,163,40,142,147,68,73,149,79,41,114,171,254,35,142,213,44,235,237,247,186,4,163,198,194,162,86,186,183,191,159,23,90,5,159,177,67,27,15,115,121,
189,241,136,177,24,179,44,135,115,158,78,173,52,96,130,205,174,186,108,137,54,206,55,18,196,81,248,232,195,15,223,188,117,7,1,96,82,180,32,134,153,218,50,135,178,77,49,41,148,10,130,96,115,107,11,99,92,
41,87,202,229,114,165,82,169,87,171,81,24,26,196,78,41,85,169,86,62,240,161,15,127,253,235,95,87,82,82,106,44,135,161,228,150,252,192,103,204,41,149,202,142,99,51,219,162,148,34,130,9,38,69,234,213,33,
83,187,57,66,114,177,34,77,7,57,72,35,64,222,100,26,69,169,107,116,146,36,83,111,186,191,223,31,13,135,211,233,116,58,157,250,126,144,226,130,89,73,204,24,59,113,98,3,1,58,24,248,205,125,46,223,133,153,
156,2,7,90,13,6,195,189,189,189,40,10,154,205,166,209,27,79,167,211,195,62,36,179,43,17,211,123,171,20,101,4,35,28,197,241,112,56,234,247,251,102,7,55,66,7,211,87,116,224,212,127,244,43,204,61,52,8,198,
147,201,116,107,107,27,16,170,84,42,43,171,171,245,133,133,39,30,127,236,225,203,151,55,183,182,153,101,51,102,151,202,110,169,84,174,85,171,174,235,26,32,99,50,25,111,110,221,167,4,159,63,127,225,195,
31,250,112,224,7,163,212,184,207,108,84,78,155,62,74,141,94,150,18,98,62,75,148,139,233,166,227,201,133,243,103,171,149,74,250,214,64,103,118,211,63,180,36,252,167,9,96,198,216,206,206,238,206,238,174,
109,219,24,99,70,45,33,196,212,243,164,144,51,190,100,133,39,21,29,152,250,99,164,180,182,40,139,147,104,208,223,175,215,235,27,27,39,87,86,86,122,251,251,190,239,67,234,220,127,176,196,91,101,230,24,
198,53,38,35,138,144,90,173,129,48,150,146,155,202,153,89,86,238,80,149,27,62,100,169,24,5,65,240,208,67,15,141,70,35,223,247,243,20,71,48,73,173,189,17,210,8,76,2,55,149,133,169,87,151,150,22,223,255,
254,159,177,153,93,42,149,130,48,48,43,151,36,79,16,64,190,190,80,41,237,123,211,159,255,249,159,191,119,247,222,222,222,110,62,184,38,4,71,113,140,49,169,55,26,230,3,54,136,72,209,1,223,156,119,71,74,
20,13,28,149,55,126,133,222,21,73,173,38,163,161,148,130,115,41,4,87,74,153,87,110,146,97,190,187,116,38,107,45,52,154,150,99,235,163,180,19,51,113,82,108,62,15,71,178,6,0,33,197,104,56,68,90,55,154,77,
219,118,180,86,158,55,53,99,240,89,249,110,193,35,205,204,207,164,148,140,209,74,165,76,40,17,130,199,113,20,71,145,16,66,102,62,106,255,7,85,244,161,83,6,17,140,205,74,39,13,64,41,121,230,153,247,16,
140,16,97,203,203,43,11,141,70,185,82,46,149,202,150,101,155,93,237,38,73,82,202,214,86,215,42,149,90,181,90,185,125,231,86,28,37,185,67,80,166,97,176,12,73,131,49,11,99,146,233,132,211,143,35,138,98,
45,229,165,75,23,213,193,174,26,68,8,201,127,254,143,71,0,155,90,238,245,55,94,119,152,133,9,198,24,17,66,125,223,143,146,36,207,192,69,101,169,97,104,0,66,4,193,71,63,242,97,66,89,163,86,125,244,177,
71,42,213,234,213,55,174,182,90,123,174,235,172,44,175,156,56,113,130,82,22,71,81,20,133,38,140,141,114,200,196,173,57,20,13,180,35,165,92,93,91,121,255,251,63,176,182,182,234,77,189,19,39,214,150,87,
150,158,122,242,137,189,86,43,8,124,74,153,25,3,100,9,86,35,132,4,23,141,70,117,121,105,233,238,189,205,25,63,23,84,32,180,23,115,35,2,88,89,90,94,91,93,221,217,221,221,220,218,230,92,96,140,181,52,71,
181,226,220,136,96,180,241,130,184,118,253,218,160,223,15,195,212,54,85,41,109,219,246,120,50,10,163,112,253,196,134,249,161,6,33,43,222,159,226,130,149,25,81,65,74,28,157,219,238,139,1,162,40,24,13,7,
0,136,243,196,108,30,43,98,254,243,181,177,73,194,163,201,104,97,97,193,178,236,92,155,61,211,130,22,67,46,213,199,83,156,58,69,101,42,217,82,169,212,92,104,2,232,221,189,86,24,6,141,90,99,161,217,180,
24,37,24,199,113,98,230,106,74,105,85,240,72,48,231,20,99,212,56,188,158,58,117,170,86,175,24,138,165,25,104,155,157,158,66,8,37,5,130,12,147,72,77,127,15,204,128,243,27,69,8,209,51,171,88,184,0,173,59,
173,246,104,52,182,29,199,182,237,82,169,92,173,212,107,213,122,185,82,173,87,235,181,106,189,82,171,150,203,213,82,169,18,134,209,246,206,246,245,27,55,132,80,233,163,98,246,181,80,102,219,182,97,155,
26,146,70,46,111,202,238,60,66,72,247,122,253,83,103,54,26,245,250,65,147,143,224,135,152,132,255,148,1,236,56,214,107,175,189,106,56,27,230,134,79,61,63,142,99,13,128,15,83,255,115,168,211,28,116,27,
27,39,29,167,116,239,238,253,157,189,221,78,119,127,60,26,79,167,222,246,238,238,104,52,42,151,220,147,39,79,46,45,46,214,170,85,183,228,50,198,24,179,24,99,150,69,108,219,193,24,37,73,194,57,55,171,198,
24,179,59,221,110,16,248,97,24,217,182,93,42,185,0,122,107,123,43,73,18,179,52,32,103,201,228,180,199,56,14,31,186,252,240,205,155,183,14,30,119,114,224,28,82,164,124,230,88,220,112,52,186,241,214,205,
201,120,154,199,131,153,27,149,74,78,28,69,8,129,78,101,195,186,211,233,36,73,234,60,170,53,96,76,64,235,173,237,109,33,196,234,234,186,62,100,211,137,102,214,136,160,163,236,59,240,97,207,183,34,54,27,
5,126,24,132,102,253,188,185,33,69,180,118,126,252,150,154,233,4,190,82,98,109,117,93,205,234,248,0,0,73,33,204,189,18,130,215,107,181,247,188,251,221,213,106,165,215,221,71,102,13,39,32,173,53,163,236,
201,199,31,93,89,94,222,219,219,221,239,247,39,163,73,183,215,69,0,245,122,109,161,177,208,92,92,52,27,146,9,65,89,103,72,77,232,82,74,141,63,17,66,240,224,67,15,62,240,192,67,43,43,171,253,126,159,115,
227,155,9,74,73,206,133,153,45,33,108,250,151,252,230,28,65,20,55,167,173,57,129,148,80,141,133,250,47,255,242,47,213,235,245,106,181,54,158,140,227,36,73,149,129,89,21,131,16,194,132,48,74,45,203,42,
151,43,142,227,148,202,21,199,41,89,150,109,217,204,178,44,199,182,29,219,113,28,215,184,79,166,235,11,139,119,41,29,167,225,68,8,165,196,131,15,92,202,62,65,13,8,17,98,182,46,253,16,140,163,255,148,11,
35,22,22,154,167,78,110,220,186,125,215,178,109,173,129,81,234,186,238,100,50,149,74,107,12,166,251,58,76,195,208,132,80,165,228,55,190,249,29,99,14,76,41,181,45,235,204,153,51,221,110,155,32,220,237,
116,91,123,187,174,91,42,151,75,140,25,99,97,172,148,4,208,74,65,20,249,66,74,131,19,74,41,151,150,150,221,82,73,41,53,24,12,17,160,189,189,86,187,211,19,34,193,24,149,74,21,41,5,231,60,219,174,150,59,
102,225,209,104,154,196,201,242,242,82,191,223,55,41,58,235,63,113,110,55,147,235,239,243,188,103,126,142,201,114,90,107,33,197,120,56,80,170,214,104,52,38,211,169,148,146,18,154,114,252,82,19,72,132,
145,166,22,221,220,218,30,12,6,141,198,130,161,142,206,56,60,189,221,226,207,98,4,226,140,151,82,220,184,37,133,36,152,168,108,185,110,49,133,22,221,124,139,72,82,202,102,69,184,223,27,240,68,16,70,132,
144,57,194,106,198,230,31,254,240,7,45,219,182,45,75,41,213,108,54,78,158,60,57,28,14,219,173,206,112,60,74,219,22,132,184,224,47,188,244,10,0,40,141,108,219,14,195,32,137,147,59,119,239,50,198,74,229,
114,165,82,89,89,89,70,8,37,73,20,199,73,16,132,82,74,195,120,49,68,119,13,186,92,169,220,223,220,218,220,220,116,28,87,41,121,120,232,40,147,36,66,72,27,208,187,200,52,46,8,147,15,107,179,145,113,126,
65,4,211,155,55,239,182,219,173,110,175,39,165,196,51,110,30,6,186,211,0,8,41,41,87,87,151,254,198,95,249,139,255,252,127,248,109,1,4,33,172,180,76,151,229,101,120,230,204,166,245,156,79,102,52,15,148,
144,219,183,238,118,218,221,213,53,227,29,141,4,231,97,232,133,161,107,89,140,49,251,7,28,194,127,250,141,47,23,31,120,224,198,205,155,105,11,73,112,185,236,50,198,68,20,97,204,82,23,187,108,56,102,27,
15,0,0,51,139,207,254,8,41,165,22,154,205,95,252,212,47,125,243,91,223,216,222,222,2,64,190,239,251,126,144,121,244,224,124,77,142,17,193,114,206,215,214,86,47,92,184,120,127,115,75,105,157,19,139,53,
128,82,146,96,140,48,214,10,102,118,38,26,8,71,8,17,69,73,107,111,119,105,113,177,211,237,81,130,10,59,13,15,136,139,69,38,237,12,171,62,157,229,0,120,190,183,113,242,100,175,223,107,46,52,203,229,50,
231,34,142,19,0,77,9,83,90,89,22,5,128,219,119,239,236,238,182,180,134,56,142,149,146,150,229,114,158,204,23,183,51,28,224,35,53,64,7,251,10,164,82,66,104,165,144,233,253,178,93,16,243,150,61,243,145,
108,222,78,194,147,118,167,181,126,226,68,113,197,54,198,68,72,225,184,238,217,83,27,128,208,141,27,111,197,113,252,218,171,175,143,198,99,33,68,62,48,207,235,88,66,72,169,217,228,66,14,6,3,74,177,6,154,
36,113,24,70,131,193,128,101,90,197,204,104,46,31,17,131,109,219,152,144,74,165,202,24,3,173,5,231,8,99,227,139,82,108,251,57,79,226,248,32,1,126,23,64,43,95,125,130,16,26,12,7,173,110,135,154,165,45,
128,52,74,107,254,244,14,152,12,140,16,0,56,174,51,29,245,191,252,71,95,136,162,144,149,107,4,19,172,176,6,157,205,131,1,97,116,20,113,8,23,117,44,81,28,189,241,230,181,245,245,85,145,61,24,73,204,195,
48,118,93,110,106,242,31,131,18,218,60,19,175,191,254,122,126,98,105,208,158,231,39,156,31,112,80,139,251,129,178,27,154,231,10,70,25,37,244,209,199,46,159,59,127,174,63,24,143,39,147,40,12,205,86,7,74,
105,234,119,165,1,97,172,148,144,82,213,106,213,203,151,31,182,44,235,241,199,31,43,85,203,251,221,158,89,62,80,28,252,26,148,194,74,73,170,52,39,60,153,14,28,180,38,24,157,62,125,230,222,189,251,7,134,
73,7,165,218,65,162,43,74,127,139,134,239,230,67,110,237,237,122,211,233,137,19,235,123,237,86,194,35,140,17,33,152,96,194,44,166,148,232,116,186,247,238,111,77,189,41,33,56,142,18,0,189,182,126,194,12,
204,231,197,110,71,206,96,143,100,53,0,192,198,201,147,181,90,141,243,88,72,14,160,39,147,137,146,146,11,161,149,6,4,71,210,152,103,148,128,148,146,82,217,93,94,90,46,149,202,73,146,28,244,144,90,143,
71,99,207,243,190,246,181,175,223,186,117,119,115,115,107,52,30,39,49,247,61,207,45,151,50,119,161,130,118,154,144,165,165,197,247,127,224,125,227,241,100,119,119,207,252,24,130,137,89,200,96,172,63,116,
97,32,172,148,62,185,177,241,241,143,127,44,8,253,192,247,17,34,80,168,63,14,92,34,141,74,9,99,139,81,179,244,234,200,181,50,112,176,148,244,192,243,157,102,43,151,32,117,145,63,4,197,97,140,141,106,170,
92,42,87,202,206,189,173,251,97,44,202,165,106,202,228,64,58,219,117,134,112,198,177,131,204,179,3,240,161,244,111,38,33,253,193,224,194,121,179,202,48,101,218,97,76,108,59,157,9,255,232,7,176,6,64,142,
227,190,250,234,171,73,194,141,203,33,37,204,15,130,48,10,242,205,3,69,32,186,232,185,99,186,226,231,158,251,224,59,159,126,250,219,223,254,206,173,91,183,171,213,234,201,141,83,141,133,166,109,89,27,
27,27,131,193,72,105,99,236,8,141,70,237,220,185,115,75,205,165,159,253,217,247,252,195,127,248,223,110,111,239,220,191,119,207,117,156,122,165,182,184,216,140,226,56,140,34,156,81,13,8,33,25,8,145,122,
112,231,219,76,180,210,102,151,194,83,79,61,217,106,117,226,36,201,161,172,121,131,53,211,2,20,243,97,78,145,231,9,31,141,7,131,225,96,123,103,39,78,56,0,72,33,195,48,24,79,39,131,209,160,223,239,199,
113,162,181,10,130,32,12,35,163,132,89,92,90,42,151,203,185,188,193,204,21,231,179,238,12,240,59,139,168,33,196,152,85,175,213,134,163,129,146,138,16,188,191,223,83,217,82,162,153,127,50,99,52,149,91,
14,16,130,87,215,86,28,199,242,125,31,140,81,35,164,149,163,239,251,155,155,219,15,95,190,252,232,99,15,125,224,131,239,127,247,187,159,190,252,240,131,131,225,168,213,110,23,182,159,233,124,77,249,153,
51,167,42,149,106,16,196,150,197,162,56,138,163,72,74,73,41,73,109,183,33,39,228,64,165,82,105,52,22,52,130,56,10,207,157,59,215,239,15,146,36,54,254,42,217,140,64,35,156,27,66,32,70,44,198,204,100,149,
228,193,48,19,21,249,82,232,153,102,225,200,116,157,127,148,82,171,74,169,68,177,146,82,134,81,226,186,101,200,220,115,143,172,131,178,173,240,179,56,5,66,40,142,35,165,117,113,149,33,0,16,202,108,203,
250,1,251,206,254,233,2,216,168,216,233,253,251,155,221,118,199,178,108,163,251,73,18,49,153,78,139,79,97,193,234,225,160,64,53,201,57,12,194,253,126,191,219,221,207,190,131,44,203,122,244,209,199,126,
230,103,223,219,239,15,106,181,70,165,82,173,213,170,107,107,43,27,235,39,42,229,178,82,242,153,247,188,219,11,194,155,215,175,33,179,228,14,145,74,165,164,164,12,195,16,19,76,153,229,56,174,235,186,182,
237,22,85,175,25,201,57,149,134,109,108,172,97,204,246,90,123,230,241,61,80,47,29,229,14,149,51,13,243,47,146,132,143,70,3,179,50,119,48,232,79,199,147,40,138,133,148,0,58,12,162,209,104,50,30,143,61,
207,51,3,45,243,198,27,245,198,210,210,178,49,30,202,140,230,244,12,148,53,63,251,157,49,91,69,8,121,222,180,221,238,116,58,29,183,100,215,171,53,76,72,187,211,41,150,250,197,59,92,156,33,155,156,73,41,
149,74,69,81,52,26,143,167,222,196,108,24,201,103,118,38,77,213,107,213,230,98,35,8,130,183,222,186,125,245,141,107,221,110,199,52,240,217,75,61,56,98,134,195,113,171,213,182,44,107,113,121,105,109,117,
189,92,174,190,243,157,239,92,104,54,218,237,14,163,148,49,203,113,75,165,82,185,86,171,87,171,85,74,41,70,48,153,78,247,118,91,150,101,157,57,115,250,227,31,123,46,140,162,193,96,136,9,2,141,64,231,206,
251,204,178,44,219,166,38,128,139,86,33,179,197,243,219,68,236,252,247,243,143,85,10,81,46,151,8,200,225,112,40,20,114,92,23,116,90,51,67,134,119,207,160,128,135,238,42,128,89,98,136,48,194,152,244,247,
251,103,207,156,174,215,107,89,195,2,24,129,101,91,63,224,36,252,167,47,161,1,32,8,130,183,110,220,176,45,51,76,194,74,41,63,8,13,145,109,102,200,89,160,55,166,31,192,116,234,13,6,253,92,156,32,132,176,
45,235,244,169,141,237,221,61,70,233,226,98,179,209,88,40,151,202,37,215,54,220,56,223,247,151,22,23,30,125,244,137,111,254,201,55,40,37,6,177,164,152,84,171,85,47,240,41,97,229,82,169,84,42,103,140,69,
3,44,29,172,29,201,87,168,32,208,23,206,95,184,121,235,150,129,169,103,160,255,121,83,165,98,29,104,142,222,201,120,100,182,242,153,210,60,12,195,241,120,60,28,142,124,223,55,67,157,25,170,19,165,180,
209,104,160,3,227,219,35,54,137,204,90,11,28,30,225,166,63,16,1,194,200,243,166,222,100,90,169,148,87,150,151,41,179,70,163,97,20,197,51,169,123,102,182,108,134,112,82,73,201,69,169,92,46,151,202,70,91,
18,69,161,16,66,43,157,150,144,24,247,7,131,251,247,182,175,95,191,177,179,187,55,26,143,133,148,132,24,223,194,35,90,119,195,129,49,239,183,90,173,62,247,236,179,73,194,237,82,169,217,92,106,44,44,84,
42,21,199,117,45,139,97,140,49,54,213,144,182,108,251,236,153,179,165,114,201,117,236,59,183,239,132,81,152,145,25,205,199,68,109,99,168,101,217,152,164,254,213,51,149,197,219,57,191,31,41,122,41,234,
129,205,61,169,215,107,90,38,195,241,132,48,135,102,160,113,106,231,126,120,158,55,207,223,68,58,173,240,77,209,30,199,9,23,252,210,165,11,249,239,212,0,148,90,63,96,161,255,159,41,128,29,199,121,237,
181,215,65,107,66,136,185,19,81,20,243,140,25,155,123,86,20,198,51,72,74,69,105,106,98,132,8,198,128,51,255,10,181,180,184,240,145,143,124,104,119,119,175,223,31,32,132,120,18,83,140,48,194,249,18,87,
193,147,159,255,197,79,189,246,234,21,207,155,216,182,149,81,166,80,146,68,24,147,230,194,146,89,215,192,216,1,199,211,212,135,185,11,33,198,104,234,5,143,62,114,185,213,238,24,169,192,145,246,235,51,
22,208,7,6,165,0,211,169,231,7,158,49,34,54,173,178,201,93,69,151,249,153,159,41,4,79,226,112,113,105,25,231,134,226,128,230,227,109,38,146,51,225,251,1,185,146,49,86,175,213,22,155,139,253,193,96,107,
123,11,99,124,230,212,233,197,230,146,227,216,82,202,32,8,148,82,40,43,206,25,53,230,247,136,82,234,186,174,214,42,142,147,70,173,190,126,98,77,167,10,101,164,164,228,73,28,39,198,250,71,155,249,31,33,
4,167,230,235,132,28,85,64,229,204,156,76,245,8,156,11,193,197,206,206,78,28,37,149,114,185,82,173,214,106,245,106,181,86,175,213,107,181,122,163,177,80,46,151,29,199,117,44,23,33,212,235,239,183,90,237,
107,215,175,243,68,80,66,193,172,252,38,132,89,118,201,45,57,142,99,58,73,74,8,194,71,31,28,179,4,207,172,208,152,207,207,57,64,131,48,210,26,182,119,54,45,66,108,199,234,245,122,82,66,181,90,51,159,132,
121,127,69,21,240,145,26,207,212,194,50,5,77,210,243,238,220,153,179,121,18,54,139,194,51,18,200,15,200,49,235,207,24,192,246,205,183,110,141,199,99,179,172,157,18,58,158,76,195,32,44,54,45,7,4,172,194,
131,109,210,181,33,21,30,120,148,43,229,123,97,187,211,73,18,174,148,210,90,130,6,140,137,129,145,9,101,65,16,142,199,163,86,171,21,133,33,194,136,82,162,148,98,22,157,76,166,66,168,149,213,213,124,40,
93,152,112,30,96,176,166,247,14,195,240,196,250,26,101,118,187,221,202,198,182,58,175,150,231,244,235,105,121,149,153,185,9,111,58,137,162,48,15,224,194,227,133,102,72,72,69,192,96,50,25,47,52,22,74,37,
67,193,59,152,85,204,104,161,138,250,187,98,168,24,42,244,35,15,95,190,116,233,18,198,248,222,189,187,163,209,176,221,233,140,70,195,74,181,122,226,196,201,229,165,165,122,189,110,59,46,38,41,148,98,89,
204,182,45,179,233,51,73,184,113,162,93,90,94,122,250,233,119,158,59,119,46,225,201,120,60,33,24,105,80,82,74,161,184,84,10,1,198,24,35,146,146,181,191,203,227,119,200,233,94,233,75,23,47,124,236,163,
207,97,140,27,141,250,96,48,200,183,79,33,13,56,59,196,109,219,102,140,50,198,202,149,170,99,59,101,183,204,44,155,49,102,89,182,109,187,142,229,184,110,106,217,197,40,203,151,128,207,252,198,121,116,
224,237,236,242,243,78,13,97,140,48,102,140,238,108,111,191,117,253,90,165,92,18,130,111,109,183,218,157,206,226,210,146,235,150,148,148,233,102,175,195,85,216,145,128,66,225,135,3,70,40,137,99,203,34,
23,47,94,72,231,166,0,8,97,198,126,160,73,248,207,20,192,8,225,225,112,116,247,238,93,219,182,0,128,80,18,39,60,140,98,153,173,17,204,213,158,57,34,157,63,184,197,30,213,200,3,5,23,155,155,219,113,18,
105,13,8,192,182,140,19,178,48,3,91,66,144,84,234,250,181,27,73,146,80,70,41,99,102,51,0,33,236,222,253,205,40,10,79,156,56,97,230,162,134,178,151,137,10,33,199,207,12,237,196,172,20,120,224,210,197,219,
183,239,228,10,228,194,76,5,103,125,23,2,40,82,124,53,2,80,146,71,97,100,182,138,26,254,223,76,31,251,118,132,68,206,57,99,116,117,117,189,184,19,120,198,35,190,40,244,55,184,61,6,164,11,152,205,96,52,
186,115,231,238,96,48,16,82,13,7,125,165,148,239,7,123,123,187,221,110,39,12,67,203,178,109,139,150,43,37,67,20,7,173,49,194,81,20,197,81,44,132,80,74,218,182,227,184,238,238,238,238,222,222,110,28,71,
135,16,32,5,82,106,0,141,17,46,220,1,200,21,127,243,51,173,236,94,33,0,88,91,91,97,148,222,190,123,119,107,107,71,8,137,8,202,86,248,102,155,226,0,64,201,39,30,127,228,252,233,147,59,59,123,213,90,213,
50,171,37,109,215,117,93,199,177,141,192,203,178,44,74,82,252,25,142,130,6,190,75,223,59,47,66,52,137,23,35,68,17,214,74,110,110,221,3,173,57,231,123,123,109,192,200,247,189,48,12,87,86,215,10,41,4,207,
191,199,183,179,1,207,239,192,96,48,60,123,246,116,181,82,81,74,65,58,102,163,185,247,216,143,122,0,3,0,101,236,181,43,87,40,33,24,97,76,176,144,106,50,245,120,146,170,201,57,231,25,43,227,144,154,183,
56,89,5,208,74,201,149,229,101,41,197,187,222,245,14,219,113,79,158,56,177,216,92,154,76,198,142,69,13,58,159,138,224,83,3,89,109,6,12,82,10,215,117,39,83,239,250,245,235,140,177,245,245,19,38,13,206,
176,106,115,213,56,201,174,233,116,114,249,225,75,59,59,173,12,109,6,99,61,127,248,184,45,160,232,24,229,216,106,194,19,207,155,10,97,76,213,101,177,119,157,151,64,166,62,94,233,203,208,205,230,34,101,
180,88,245,189,93,243,150,105,231,243,36,76,16,66,74,74,140,145,101,91,149,114,37,10,99,223,247,49,70,66,200,40,140,199,227,113,127,208,239,15,7,227,209,216,247,3,227,137,25,71,177,144,82,105,197,152,
69,153,85,171,55,220,146,75,48,214,144,74,50,51,130,96,254,171,21,193,24,19,90,180,122,154,57,101,242,51,247,224,141,131,110,237,181,111,190,117,43,8,67,163,82,201,40,226,234,160,141,7,112,152,37,34,175,
94,169,220,185,119,175,84,169,97,98,216,139,230,98,140,50,195,150,199,132,32,156,190,160,25,48,111,222,80,250,187,164,184,84,247,130,73,102,166,69,146,56,198,4,150,23,151,38,211,177,231,251,83,207,19,
82,96,140,57,23,5,73,233,161,145,239,124,67,84,84,104,152,159,27,6,161,82,242,193,75,151,242,13,146,26,52,165,236,7,198,172,252,179,6,176,235,150,174,95,191,22,6,1,51,187,2,49,13,131,64,166,101,201,193,
149,51,218,15,249,212,129,161,73,43,206,249,71,159,251,208,147,79,61,113,249,193,7,30,186,252,208,131,15,62,0,8,119,219,187,10,144,84,18,163,84,38,168,0,73,33,114,203,40,219,178,167,158,247,198,213,171,
81,20,89,22,51,25,184,120,112,230,14,59,197,151,1,0,81,20,174,174,174,8,169,247,247,247,11,138,121,200,123,78,56,180,111,73,83,74,151,22,155,22,99,97,224,51,198,70,163,145,41,242,139,138,191,34,235,224,
144,60,16,116,246,198,17,99,214,226,226,114,206,247,194,133,30,111,102,57,224,204,161,144,249,112,167,24,152,237,216,239,125,239,123,31,186,252,224,107,87,174,24,125,133,145,206,32,140,12,187,35,91,82,
145,26,128,172,175,175,127,242,231,63,25,4,97,24,250,24,145,116,95,112,81,29,96,92,25,49,50,187,63,77,113,52,175,36,155,125,193,58,229,63,16,66,8,37,216,204,80,1,205,163,113,82,202,197,197,230,160,223,
189,123,247,142,70,212,117,203,80,104,170,211,247,155,137,195,102,134,67,51,161,59,207,145,122,91,233,18,164,10,42,243,86,23,155,139,66,242,40,142,28,219,177,109,187,92,174,44,175,172,37,73,60,157,142,
125,207,139,226,40,227,5,211,204,32,25,142,196,189,51,43,166,108,173,33,160,209,104,120,246,204,153,106,181,146,79,143,83,183,157,31,200,26,180,63,107,0,19,66,186,221,238,206,246,54,165,20,1,80,74,195,
48,48,3,210,98,249,106,190,48,103,210,129,89,52,74,157,202,148,84,73,28,19,66,95,123,245,141,87,94,125,245,149,151,95,125,229,149,87,183,182,55,151,22,22,131,48,28,143,71,174,235,56,142,67,48,177,45,219,
216,74,113,206,239,111,109,221,188,117,59,142,99,195,52,88,94,94,113,221,82,62,243,204,115,239,140,184,52,165,145,88,246,250,218,234,246,206,78,30,192,197,10,202,124,145,191,120,74,201,169,147,27,142,
99,79,166,19,140,200,100,50,158,122,211,252,72,42,170,175,138,53,88,94,101,152,96,112,28,235,244,153,83,213,106,69,8,57,35,24,154,137,144,252,208,201,137,37,121,63,136,49,18,66,156,58,117,114,125,117,
117,123,103,183,82,169,50,102,197,73,204,57,119,28,59,138,34,67,126,82,74,32,4,132,210,82,169,178,176,208,4,132,252,192,123,228,145,203,211,201,52,8,12,217,70,17,66,243,173,116,58,253,176,168,101,89,148,
50,198,14,13,51,139,79,161,46,64,174,8,35,99,58,137,10,164,168,35,185,101,74,233,114,201,85,138,187,142,227,71,137,101,187,26,244,219,165,208,249,219,50,31,75,243,36,54,56,106,205,18,100,187,173,144,6,
202,232,169,141,83,171,171,107,181,218,194,242,242,202,198,198,169,90,163,225,216,46,33,148,243,56,140,66,99,0,110,68,69,69,59,219,35,94,231,193,86,112,192,132,196,81,20,199,201,131,15,94,42,188,107,197,
24,179,108,39,51,238,249,145,164,82,230,215,217,179,103,95,252,206,139,153,114,4,92,183,140,199,83,141,145,146,134,77,142,115,143,216,188,230,52,207,116,145,113,121,127,115,231,230,173,187,7,210,117,173,
71,163,241,119,94,252,206,201,141,141,32,140,166,158,143,49,82,82,18,70,162,48,241,252,105,20,69,90,66,30,63,66,240,201,100,92,173,213,139,34,138,162,177,11,20,124,100,41,101,221,110,247,169,167,158,180,
152,109,44,56,242,191,108,44,181,14,77,17,48,78,184,120,227,218,181,40,8,65,169,133,70,237,196,137,19,157,110,39,23,249,205,60,217,69,182,125,94,8,96,140,195,48,190,117,243,246,189,123,155,11,11,139,75,
75,75,140,49,157,111,181,44,188,224,84,231,72,200,12,19,38,255,249,132,144,189,221,214,246,246,30,198,184,217,92,92,88,88,56,125,230,244,198,137,19,113,28,125,254,243,95,48,152,42,165,152,49,139,49,219,
224,222,26,96,191,55,248,147,175,127,147,49,178,176,208,120,244,209,199,58,157,238,157,59,119,179,87,46,1,1,70,132,82,138,49,53,229,58,20,28,145,230,133,245,70,192,8,74,3,66,74,43,156,21,252,74,171,84,
102,80,80,179,0,128,84,233,153,21,132,97,190,163,124,102,84,83,228,123,31,81,200,188,205,2,225,249,58,127,190,97,86,0,52,93,181,195,25,163,142,227,68,81,204,5,199,8,85,42,149,114,185,28,86,107,65,24,10,
206,25,179,139,226,22,99,9,86,220,147,152,222,153,66,84,107,165,9,101,119,239,221,239,246,246,87,150,151,204,83,196,57,15,195,168,156,196,102,32,242,35,157,129,205,115,246,198,235,111,40,37,211,162,31,
163,201,100,26,39,73,14,89,233,204,81,45,221,214,163,193,208,155,17,0,197,132,152,212,103,142,100,130,141,168,88,72,17,134,126,20,241,251,247,239,143,134,67,215,45,97,76,0,65,24,70,65,224,79,38,158,82,
42,78,146,48,12,115,84,176,90,169,45,52,155,90,41,46,68,145,213,84,76,176,185,185,113,20,133,231,207,157,245,124,127,56,28,218,150,125,216,123,45,207,0,41,73,26,155,129,23,64,119,191,83,42,185,203,203,
75,128,80,167,219,57,50,145,22,151,235,153,183,204,40,51,230,230,229,74,213,178,44,33,56,231,198,73,123,118,99,240,129,22,234,168,236,148,129,91,40,231,30,102,75,18,208,179,207,126,104,48,26,219,182,179,
208,108,86,43,181,114,165,98,219,142,109,91,185,32,78,3,16,130,47,92,184,112,106,99,227,242,195,15,239,238,236,244,122,125,243,51,16,66,24,83,202,236,114,169,100,204,37,114,124,113,126,253,103,113,235,
159,202,31,232,195,41,18,160,120,14,167,62,73,149,114,73,41,238,7,129,6,202,108,11,29,197,21,253,238,122,224,172,131,64,112,148,121,200,219,214,210,6,244,207,144,8,41,149,1,32,181,86,50,51,42,98,150,85,
42,149,92,215,205,209,227,244,131,56,202,51,244,208,127,102,169,56,137,19,219,102,23,206,159,59,88,70,137,145,193,216,255,188,59,225,239,67,0,187,174,123,253,250,141,233,116,108,184,77,148,146,48,10,195,
48,210,144,87,164,230,225,83,5,132,73,27,215,44,173,12,160,2,42,235,135,87,87,86,151,150,22,79,156,88,223,222,218,74,146,68,41,17,199,124,56,28,117,187,221,209,104,60,157,122,158,231,135,97,100,42,231,
67,231,49,232,70,189,65,41,189,124,249,161,133,198,66,127,48,48,79,225,204,29,204,55,247,217,182,181,177,113,242,206,221,123,153,87,115,126,162,163,220,176,50,93,186,145,253,156,56,12,90,237,93,74,217,
133,115,231,23,23,23,125,223,79,146,196,248,163,205,200,15,82,223,108,74,45,203,226,156,107,165,75,165,146,91,118,180,86,8,64,8,153,36,9,231,137,82,10,129,70,169,102,163,160,64,200,224,232,131,93,68,69,
18,28,74,169,135,128,64,8,161,148,238,117,122,251,253,126,169,228,86,42,213,90,173,182,208,88,168,215,27,102,129,131,109,59,142,227,90,204,194,4,15,7,163,205,173,173,23,94,124,113,127,191,79,41,35,152,
16,130,40,181,108,203,41,57,37,219,113,45,203,98,166,157,206,17,29,101,242,205,236,62,55,61,55,179,65,51,82,170,236,32,196,24,15,7,251,9,79,170,149,210,120,50,22,18,85,202,21,179,219,117,166,97,158,119,
156,47,68,38,202,55,161,23,243,243,140,165,201,17,155,92,83,158,70,250,217,72,37,195,40,122,244,145,135,63,245,169,79,94,125,227,205,132,115,146,121,125,28,50,111,59,170,176,130,195,91,218,211,201,112,
182,134,101,191,223,55,251,132,211,157,224,90,83,204,44,155,81,250,231,43,244,255,62,4,48,66,168,223,239,111,222,223,180,152,5,8,40,197,65,16,197,9,55,138,252,195,236,115,157,21,177,52,31,180,154,125,
246,90,107,33,164,82,242,252,249,115,167,207,156,150,66,222,184,113,35,73,146,36,73,164,84,198,137,174,176,85,80,3,160,121,217,58,33,168,90,169,93,186,116,254,242,229,203,215,175,223,48,181,80,150,246,
15,60,95,204,79,11,2,255,201,39,159,188,123,239,126,118,106,166,72,138,49,248,79,31,17,140,149,82,205,133,198,211,79,63,253,224,3,151,198,163,201,253,251,247,118,247,246,146,56,89,93,89,57,125,250,204,
242,242,170,16,66,72,9,90,81,202,40,165,174,91,114,109,135,49,98,89,22,165,216,236,40,80,74,189,227,157,79,61,253,174,119,46,54,151,70,163,113,146,36,90,107,206,69,230,113,117,176,137,98,94,222,80,196,
96,13,103,36,183,185,1,128,147,39,214,223,241,206,167,16,194,139,11,205,225,104,36,164,212,25,102,102,152,50,102,139,132,227,56,142,227,82,74,29,219,54,19,28,202,168,109,59,182,237,58,142,235,58,142,235,
186,204,172,26,200,147,182,62,88,216,42,164,52,166,231,70,211,91,4,108,231,125,188,243,255,53,108,188,193,96,255,245,43,175,105,201,43,229,114,171,213,222,218,218,174,215,234,229,106,45,95,85,115,36,220,
61,151,135,81,206,225,59,170,28,56,130,63,83,56,107,210,189,59,74,105,169,164,20,242,228,201,19,171,43,203,157,94,119,208,31,24,208,91,195,209,155,86,103,32,128,183,203,165,24,227,48,140,16,192,165,75,
231,211,213,25,26,16,66,204,162,127,222,73,248,251,16,192,230,61,191,113,245,245,92,66,34,132,246,124,47,142,121,62,111,200,236,172,14,38,195,169,69,40,61,16,57,24,83,140,254,254,96,52,28,221,120,235,
230,112,52,48,198,23,102,216,3,112,208,49,30,57,185,209,90,123,222,100,109,109,77,105,180,185,185,229,251,65,145,27,108,6,72,69,233,82,16,132,23,47,94,140,194,104,56,30,155,153,74,241,163,202,188,35,211,
108,60,25,123,183,110,223,25,79,38,227,241,40,73,146,110,183,183,187,179,43,132,112,74,246,202,242,242,202,242,106,165,92,182,29,139,18,76,9,65,132,80,70,163,40,10,195,116,163,146,101,89,66,202,110,167,
199,121,18,69,145,76,87,207,164,75,50,1,33,2,136,16,2,232,176,247,226,225,189,164,121,117,173,211,51,76,19,130,159,121,230,157,103,78,157,185,119,239,94,183,219,141,226,56,23,208,233,172,192,150,66,60,
243,244,83,171,139,205,237,237,221,114,165,106,219,182,109,187,142,227,216,182,227,186,142,169,27,45,219,102,22,51,7,107,218,242,32,164,149,146,82,105,169,180,210,167,79,157,90,93,93,121,236,177,71,159,
122,242,137,32,140,134,195,97,49,127,30,37,204,48,250,36,140,48,190,123,231,150,217,95,217,239,15,162,56,225,34,233,247,251,39,78,108,228,6,244,69,9,100,113,18,62,239,74,59,111,133,95,196,255,139,81,61,
67,252,208,217,13,49,127,180,179,179,243,210,171,175,143,167,62,38,44,107,105,97,78,44,49,23,177,90,131,214,7,136,98,182,12,45,219,202,137,134,195,209,185,115,103,171,213,10,104,179,109,73,19,74,109,219,
249,115,117,219,161,223,151,159,114,234,212,70,179,217,156,140,198,166,22,181,109,195,228,163,90,171,194,182,177,131,15,41,117,129,65,200,248,7,98,130,205,146,65,141,144,20,188,191,223,243,188,9,33,88,
136,163,69,118,243,200,190,249,207,192,15,95,123,237,21,106,217,128,48,37,196,144,55,102,38,120,133,154,13,109,109,222,63,123,246,244,221,123,247,0,163,156,8,105,44,184,114,114,24,198,216,247,3,207,243,
41,101,11,141,230,201,147,103,222,124,243,138,109,219,73,146,92,187,113,131,16,236,58,174,101,165,118,63,156,39,82,42,41,149,16,210,0,188,74,41,74,217,66,115,17,19,26,197,241,222,94,187,120,30,107,173,
5,231,73,28,199,132,96,66,25,206,36,238,115,164,174,131,199,244,160,150,70,90,233,47,124,238,143,148,82,132,145,84,112,110,164,23,42,5,150,12,187,230,254,157,91,213,90,57,142,195,74,173,166,9,161,7,197,
8,202,183,156,28,214,51,34,45,197,67,15,61,248,192,3,15,196,81,232,184,206,250,250,58,198,120,56,24,0,0,35,68,43,13,128,84,161,108,158,3,186,50,174,37,130,90,189,33,165,44,185,206,120,52,154,250,126,28,
37,66,136,187,247,110,55,26,11,37,167,68,25,195,120,182,143,157,73,197,7,251,174,142,218,132,58,207,0,159,159,220,206,78,113,49,133,225,157,186,238,97,103,33,172,63,20,11,141,178,1,216,124,98,47,124,141,
117,81,2,117,184,248,199,148,4,81,120,229,202,235,31,255,216,71,37,112,173,64,72,25,4,97,169,20,228,180,223,31,221,0,118,28,231,212,169,83,175,247,7,230,13,187,142,197,152,21,69,92,107,179,244,32,109,
52,138,157,94,46,76,199,132,196,81,108,60,71,17,66,132,80,219,178,152,231,9,46,50,19,194,35,198,125,243,228,24,67,133,9,194,40,244,131,198,66,83,166,114,3,153,109,129,65,57,192,155,141,154,232,253,251,
155,27,167,78,83,102,33,173,49,194,135,137,89,198,161,31,75,169,16,70,72,35,83,194,111,156,58,245,208,67,15,124,249,203,127,180,179,179,67,8,197,8,115,158,20,121,209,112,216,24,249,189,239,125,143,80,
122,103,123,23,180,66,8,231,163,169,236,45,104,179,26,83,8,41,149,34,82,234,194,250,194,28,10,202,15,193,124,48,150,62,190,74,83,70,149,86,6,174,81,90,21,230,159,198,128,78,46,46,212,59,189,246,189,173,
251,150,109,29,48,28,178,253,76,90,227,226,243,125,208,117,107,189,186,186,188,178,188,184,187,183,183,189,189,115,229,181,171,251,253,254,104,52,138,162,136,18,234,186,78,170,245,127,155,138,87,107,99,
7,164,9,192,185,179,231,29,219,25,143,250,181,122,157,48,43,12,195,82,185,18,71,225,222,158,111,49,203,113,157,74,169,90,114,75,204,178,138,157,2,28,181,40,116,254,155,51,7,122,78,137,45,114,200,139,196,
41,195,207,147,146,47,225,225,162,104,137,160,133,221,122,76,78,2,136,249,22,119,14,15,3,173,116,225,176,80,96,62,172,236,37,49,102,221,186,125,239,93,207,140,234,181,170,82,74,43,157,36,113,16,4,165,
82,249,207,207,252,253,251,83,66,27,113,198,245,107,215,24,99,8,35,76,72,28,39,97,16,153,185,130,129,172,76,99,96,208,121,83,138,152,97,3,193,232,194,249,243,167,78,159,52,101,173,146,74,138,4,33,60,157,
78,148,86,156,115,35,205,59,178,108,46,178,252,114,211,143,152,71,86,58,172,119,158,121,230,153,78,167,171,142,218,91,141,49,142,99,126,254,220,217,225,96,20,134,97,74,111,5,84,228,54,27,16,43,143,25,
215,182,222,251,222,103,214,79,172,239,239,15,163,48,138,227,192,172,29,39,4,231,244,163,252,135,219,182,83,46,87,28,215,125,250,233,167,24,99,189,254,190,210,160,149,66,135,126,139,9,78,194,24,181,24,
35,5,10,212,76,21,119,168,164,204,31,92,179,119,211,76,143,181,42,190,181,12,9,135,114,217,165,8,28,199,242,252,216,113,75,51,121,201,208,13,143,28,180,110,110,110,191,121,245,198,149,215,95,191,117,231,
174,231,121,182,197,26,141,198,185,243,103,79,158,60,249,216,227,143,156,58,117,106,111,119,87,106,133,11,6,20,5,86,140,206,219,86,130,201,250,218,250,234,250,137,146,91,89,90,94,57,117,250,236,202,234,
154,109,91,8,48,231,113,20,134,97,16,74,165,41,165,212,162,0,217,153,61,167,208,130,183,95,131,118,36,243,177,248,197,161,209,174,6,192,20,217,117,68,168,112,87,167,100,77,35,11,161,183,117,35,159,31,
62,27,101,146,177,223,3,227,166,144,213,210,126,16,50,134,47,156,63,155,62,141,38,176,109,219,98,236,207,169,19,166,223,175,31,116,246,236,89,167,84,230,130,51,196,40,38,229,114,57,8,130,233,52,192,24,
155,49,160,89,54,3,153,255,16,0,18,66,2,2,165,244,169,83,167,134,163,126,181,86,91,95,91,173,86,171,223,249,246,11,148,80,219,113,38,189,94,206,140,159,47,135,138,183,59,31,41,35,12,181,90,237,252,249,
51,43,75,43,227,201,228,193,7,46,221,186,117,187,211,233,96,198,76,25,47,165,74,71,5,74,115,193,71,163,209,185,179,231,218,157,142,237,216,72,105,130,177,78,9,39,88,74,1,90,165,32,135,50,130,7,245,198,
213,107,195,225,104,113,113,241,103,223,247,190,94,175,183,187,187,115,225,252,185,151,94,126,217,247,125,243,175,8,193,22,179,140,55,26,34,104,56,28,125,241,139,127,84,175,213,145,134,70,163,110,217,
214,120,60,18,92,166,54,3,102,70,69,140,195,248,33,54,223,140,45,206,76,206,49,46,121,102,171,20,49,13,36,32,227,177,154,231,109,131,217,36,113,12,8,146,36,65,133,27,152,98,92,102,99,19,82,51,219,146,
76,157,242,190,247,253,76,173,90,107,181,90,213,106,101,117,117,181,92,114,181,146,213,122,109,50,153,250,94,48,153,76,0,33,37,53,224,131,215,153,159,95,7,33,141,48,0,112,193,29,199,90,88,88,136,226,36,
230,137,146,178,86,109,148,75,213,40,138,2,63,136,147,152,80,162,65,27,127,239,162,60,107,166,62,127,59,181,224,219,173,74,207,79,49,40,254,67,4,24,84,132,106,81,233,9,64,8,35,69,49,66,136,152,237,229,
197,165,18,111,139,138,165,6,90,185,45,255,193,175,102,148,94,185,114,245,145,203,151,151,151,151,76,5,24,199,177,239,251,142,109,155,193,196,143,110,0,55,26,245,245,245,181,251,247,239,81,66,133,148,
174,107,99,68,76,85,76,113,106,7,59,67,238,49,106,63,132,224,27,223,252,150,82,74,42,137,16,34,24,37,73,192,8,163,148,134,102,238,175,103,153,244,51,114,191,108,193,47,49,182,175,97,16,190,246,218,107,
37,199,93,104,46,255,203,127,249,63,35,140,141,88,74,107,19,155,41,64,98,138,207,221,189,189,119,190,227,105,203,98,4,99,165,148,84,202,12,195,164,20,7,195,199,140,224,17,37,137,236,15,49,193,102,116,
84,175,55,158,120,226,177,135,47,63,60,24,79,124,207,231,73,34,211,53,185,133,73,6,214,66,72,33,229,249,11,231,223,253,174,167,43,213,218,239,252,206,239,36,49,55,202,126,3,146,219,70,192,206,40,201,16,
230,153,53,43,71,162,163,90,107,45,117,126,120,21,107,19,227,118,11,128,164,144,66,72,138,144,231,251,128,232,12,198,163,53,40,173,76,246,152,129,115,165,148,111,189,117,243,67,31,124,223,83,79,62,94,
175,213,174,191,245,214,155,87,223,28,12,6,23,46,94,216,220,220,188,123,119,19,99,12,198,214,243,176,121,192,12,17,74,167,11,60,69,164,181,144,130,139,180,179,49,80,185,227,56,142,227,28,236,211,129,163,
247,233,28,25,180,51,91,209,52,164,196,190,25,22,100,126,83,102,252,198,48,86,132,16,173,69,24,132,70,137,105,219,118,165,90,161,148,25,154,123,182,244,251,232,150,216,236,170,206,54,141,66,70,73,67,8,
35,223,15,175,188,126,245,99,31,125,54,115,113,145,81,24,132,161,107,89,127,46,157,48,253,62,254,172,139,23,47,220,187,115,199,220,97,74,152,237,216,227,233,68,107,152,25,246,28,122,16,17,40,169,242,147,
91,112,238,37,124,60,218,63,117,114,227,194,249,11,195,193,168,213,106,17,130,243,154,115,102,163,31,28,108,75,66,132,96,132,48,231,188,223,239,11,169,2,43,20,74,53,234,77,131,175,22,181,53,249,6,112,
74,89,187,221,38,4,53,155,205,225,112,136,9,41,10,249,9,33,74,73,67,67,86,153,243,120,182,177,26,180,214,66,112,130,233,171,175,93,89,94,92,58,177,118,34,73,98,33,132,113,84,150,82,68,81,148,240,56,137,
99,36,4,128,30,14,6,191,247,251,127,32,133,138,147,36,7,189,41,101,169,140,142,89,4,17,51,76,154,15,131,153,185,104,17,158,157,217,232,153,179,154,180,33,165,32,136,162,168,86,182,141,189,158,214,154,
49,86,220,220,61,163,242,45,254,239,222,94,235,133,23,94,158,140,198,136,146,126,127,224,77,61,203,182,184,148,167,79,157,222,107,117,226,56,198,102,155,65,97,36,59,127,200,2,104,169,20,100,123,198,146,
36,57,125,234,212,163,143,62,250,226,139,47,182,218,237,252,115,73,53,247,160,231,43,252,183,171,65,148,86,197,91,132,33,197,231,231,169,90,197,142,214,216,214,34,64,152,160,241,104,176,179,179,213,239,
15,204,46,114,66,112,181,90,61,113,242,212,202,202,26,165,84,73,101,86,59,163,140,59,152,223,46,211,223,26,227,90,132,177,193,75,242,129,5,179,172,235,215,223,122,252,241,71,86,150,151,205,99,195,227,
56,240,61,227,59,251,125,79,194,223,183,30,216,68,215,181,107,111,26,15,94,74,169,146,210,243,253,28,84,152,19,118,40,0,192,136,24,164,58,213,88,98,162,181,26,14,134,158,55,93,94,94,60,125,250,116,34,
18,35,49,45,254,16,157,238,218,81,185,0,208,224,222,82,42,206,19,219,177,92,183,172,181,138,226,40,213,205,105,13,24,17,76,138,147,97,99,168,150,196,201,98,115,161,209,104,110,110,109,50,198,40,33,185,
7,13,70,40,245,184,204,54,89,229,16,171,137,255,74,185,50,26,143,51,184,91,48,198,82,129,156,235,186,174,99,219,182,227,184,198,218,90,8,25,134,177,57,146,13,62,207,152,237,56,150,235,26,23,17,135,49,
134,51,31,198,98,161,152,143,190,102,120,194,249,195,52,79,231,76,91,62,140,40,99,147,201,100,243,254,221,74,201,9,227,112,103,167,229,77,166,141,133,5,198,88,241,111,206,243,64,243,63,237,237,239,123,
65,48,24,12,126,230,103,222,253,238,119,63,243,222,247,188,251,217,15,127,176,92,46,223,184,113,35,142,227,220,147,168,56,197,157,201,48,42,211,21,166,27,199,148,4,173,159,124,242,137,19,39,214,222,188,
122,205,136,227,179,35,241,8,22,228,119,153,193,34,56,152,171,129,46,108,24,156,67,212,14,113,54,255,255,236,189,215,147,36,91,122,31,246,29,159,153,229,218,205,244,248,185,222,173,185,107,176,4,73,44,
22,224,46,25,4,165,144,248,164,7,233,141,250,227,196,96,48,196,16,9,136,14,34,3,102,129,117,216,187,192,245,110,252,76,187,233,238,242,149,246,156,163,135,47,243,212,169,204,172,158,185,203,107,6,187,
157,15,19,61,109,170,171,171,242,59,159,251,25,11,20,8,227,108,116,58,252,224,253,247,79,79,79,221,45,1,0,73,146,60,62,58,202,178,100,107,103,135,50,10,166,125,201,140,139,227,10,34,66,108,163,39,143,
23,9,101,244,149,151,94,196,58,14,33,66,92,8,116,50,249,124,147,240,231,25,192,66,136,183,223,126,167,200,115,70,81,160,131,204,102,113,154,166,248,62,185,179,167,122,135,136,179,174,27,12,250,131,254,
70,26,199,157,78,116,237,218,181,110,175,251,233,167,159,158,156,156,108,111,110,223,188,121,163,215,237,3,216,217,108,86,173,254,9,0,112,78,145,117,137,104,39,74,89,150,101,121,94,92,185,124,245,149,
215,94,35,64,138,66,7,129,226,156,207,231,115,107,129,81,6,22,234,164,31,40,53,223,94,127,253,181,143,63,253,148,86,165,120,5,187,211,196,19,229,225,188,146,206,50,198,88,251,173,55,191,254,127,252,239,
255,27,165,180,40,244,116,50,73,43,159,36,55,78,67,31,67,2,160,130,64,74,25,4,168,22,163,148,12,2,21,116,162,40,140,34,92,18,34,2,196,253,46,88,163,47,233,30,31,188,187,190,36,163,55,214,197,8,80,221,
127,244,104,58,25,199,139,248,228,244,148,115,49,26,143,116,81,236,238,238,58,34,103,229,95,83,111,73,220,227,32,154,154,51,54,232,15,142,31,31,191,245,214,175,126,250,147,159,45,146,24,108,157,120,208,
42,79,15,0,6,80,22,212,106,107,168,5,109,237,34,142,63,252,228,246,108,145,162,22,86,85,139,214,79,144,214,165,67,203,222,200,153,92,17,168,113,72,107,112,235,50,253,18,98,172,190,117,235,227,249,98,110,
236,138,187,26,222,21,211,233,76,41,181,57,216,210,96,96,21,56,137,2,180,248,56,248,27,77,53,24,35,80,201,90,2,33,214,206,230,243,151,95,126,41,8,2,15,132,207,149,82,62,85,243,153,11,96,41,229,195,135,
143,142,14,143,56,103,132,16,202,232,98,17,199,113,130,154,59,78,95,206,159,233,27,163,255,240,15,126,240,234,43,47,190,244,242,11,227,233,244,218,213,107,74,202,233,116,118,255,254,253,227,227,199,143,
246,30,206,102,179,237,157,173,23,94,120,126,123,123,43,138,58,140,81,33,4,234,174,4,129,12,195,0,235,85,244,245,48,198,108,110,110,93,186,180,123,241,194,197,120,17,191,249,230,55,94,125,237,213,143,
62,254,56,203,83,28,135,162,86,22,16,235,120,170,0,48,159,47,94,127,227,213,227,199,167,179,217,180,118,83,86,58,140,22,189,72,43,116,30,1,176,73,146,126,240,222,7,31,125,244,241,222,222,94,161,11,92,
224,50,198,240,148,193,230,231,218,165,157,31,254,147,63,252,229,47,127,217,235,13,48,140,195,32,148,74,6,65,168,2,37,132,116,158,58,190,15,128,255,42,185,205,103,141,243,228,166,166,88,251,53,241,186,
8,92,91,44,230,65,160,102,179,217,108,190,48,214,142,198,163,56,78,250,253,193,170,102,58,212,160,35,62,153,1,239,234,241,120,114,235,214,237,219,119,238,28,28,30,229,69,81,193,132,129,180,13,105,235,
21,181,45,51,36,222,223,185,214,15,110,127,82,156,124,216,103,11,35,122,102,85,181,181,121,28,180,234,218,181,37,70,210,100,56,53,181,242,113,133,54,30,15,31,62,124,112,249,242,101,244,250,240,83,11,254,
170,225,240,116,99,176,25,118,34,91,169,20,149,210,240,78,41,158,224,148,171,146,125,33,171,133,3,161,179,249,76,73,249,194,11,207,59,36,2,177,132,139,210,54,237,115,76,194,159,103,0,3,64,28,199,159,124,
252,177,148,2,233,212,105,150,80,74,107,98,209,78,71,166,228,187,27,19,199,233,225,193,225,253,251,15,30,60,124,120,114,114,170,141,78,179,116,56,28,90,99,78,78,78,31,60,184,191,183,183,151,231,57,42,
87,58,166,75,81,152,36,137,147,52,53,198,22,133,209,90,247,250,61,46,228,209,209,209,222,193,126,28,47,242,34,79,146,248,241,227,19,231,127,69,41,35,148,40,41,75,99,118,74,192,66,158,103,91,91,27,155,
27,219,119,239,223,67,192,150,155,105,175,90,144,130,19,151,179,0,243,249,124,56,30,155,82,168,96,133,201,80,233,48,177,233,228,244,228,241,225,254,193,65,167,219,227,92,16,74,185,64,53,17,81,41,105,49,
76,64,214,120,128,10,239,142,171,113,131,253,87,175,148,206,110,235,15,81,193,131,81,214,137,58,198,232,126,127,32,85,197,58,12,163,44,75,167,179,73,158,225,2,140,251,210,5,224,185,159,215,246,162,37,
173,202,137,53,19,66,26,118,132,205,13,31,120,198,130,24,96,218,152,78,118,239,149,240,222,142,185,43,85,56,177,219,22,74,193,147,102,199,219,74,105,244,209,117,14,58,238,120,127,205,69,110,221,69,149,
210,56,142,167,147,73,16,168,141,141,141,233,116,230,206,92,252,193,60,207,227,56,14,130,224,194,133,93,176,214,84,84,156,149,20,95,57,10,212,48,234,0,64,76,201,44,31,141,70,175,190,242,82,16,4,75,70,
0,163,159,187,13,218,231,57,196,2,128,155,55,175,115,81,25,148,16,43,133,208,218,98,103,219,100,150,114,198,180,49,119,238,223,199,13,13,103,12,229,59,184,16,55,111,60,183,152,205,71,195,83,99,109,81,
232,201,100,58,153,76,113,200,228,168,66,213,113,9,198,154,94,175,83,104,221,233,116,81,191,14,239,245,189,189,253,71,143,246,144,63,172,139,34,205,82,236,62,181,214,198,90,202,152,41,52,214,186,183,239,
220,251,206,155,223,194,38,217,217,178,248,199,141,181,150,115,81,20,249,242,201,115,142,206,26,181,201,13,171,186,232,32,8,162,206,198,253,135,15,195,176,67,42,163,108,204,41,238,145,177,182,196,0,166,
72,33,36,196,84,2,38,110,118,226,38,171,78,176,218,125,134,115,86,84,236,43,55,0,67,184,2,161,52,234,116,131,80,205,231,147,110,191,119,241,210,37,107,161,40,244,112,120,26,39,113,18,199,227,201,112,99,
176,189,177,177,129,221,172,207,31,108,149,152,135,106,185,178,212,61,95,79,33,170,137,87,88,107,81,128,146,0,217,184,248,2,45,230,84,203,204,74,156,244,130,165,132,174,24,74,52,213,237,107,61,127,83,
2,118,157,32,78,189,48,209,186,219,237,246,122,189,195,131,35,202,88,191,215,131,138,48,151,165,217,108,54,195,54,5,137,153,43,127,29,37,128,155,124,32,164,233,5,91,161,142,80,95,139,1,27,141,199,239,
190,251,254,239,255,254,239,225,248,80,155,60,137,23,113,28,5,65,240,57,238,132,63,231,12,28,4,193,173,91,183,198,227,177,44,53,59,233,124,62,143,147,133,49,214,87,144,195,187,156,113,206,40,142,94,41,
71,171,97,2,69,81,16,32,175,190,242,242,15,127,244,195,71,143,246,247,247,247,179,44,163,132,112,193,93,74,36,128,175,164,70,224,56,231,252,141,55,94,255,225,143,126,56,28,142,166,211,41,37,4,93,203,40,
165,142,88,131,147,53,41,165,16,146,84,106,78,238,14,155,205,230,207,221,188,113,112,248,56,207,51,119,126,59,182,224,146,239,228,223,169,148,130,215,48,251,233,17,203,215,80,5,92,16,176,58,73,115,33,
2,202,8,26,68,248,122,58,149,108,19,49,213,22,164,150,193,106,162,89,181,142,174,101,231,233,221,85,140,80,202,104,175,215,219,220,220,12,130,72,201,0,77,188,58,157,174,146,33,99,140,0,169,72,252,188,
54,3,115,57,199,201,223,183,202,119,214,64,200,181,220,235,171,249,187,10,130,0,196,70,142,225,210,9,123,110,2,91,168,25,138,206,227,254,72,124,221,14,22,206,148,212,241,159,207,25,135,11,231,162,219,
237,239,239,237,141,39,99,99,172,148,60,12,67,66,72,150,101,73,156,102,121,214,235,245,95,125,245,53,212,226,93,190,194,166,68,37,45,213,18,49,108,151,175,187,5,36,111,149,139,79,56,61,29,190,242,242,
75,65,160,60,237,104,242,249,38,225,207,57,128,41,165,147,201,228,238,237,59,82,162,204,29,143,227,69,150,231,0,43,33,81,174,109,9,209,198,48,186,44,202,56,99,47,189,248,226,214,214,224,230,205,27,31,
124,248,113,16,132,59,23,46,230,121,62,159,207,123,253,94,158,229,105,154,90,99,141,181,253,65,31,133,148,80,196,116,58,155,89,163,95,120,241,249,60,207,132,148,73,146,144,165,68,11,33,196,50,198,208,
247,21,233,93,12,109,215,171,251,70,23,197,181,107,215,0,224,228,248,24,53,174,25,97,238,205,91,209,157,36,30,53,198,46,123,105,196,202,87,98,122,101,169,173,36,27,79,71,73,146,42,21,162,176,95,243,142,
92,74,19,55,130,179,201,182,169,187,108,218,150,189,203,242,64,193,74,132,209,162,48,69,86,228,121,30,39,9,78,203,131,64,69,81,167,219,233,6,65,136,71,103,173,74,175,134,124,182,236,96,201,10,199,168,
217,88,214,158,124,173,242,95,62,73,55,100,34,130,48,9,86,167,105,140,155,2,33,5,163,172,53,80,253,109,89,205,216,177,21,53,5,13,93,142,90,78,182,214,70,157,104,123,123,107,190,88,204,166,147,217,108,
58,157,78,39,147,201,98,17,23,70,111,109,109,127,227,27,223,220,220,220,202,243,220,35,75,150,136,128,165,76,71,197,82,6,83,206,60,202,165,89,137,183,4,206,185,20,242,218,181,43,91,155,155,238,188,38,
96,185,248,60,189,72,63,231,18,26,0,158,127,254,249,159,252,213,95,87,158,206,84,41,197,184,208,58,173,9,95,104,173,17,142,70,88,105,80,147,101,121,24,6,127,244,71,63,250,232,227,59,255,241,63,253,151,
126,175,75,41,189,112,241,194,96,48,200,179,244,27,223,252,230,191,254,215,255,215,124,62,53,198,22,133,254,246,183,223,220,218,220,249,203,31,255,85,24,6,120,251,222,186,117,231,254,195,251,255,231,191,
250,87,123,251,7,127,242,199,255,17,71,133,214,2,33,150,16,194,184,224,92,64,41,104,76,52,122,163,217,82,57,218,24,187,191,191,255,242,139,47,124,244,209,71,28,136,214,26,40,56,212,180,27,252,250,152,
100,70,25,33,160,177,65,66,200,6,33,216,63,227,57,165,169,54,218,160,9,38,22,2,200,170,7,88,193,235,54,177,101,53,112,114,115,191,210,252,192,167,197,58,20,151,6,3,134,164,73,134,84,77,66,225,165,151,
94,200,210,236,225,222,30,246,189,14,96,216,20,142,91,30,10,203,121,154,197,195,176,214,247,250,67,38,55,251,245,213,194,252,15,24,165,200,182,206,139,236,225,254,193,254,222,163,197,98,161,11,45,164,
236,245,122,215,174,93,219,185,176,235,240,204,166,156,179,91,234,173,106,154,217,181,174,133,210,64,71,183,188,194,96,227,36,9,163,238,119,191,251,189,201,100,60,28,158,46,22,11,0,34,133,236,15,6,91,
91,91,74,170,60,207,86,30,13,57,137,148,216,106,93,173,75,206,87,185,73,161,140,114,41,194,32,224,66,40,201,25,163,121,174,211,100,113,114,122,242,194,243,207,187,145,100,150,231,73,60,79,195,144,127,
78,73,248,243,15,224,203,151,47,111,111,239,156,156,28,43,37,9,64,24,4,146,139,44,41,153,110,140,81,107,65,23,154,113,70,8,201,243,162,114,208,176,82,242,36,201,254,239,127,247,31,22,113,220,233,148,168,
93,163,77,154,38,127,240,131,239,167,89,241,250,235,95,215,58,91,44,22,243,249,34,137,179,23,126,231,197,183,223,121,215,90,147,21,153,213,64,57,43,10,243,159,255,211,127,70,41,96,172,121,80,187,9,44,
147,92,74,37,149,10,74,200,71,101,69,71,45,51,214,8,41,31,220,191,255,189,239,125,183,63,24,204,103,51,33,4,98,63,107,120,9,44,34,42,29,220,194,21,189,75,116,14,78,122,8,73,147,244,222,222,221,107,87,
119,25,163,163,209,48,158,103,215,111,220,180,213,230,172,89,118,214,208,206,205,207,195,170,87,168,27,222,80,32,200,193,88,65,53,96,175,72,172,54,90,167,26,81,248,138,201,221,11,59,87,175,94,253,227,
63,254,127,99,180,134,66,99,175,85,80,106,93,38,161,194,42,16,74,17,105,232,103,87,247,226,248,254,201,77,23,85,63,245,81,74,179,52,249,244,211,143,15,14,14,80,51,24,0,116,146,44,22,139,163,163,163,43,
87,175,189,246,218,235,229,222,5,192,104,93,46,90,219,200,73,235,252,165,154,67,181,26,117,25,235,163,34,207,9,37,253,254,96,48,216,244,237,26,173,181,105,154,90,163,129,80,99,13,177,96,171,122,203,20,
22,193,207,20,40,227,76,133,178,219,233,112,206,132,148,156,179,120,177,200,178,116,62,25,29,206,103,243,69,60,155,205,166,179,105,24,134,191,251,189,239,185,87,70,27,19,199,169,90,196,82,42,70,233,255,
120,12,127,254,1,44,132,184,112,225,194,209,209,161,49,150,128,81,129,226,156,98,184,150,83,27,0,75,1,249,119,184,61,161,148,26,163,57,103,69,1,135,71,199,132,16,41,5,202,9,90,83,188,246,234,43,218,216,
183,223,126,39,8,20,99,209,96,176,97,140,53,90,43,161,254,241,63,250,199,239,189,255,126,150,101,113,188,88,196,177,49,230,246,157,123,22,52,0,37,64,41,35,81,24,73,41,95,126,233,101,32,100,60,154,96,191,
231,18,75,181,164,33,64,204,116,177,24,158,142,110,222,184,241,222,123,239,249,133,162,49,70,74,89,120,50,61,110,221,130,193,140,168,143,242,86,102,20,85,44,238,223,191,123,239,254,61,66,50,206,249,120,
56,89,196,71,42,80,87,175,221,72,211,20,155,67,204,210,53,96,153,195,81,57,91,45,204,236,136,229,116,207,161,98,218,35,138,175,164,96,248,161,181,194,10,178,229,234,114,60,157,36,121,209,237,245,185,10,
108,146,161,157,8,165,196,90,218,100,231,213,42,2,107,45,84,224,215,166,21,147,89,181,47,175,99,161,136,63,242,33,0,240,240,225,253,233,116,138,171,81,127,248,7,0,123,143,30,74,33,94,125,237,117,103,49,
109,219,10,99,104,19,208,135,134,191,148,191,22,118,64,14,55,18,47,93,137,181,6,171,125,180,52,194,63,173,177,96,11,83,161,128,40,165,140,178,72,202,32,84,97,20,42,41,56,99,90,23,243,197,98,60,30,14,135,
227,217,108,190,136,23,136,86,161,148,34,59,101,115,176,17,4,129,174,236,29,17,83,148,165,89,28,199,97,24,160,239,204,51,23,192,0,112,229,234,213,119,222,125,27,11,15,198,104,160,212,124,17,151,247,28,
101,132,128,177,104,120,164,209,205,163,40,197,98,49,146,11,198,88,158,23,148,82,83,24,2,228,219,223,254,230,246,206,238,91,111,253,10,151,171,132,82,99,80,238,152,222,184,126,227,209,163,61,99,76,161,
117,183,219,201,139,252,240,224,0,0,46,95,190,180,189,189,29,134,225,149,43,87,46,94,184,208,239,247,38,147,233,31,255,201,127,194,145,9,34,52,172,183,134,161,132,50,194,238,222,189,243,194,11,47,190,
251,222,123,69,161,171,165,64,25,108,181,48,115,159,129,85,150,57,134,116,158,231,163,241,184,219,237,28,29,60,46,180,142,122,61,136,227,219,183,111,95,185,122,173,154,93,3,172,234,87,187,216,115,83,43,
99,13,35,180,4,226,19,64,17,99,247,85,202,152,45,52,16,162,173,89,234,66,86,197,115,109,0,102,151,48,155,119,255,238,87,191,178,69,74,104,128,90,40,21,187,169,206,194,117,252,91,95,145,183,46,43,83,61,
50,206,174,91,71,107,46,248,240,78,101,140,158,158,30,31,28,28,92,190,124,249,254,131,251,70,215,149,177,25,163,15,31,62,184,120,105,119,99,176,105,144,112,218,214,222,55,215,87,77,49,112,255,103,107,
179,140,165,218,142,5,141,177,108,113,44,90,102,24,74,8,103,28,73,237,82,138,32,84,97,24,128,181,121,158,38,113,58,28,158,76,39,147,233,116,186,88,44,178,44,215,198,48,198,185,224,66,138,158,236,40,37,
149,12,164,20,130,115,99,204,230,198,192,104,179,34,6,4,38,77,22,113,28,42,21,82,202,221,152,240,25,10,224,155,207,221,8,130,200,24,67,41,103,140,74,165,8,64,150,229,148,49,2,150,82,102,181,197,37,36,
174,109,112,197,234,12,56,141,49,168,124,96,45,88,99,255,251,127,251,75,46,56,134,180,182,134,20,229,172,232,189,247,63,50,198,74,37,181,214,253,176,247,195,63,252,129,82,106,115,107,71,235,124,127,127,
223,2,73,211,236,202,229,75,31,126,252,241,91,111,253,42,77,51,70,169,91,113,81,66,53,104,196,93,96,190,21,82,222,187,119,255,205,55,223,236,247,7,243,217,12,57,15,24,111,148,50,173,13,158,149,174,43,
174,97,45,48,116,145,44,41,132,136,162,136,49,136,194,224,232,232,248,241,227,199,179,233,188,215,235,222,191,123,187,63,216,10,195,176,172,222,157,206,158,181,100,213,232,12,223,103,187,42,52,163,141,
94,230,97,107,1,85,93,171,153,104,115,115,235,83,11,173,181,156,203,120,114,124,85,191,187,197,23,51,186,253,56,252,78,102,152,83,189,111,202,226,214,182,208,229,151,154,188,2,176,56,181,241,125,213,107,
17,229,83,160,166,211,73,150,101,91,91,155,131,65,239,173,183,254,182,218,177,151,87,81,20,73,50,63,58,220,31,12,54,214,173,136,214,176,237,125,233,12,32,176,66,184,47,71,24,22,136,179,255,45,133,250,
13,178,160,112,174,137,114,67,161,42,61,94,116,81,164,89,54,155,207,15,15,78,231,179,249,34,137,147,100,145,231,218,2,225,140,10,206,164,148,189,94,47,8,130,64,133,92,48,206,56,165,196,49,82,176,227,141,
162,200,95,24,227,203,146,231,249,98,49,47,33,180,148,63,115,1,188,179,179,179,189,179,125,184,127,192,24,3,107,123,221,238,49,59,206,72,201,146,71,2,45,142,160,173,53,96,45,26,32,57,201,5,124,35,181,
214,66,48,173,205,209,227,163,92,23,74,40,108,67,186,157,46,150,114,243,56,198,17,20,5,152,207,23,127,253,147,159,126,247,59,223,93,204,146,201,124,252,209,71,159,142,103,139,44,43,54,6,189,225,233,177,
209,70,8,78,57,119,146,81,190,103,119,37,82,13,243,249,98,52,26,221,188,113,237,221,119,223,71,192,66,85,28,154,106,213,71,42,145,13,238,24,252,78,32,218,37,28,32,228,149,87,94,187,119,239,206,124,177,
136,58,157,94,191,63,159,199,65,40,79,78,79,70,227,73,183,219,235,246,122,157,168,35,165,50,96,156,80,75,179,163,107,138,66,250,94,16,77,197,220,230,249,226,223,226,89,158,135,146,94,228,134,167,51,70,
242,199,197,148,136,45,208,214,29,154,53,236,97,109,174,91,62,154,49,78,49,215,58,128,161,215,162,23,69,97,45,98,102,104,237,20,192,127,37,151,82,136,143,62,250,228,210,165,221,107,215,175,47,230,243,
217,108,138,48,67,20,9,180,214,230,185,182,166,174,182,85,227,42,54,9,222,213,60,191,60,251,40,128,33,96,173,165,64,52,24,220,19,88,119,11,18,66,8,9,131,144,11,30,132,65,39,12,208,100,115,58,157,204,102,
243,241,232,120,56,26,79,103,179,36,77,203,55,154,80,206,185,84,225,160,31,4,74,42,37,5,250,167,16,74,40,181,171,154,184,238,37,53,96,195,40,114,131,134,165,209,169,214,105,18,39,73,18,134,33,194,22,159,
173,0,102,140,221,188,121,99,255,209,30,234,22,112,74,130,48,136,147,20,173,24,180,54,132,128,133,138,231,193,152,35,232,1,38,106,138,40,174,204,152,34,12,163,43,87,46,247,123,125,70,201,96,208,191,249,
220,141,225,112,114,233,242,197,63,253,211,255,62,155,205,144,50,1,214,112,206,135,163,201,127,255,179,63,203,211,204,0,0,161,10,178,13,26,207,142,142,85,103,167,68,40,107,109,1,120,197,73,146,66,0,33,
121,158,131,5,74,168,182,154,75,249,55,191,124,139,50,78,41,202,29,83,68,89,184,76,224,28,21,80,74,222,24,176,182,112,97,230,223,97,81,39,250,206,119,127,39,207,146,36,78,9,163,140,137,201,100,114,58,
60,158,77,167,163,241,104,58,155,108,108,108,109,111,237,40,220,16,174,238,48,151,213,117,165,31,91,147,122,111,18,27,188,13,39,199,40,170,149,148,132,16,198,192,176,254,67,250,205,110,103,58,55,157,204,
246,193,20,254,154,215,24,231,183,2,107,55,204,132,148,34,13,88,177,23,26,43,79,41,100,94,228,96,237,75,47,188,120,113,119,231,157,119,223,75,210,180,181,23,189,120,233,242,222,254,222,225,193,225,116,
54,221,217,222,190,114,229,146,20,215,1,236,112,56,30,143,199,120,56,110,108,108,53,53,238,106,3,130,101,244,146,250,83,197,101,109,97,202,5,65,97,74,197,18,165,164,16,60,80,170,211,137,24,163,22,172,
213,200,215,157,61,62,220,159,45,230,139,249,34,77,227,60,207,73,41,31,206,123,157,174,16,34,80,74,74,201,56,19,28,211,108,41,196,65,43,217,38,178,166,76,16,148,117,59,157,198,198,222,16,194,242,188,192,
78,24,205,95,159,173,0,6,128,23,94,124,241,231,63,255,5,86,42,148,146,32,80,130,243,56,77,42,204,0,84,58,140,172,114,30,192,23,180,248,222,239,124,247,224,96,239,15,126,240,7,251,7,7,253,65,183,223,27,
244,122,253,225,240,164,223,235,77,38,147,56,78,62,120,255,131,40,82,167,167,195,234,101,34,0,229,155,157,231,5,87,18,8,203,103,167,221,225,207,67,115,2,16,196,242,159,81,185,105,116,238,3,45,172,181,
64,41,172,206,84,1,96,56,26,91,192,29,53,173,176,181,37,0,9,0,93,84,9,33,160,141,45,23,165,158,30,72,185,94,98,12,129,101,186,40,148,10,24,21,133,209,121,81,116,187,157,48,12,22,139,197,120,52,204,242,
12,207,8,119,34,184,40,245,229,239,45,128,241,220,134,125,248,196,58,208,127,109,39,228,106,114,119,76,12,245,246,144,92,228,148,40,129,246,109,166,202,156,121,107,189,90,246,183,200,40,42,10,103,249,
89,232,66,23,122,103,123,123,123,107,171,211,237,94,220,189,104,141,222,24,108,220,124,238,198,230,230,160,208,197,207,127,241,150,20,210,31,32,185,146,254,187,223,249,157,183,223,249,187,59,119,238,36,
113,60,28,158,132,97,88,20,122,177,136,147,36,33,148,222,124,238,249,75,151,46,45,187,247,198,248,202,31,155,161,41,140,177,186,44,4,172,181,80,214,41,132,82,74,73,20,69,74,202,32,12,4,231,140,130,181,
118,190,152,143,70,195,241,100,52,26,141,230,179,121,86,228,200,25,101,148,7,74,118,59,125,41,165,82,66,8,137,44,19,95,100,191,58,203,202,87,218,32,197,125,245,109,240,192,60,70,112,209,233,116,106,226,
248,198,0,165,214,24,157,165,139,120,161,80,182,242,215,158,102,125,81,1,124,105,247,66,175,215,159,77,199,84,80,160,84,73,197,56,231,154,85,43,25,2,96,139,162,64,106,155,181,88,194,17,109,138,175,127,
237,181,223,251,189,127,104,141,221,221,189,144,229,249,71,31,125,250,211,159,253,98,58,155,228,89,145,38,201,100,50,22,66,238,29,236,167,105,90,29,210,68,74,137,104,181,146,234,7,16,68,221,1,185,92,76,
22,140,245,138,66,51,89,206,162,48,48,112,16,237,47,138,28,113,175,40,10,4,84,186,170,210,26,28,197,9,173,11,252,241,162,218,36,249,19,148,250,240,211,90,163,77,6,133,214,58,207,115,39,102,208,233,116,
162,40,74,211,148,162,25,156,119,91,224,131,187,233,180,155,108,175,99,11,212,6,179,110,48,94,251,76,237,185,41,14,121,158,140,78,198,227,241,56,203,83,198,248,198,230,230,246,214,182,16,229,164,29,157,
232,124,13,87,92,167,115,206,55,182,46,20,58,27,141,198,65,24,222,188,121,163,19,69,4,172,20,234,27,111,126,109,54,155,110,111,109,135,97,120,122,58,252,155,191,249,101,178,72,89,169,4,94,199,90,224,171,
250,237,111,255,206,230,198,214,253,7,247,230,243,121,156,140,8,16,206,249,238,165,75,215,174,223,188,180,123,137,82,162,181,134,74,78,163,49,30,71,172,4,5,98,181,209,182,178,41,66,101,162,48,12,130,32,
12,67,37,5,231,156,231,69,22,199,201,120,120,50,30,143,38,179,89,188,88,196,105,170,11,75,8,112,78,165,224,253,110,31,69,240,133,20,178,180,89,163,64,44,37,244,108,13,137,229,212,176,58,230,253,137,3,
190,149,40,217,219,54,29,180,148,66,158,233,36,73,131,52,145,255,3,46,74,95,84,0,135,97,231,250,245,107,239,188,125,34,133,68,157,74,165,100,94,160,241,47,65,255,40,103,243,165,181,166,148,24,163,1,200,
143,127,252,147,205,205,205,131,131,131,241,100,146,235,34,89,164,150,0,24,83,228,57,225,156,49,110,41,201,178,204,217,44,105,109,220,202,161,124,105,152,37,92,61,142,222,96,225,75,154,133,212,50,93,100,
174,86,68,137,121,55,48,179,21,145,180,40,10,204,42,130,113,202,88,233,90,95,217,249,90,208,148,172,228,55,55,187,170,181,169,229,247,48,146,21,57,41,136,177,134,51,254,79,254,224,7,63,255,197,223,76,
166,83,252,170,16,194,15,179,154,73,218,242,46,41,197,51,171,98,18,83,98,117,223,248,104,254,38,238,178,182,50,117,26,247,199,143,143,238,222,189,51,26,141,80,79,31,157,25,251,253,254,243,207,191,120,
225,226,37,99,180,219,84,47,115,38,161,89,150,126,255,251,255,248,247,126,239,251,211,233,228,227,79,62,221,189,120,241,218,181,43,119,238,220,25,13,199,183,62,189,189,119,240,104,58,155,50,42,180,49,
211,201,52,73,18,202,40,23,28,108,253,232,65,225,65,93,104,173,245,245,155,55,175,94,191,158,198,137,214,218,16,43,184,80,65,64,41,53,26,5,49,42,134,17,1,127,66,102,181,169,248,37,134,1,137,58,17,106,
228,50,206,130,64,25,163,81,75,252,232,232,112,50,153,196,139,249,108,17,199,73,106,173,161,0,156,11,33,197,160,63,8,2,37,133,84,82,50,198,132,16,212,193,206,150,120,89,4,54,151,131,143,214,74,167,137,
39,113,239,139,139,237,110,167,227,224,64,190,244,130,49,134,16,102,140,78,146,52,142,23,65,16,254,218,73,248,139,10,96,0,120,233,165,23,223,125,231,29,252,235,164,20,82,240,18,40,111,114,84,111,67,101,
67,131,138,48,140,35,57,231,206,189,123,31,127,242,9,161,20,128,24,107,130,32,176,199,67,242,232,33,73,83,249,210,11,176,179,131,133,92,205,130,29,243,42,98,223,140,46,192,50,205,131,204,4,148,128,53,
185,219,101,88,107,243,162,0,139,20,85,131,227,207,40,138,242,60,15,163,232,210,197,221,65,191,191,179,179,93,24,243,151,127,254,23,37,229,31,112,119,79,112,100,237,6,42,206,120,201,127,111,48,158,203,
76,142,250,30,152,50,76,113,253,250,181,191,123,251,29,244,164,119,186,83,142,229,227,227,174,151,152,7,70,177,54,241,22,148,117,162,82,19,253,191,20,229,168,182,74,110,206,124,114,242,248,214,173,79,
39,147,9,173,100,134,48,168,70,163,241,219,111,255,221,55,190,9,87,174,92,205,243,220,90,90,159,33,19,114,112,112,52,28,158,60,122,248,48,10,131,209,240,244,173,95,254,114,111,111,63,47,138,52,203,74,
133,74,83,218,77,114,193,9,37,198,172,16,140,150,59,234,10,53,92,20,5,16,34,3,85,157,128,214,24,155,23,89,133,46,6,99,12,177,160,29,85,159,0,161,52,234,68,65,160,122,189,110,212,137,4,103,214,232,36,77,
70,167,227,201,241,108,60,25,79,231,243,197,124,129,86,24,140,49,198,136,148,106,115,208,151,232,62,140,17,203,57,130,208,252,205,111,77,133,11,42,113,143,38,70,181,117,11,93,107,125,93,6,14,59,33,101,
12,165,81,155,216,117,99,76,158,167,113,44,162,40,249,181,209,209,95,96,0,95,185,122,37,138,194,60,203,209,3,54,8,35,33,166,89,158,227,188,4,153,205,168,48,76,25,133,165,15,139,85,65,96,180,5,98,139,130,
80,74,183,185,156,141,230,218,22,179,195,35,54,24,8,198,181,49,166,4,42,19,223,128,203,137,179,224,158,9,128,104,99,42,19,83,107,173,230,140,95,185,124,57,207,243,60,207,94,124,241,133,36,78,183,182,54,
95,122,249,165,95,252,226,111,30,31,61,190,120,97,231,228,228,228,193,131,187,63,248,131,223,223,189,116,105,111,127,207,1,131,113,221,229,200,70,164,138,103,55,86,169,169,192,250,135,113,154,229,127,
249,215,63,235,246,55,44,21,232,105,15,149,81,163,203,156,77,75,78,240,132,200,155,149,115,13,18,236,51,52,87,86,74,102,233,195,92,20,197,131,7,15,40,41,117,63,112,6,131,79,30,123,138,219,183,62,217,218,
220,22,82,248,226,187,206,41,230,254,131,135,255,246,223,254,187,225,104,196,40,203,178,20,24,149,92,64,41,167,42,0,8,80,91,91,228,44,91,247,82,21,176,138,68,186,252,139,140,3,186,121,218,235,26,95,97,
66,133,16,145,224,65,24,68,81,136,176,7,206,89,150,101,227,201,232,228,228,232,116,56,28,13,199,73,154,100,89,102,45,161,148,113,198,84,160,186,221,174,148,50,12,84,41,149,32,56,1,226,183,75,200,244,6,
104,137,219,218,224,29,26,22,167,205,66,169,185,126,115,223,220,233,116,24,165,120,175,214,126,133,49,134,48,130,37,67,28,199,40,214,241,107,8,238,124,129,1,188,185,177,121,225,194,197,251,247,238,161,
194,123,39,12,194,64,197,73,194,132,112,245,30,130,22,203,146,169,58,195,208,19,216,2,48,70,140,54,230,218,37,146,103,212,106,214,141,16,140,70,8,48,202,10,93,16,2,69,145,187,114,186,124,88,99,145,166,
171,117,129,141,46,227,124,208,235,7,65,48,30,14,127,244,195,63,236,132,145,10,101,146,100,147,201,100,62,159,159,30,159,28,29,62,222,63,60,120,180,87,70,236,159,255,197,143,243,204,104,173,1,44,2,107,
112,212,201,25,3,47,98,107,216,99,23,237,46,168,202,239,161,52,158,79,237,201,167,155,130,230,209,229,212,114,151,154,124,169,32,239,176,47,239,2,198,249,50,182,43,139,166,86,16,127,43,182,161,50,52,40,
21,80,199,195,225,227,163,163,175,189,241,181,44,75,211,52,69,194,150,95,62,156,156,156,222,190,253,201,235,111,124,221,31,186,120,135,130,25,141,39,24,234,42,8,112,54,233,153,27,97,243,92,5,67,105,179,
65,28,242,180,9,105,68,96,79,41,214,161,53,0,161,64,152,224,65,32,251,131,94,39,140,164,148,96,117,161,139,233,116,54,30,15,71,227,241,116,58,155,207,230,105,154,22,218,88,107,24,35,66,200,48,12,7,131,
13,133,28,31,193,57,227,104,86,236,182,74,166,33,109,217,196,75,183,214,198,77,136,203,42,97,243,9,97,15,0,189,94,175,190,101,92,29,55,2,216,60,203,226,56,9,130,244,215,211,142,254,2,3,24,113,209,119,
111,223,41,177,114,156,114,206,195,32,200,139,162,18,116,88,17,82,178,171,139,16,81,197,249,193,112,200,46,108,2,0,49,6,172,69,146,16,173,114,20,166,139,60,71,181,29,75,41,85,82,18,173,55,54,55,187,221,
238,197,11,23,182,183,183,242,60,103,148,15,135,195,227,227,163,191,253,213,223,245,122,221,187,119,239,78,103,243,56,73,116,161,177,179,228,140,217,106,76,125,120,248,24,55,56,232,76,173,11,29,199,177,
182,198,24,75,25,113,211,38,215,88,86,37,83,65,60,81,30,236,247,176,139,12,227,189,203,201,187,102,150,206,210,23,139,173,127,80,232,156,52,118,188,203,15,44,88,176,148,16,139,46,158,20,16,177,228,64,
23,62,236,17,15,142,162,40,124,89,169,50,185,105,131,6,182,200,117,74,226,24,0,178,44,126,253,181,87,223,121,239,125,93,253,8,86,19,105,154,106,93,12,135,167,105,154,32,192,166,204,156,213,185,224,219,
246,1,1,70,25,126,209,125,222,141,112,124,20,170,127,175,227,80,221,23,241,22,92,4,129,10,130,160,211,237,4,74,68,97,96,129,100,121,86,228,197,227,199,135,147,201,228,244,116,56,95,44,80,110,133,16,96,
140,11,33,194,48,148,56,119,82,40,71,36,56,99,213,236,173,180,163,67,31,45,112,76,93,63,110,73,93,207,180,22,219,181,224,244,43,127,179,186,230,93,167,25,224,30,179,219,233,212,214,215,190,102,83,121,
136,25,147,165,89,146,44,130,32,224,92,124,86,96,214,23,27,192,87,175,93,163,140,25,173,105,233,182,40,176,215,49,132,96,250,181,214,90,99,177,168,114,44,246,114,238,194,88,145,231,232,223,103,139,194,
87,18,5,192,182,148,6,129,146,82,228,121,30,133,97,167,219,185,122,245,170,46,204,47,223,250,229,183,222,252,230,238,238,238,100,60,229,156,92,189,118,245,223,252,155,127,155,196,137,209,6,40,252,237,
219,111,83,66,129,16,202,40,177,165,16,52,222,202,140,178,221,171,187,156,241,249,98,70,9,19,82,94,222,221,221,189,120,241,229,87,95,252,247,255,207,159,220,189,119,207,18,139,109,176,239,127,235,223,
13,229,243,55,166,148,240,176,168,249,4,178,179,109,139,142,1,72,12,45,116,1,171,240,252,154,87,24,174,49,45,96,159,92,26,240,148,12,24,231,94,233,173,133,253,180,95,222,121,85,148,88,0,3,101,13,220,237,
116,182,119,182,63,189,117,123,99,99,99,123,103,11,44,24,163,133,224,132,144,199,143,79,210,52,181,214,72,169,124,115,23,227,17,21,92,45,224,41,206,83,7,2,115,230,96,216,167,83,79,162,164,26,22,0,99,148,
81,198,5,23,130,119,186,157,40,80,140,51,107,12,37,36,205,178,225,233,201,189,201,100,52,26,79,166,147,36,205,11,93,16,75,24,103,66,240,78,7,241,137,82,149,10,233,148,50,70,9,165,149,91,130,19,87,43,111,
39,111,67,92,185,56,18,159,180,235,83,47,206,88,122,91,235,220,207,173,155,106,53,208,45,206,8,201,250,2,12,198,24,198,104,212,9,181,209,173,16,157,229,69,76,158,167,73,44,210,48,19,66,16,242,217,4,119,
190,216,0,190,126,253,122,175,223,79,22,115,188,75,59,157,112,50,153,165,89,202,57,71,75,17,212,148,49,70,27,99,132,16,8,138,198,161,78,150,166,171,203,79,134,29,147,54,166,220,206,89,243,191,252,207,
127,180,179,179,195,56,59,60,60,220,24,108,78,103,147,201,120,246,246,219,226,253,15,62,124,239,189,15,226,36,150,66,164,89,166,173,213,70,19,70,105,213,176,225,0,150,115,86,249,214,153,44,203,254,233,
143,126,152,103,69,146,44,254,197,31,253,179,249,60,14,35,85,20,102,52,60,125,255,253,247,133,18,216,185,97,109,95,169,5,148,10,88,85,130,42,249,58,132,18,107,151,85,19,35,118,98,250,211,232,31,82,106,
141,136,24,33,140,115,140,176,102,175,235,165,86,88,153,96,173,2,164,124,143,149,229,231,189,89,118,41,188,102,203,201,87,81,20,131,205,205,237,201,133,253,71,251,123,123,251,221,94,111,107,115,16,134,
17,165,116,52,26,45,22,113,158,103,97,20,92,189,122,3,209,154,46,98,49,143,1,37,96,234,164,165,218,230,217,221,217,218,90,93,166,32,34,56,239,116,35,41,101,24,170,78,20,113,198,128,192,34,94,204,103,179,
189,189,227,209,104,52,91,204,23,243,56,203,51,132,247,112,38,164,148,253,94,87,42,165,148,12,164,100,140,99,228,35,88,192,7,117,218,82,218,117,133,173,5,182,65,39,54,214,66,75,178,197,88,46,193,149,24,
132,109,64,81,76,160,96,42,236,106,149,61,86,21,227,75,167,81,167,103,82,24,221,235,116,148,146,181,55,183,198,96,41,35,216,232,52,205,226,120,142,150,206,207,80,0,119,58,209,149,171,87,62,250,224,67,
46,172,53,54,12,66,198,153,49,22,128,8,193,17,55,135,127,137,219,172,32,82,180,102,90,71,41,177,214,12,6,253,75,187,187,27,27,27,27,27,27,159,124,114,235,147,143,63,222,219,123,164,141,217,223,219,59,
29,142,14,14,15,167,147,89,153,13,44,88,176,66,8,74,216,79,126,250,115,33,132,209,154,90,208,4,140,49,151,119,47,25,66,30,31,30,106,2,62,145,125,62,155,94,185,114,117,60,225,239,191,255,65,94,20,71,39,
227,131,131,35,74,204,240,244,24,37,65,96,169,156,110,29,15,169,9,36,174,132,111,203,130,2,13,90,88,103,3,40,33,58,43,242,28,103,120,66,8,109,76,177,42,24,214,84,177,89,71,214,53,198,212,216,63,166,54,
148,174,100,168,240,38,46,242,226,197,151,94,210,186,120,255,253,119,199,163,225,108,58,165,148,161,238,186,214,38,138,186,175,191,241,181,75,187,187,126,1,233,32,71,96,192,175,45,151,85,113,85,15,227,
76,136,18,194,57,239,68,161,82,178,215,237,244,122,93,70,9,161,100,62,155,199,241,226,222,189,59,147,233,108,58,157,142,167,19,252,171,1,8,103,92,72,57,232,247,165,84,74,202,64,41,206,221,156,120,9,213,
88,186,166,59,20,199,42,75,9,218,36,236,106,13,103,89,31,224,55,219,210,165,22,92,213,3,109,63,238,175,26,171,198,189,76,202,164,98,243,87,18,161,213,121,2,0,86,107,29,132,161,148,170,105,254,86,99,68,
150,1,95,228,105,146,164,105,234,2,225,153,8,96,0,120,241,197,23,63,124,255,3,55,230,137,66,53,159,115,107,45,210,223,161,146,155,66,92,71,181,80,89,209,157,192,207,232,188,248,222,119,191,43,148,252,
213,91,191,122,239,221,247,226,36,37,140,252,228,167,191,32,132,164,89,134,141,40,138,179,80,160,89,158,227,103,144,177,208,239,245,57,231,214,234,139,23,119,95,122,249,197,155,215,175,223,127,240,232,
143,255,248,79,170,223,206,113,230,241,203,183,254,246,225,222,94,188,72,143,79,79,77,150,116,139,67,41,76,34,119,149,218,168,102,54,160,141,118,52,23,23,189,85,176,217,74,139,167,108,198,92,13,198,24,
77,22,147,131,195,253,211,147,97,146,38,0,38,12,163,157,237,237,221,75,87,162,168,131,101,185,107,113,107,4,128,101,14,161,43,176,202,218,200,202,117,230,62,123,217,121,35,51,74,141,53,113,28,63,255,194,
139,91,91,59,71,143,15,103,211,89,94,20,4,172,84,162,215,27,92,188,184,219,235,246,140,87,220,173,100,42,63,105,24,99,220,39,41,69,220,82,20,69,221,78,71,41,73,9,193,237,200,124,49,191,123,247,104,52,
154,76,38,147,217,108,86,229,88,42,132,80,66,245,186,93,41,164,82,18,117,179,5,234,13,174,134,96,57,40,6,219,24,252,180,140,139,206,254,216,75,185,120,204,1,242,35,137,95,87,87,4,136,37,94,196,255,213,
142,198,84,6,179,177,171,74,212,118,245,151,106,173,195,32,20,66,228,121,222,52,121,170,253,57,0,160,117,145,166,73,146,36,159,117,28,253,133,7,240,205,155,55,194,48,196,73,58,103,76,10,41,184,88,196,
137,209,6,7,161,21,254,214,33,93,41,165,229,82,36,207,11,33,208,48,30,140,214,247,238,221,237,244,55,111,221,190,27,4,10,43,97,109,44,165,16,4,202,90,84,235,215,186,208,215,175,93,39,148,92,189,122,41,
10,59,121,158,111,108,110,109,109,14,132,224,179,249,124,115,99,147,49,88,204,227,253,253,135,140,49,66,41,103,172,168,132,69,41,231,7,7,71,198,24,66,217,22,27,222,32,31,130,201,198,217,201,177,252,7,
25,17,56,211,194,125,164,67,20,186,177,13,78,146,86,245,223,202,191,138,83,118,124,124,116,251,246,173,201,100,98,13,16,10,198,152,249,108,113,252,248,248,225,195,135,175,191,241,181,139,23,118,243,60,
39,118,41,148,83,155,91,226,89,160,181,166,132,162,168,69,217,117,90,235,204,193,107,220,140,250,130,138,18,98,203,8,239,15,250,155,91,155,149,39,51,161,4,117,75,32,207,115,107,61,228,183,151,243,203,
163,1,128,51,198,149,12,165,234,247,187,74,5,97,40,9,1,83,20,73,150,78,39,227,123,247,78,135,195,241,100,58,158,207,23,120,138,49,198,184,224,82,200,141,78,164,164,82,82,134,42,160,28,157,131,25,118,167,
203,195,162,52,148,168,131,207,90,23,105,205,124,91,63,116,86,75,24,175,105,45,115,165,169,49,153,172,23,131,4,217,15,101,242,37,198,90,74,172,53,165,156,108,89,193,67,11,72,14,150,89,120,48,232,63,77,
128,184,194,45,207,139,36,73,62,171,129,195,23,30,192,131,193,96,119,119,247,225,195,7,56,94,70,73,62,108,95,240,30,173,32,141,148,16,106,140,161,140,88,13,190,161,51,174,117,45,129,143,62,185,21,134,
97,16,40,2,128,170,87,65,16,32,126,203,24,77,41,83,66,45,22,139,193,160,243,47,255,229,255,58,26,141,164,80,148,18,198,249,207,127,241,203,209,100,66,129,140,134,195,211,211,211,197,34,206,242,140,82,
6,22,104,73,103,170,246,37,56,64,214,134,202,190,96,91,20,82,40,6,150,48,90,121,44,226,0,206,159,101,212,26,155,165,67,103,21,81,147,201,228,254,253,251,243,197,156,82,106,9,0,44,131,115,62,95,124,240,
254,123,253,223,221,80,74,106,208,126,16,98,47,90,243,7,94,185,167,9,88,109,189,222,179,101,41,101,171,106,83,87,102,121,78,207,178,198,118,112,247,174,65,13,128,234,255,88,234,71,81,40,5,15,148,138,58,
17,99,52,207,243,36,94,140,71,39,159,126,122,60,26,79,22,243,69,146,36,121,158,25,0,70,185,144,172,211,233,134,74,73,41,164,148,82,74,142,25,150,49,63,92,49,141,25,82,234,13,64,27,113,191,213,98,230,140,
100,91,139,213,146,119,97,193,88,79,56,161,114,9,173,4,234,252,166,3,170,25,34,248,3,69,32,94,17,142,219,108,99,91,19,169,123,50,90,235,254,96,0,208,162,73,216,58,54,195,148,159,103,105,154,166,24,35,
79,137,235,248,194,3,152,82,250,220,243,207,223,187,119,23,255,78,165,84,20,134,139,56,174,228,234,89,149,37,76,233,91,111,13,33,80,20,154,82,60,150,114,180,207,229,156,107,157,103,89,38,165,162,148,236,
108,110,94,189,122,249,235,95,251,250,255,247,223,254,236,248,248,49,194,110,0,32,12,195,189,253,195,159,252,245,79,227,52,61,60,56,50,198,156,14,135,211,201,20,102,115,67,8,235,117,113,116,170,164,50,
196,130,133,10,216,92,205,19,40,161,64,37,165,19,61,248,216,188,201,168,158,147,14,209,4,72,169,68,139,81,228,232,7,72,28,167,21,171,213,135,34,99,126,51,214,62,122,244,48,47,242,202,191,119,101,199,200,
57,31,141,198,183,110,125,252,198,27,95,119,135,58,62,190,83,84,43,77,88,61,104,244,114,247,70,73,161,53,133,165,224,219,202,45,69,8,238,102,209,130,140,64,233,153,4,94,12,163,55,149,255,102,49,198,66,
33,194,48,16,130,135,97,20,6,194,2,20,121,62,155,205,134,163,147,187,247,110,143,134,227,217,124,145,164,177,214,133,5,194,168,16,130,135,81,184,165,54,165,20,130,75,46,24,238,99,75,3,55,66,74,245,236,
114,105,98,188,1,113,89,208,216,134,142,79,109,228,211,10,102,108,205,99,224,69,99,57,23,192,95,101,173,45,101,97,93,42,94,162,52,129,56,228,117,149,121,203,54,193,214,32,112,214,172,125,38,40,15,140,
54,47,148,210,94,175,187,110,105,223,28,76,226,243,71,138,210,103,50,112,248,194,3,24,0,110,62,119,83,42,85,209,202,105,16,74,41,68,92,209,205,92,30,22,130,59,117,63,119,19,83,74,223,120,227,245,157,157,
11,15,31,60,148,74,10,33,46,93,218,181,70,127,247,187,223,225,130,207,103,139,43,87,175,30,31,31,89,107,181,54,214,106,66,200,98,17,255,217,95,252,184,68,53,2,104,99,122,247,247,55,78,199,86,176,252,213,
23,135,81,200,25,45,87,29,4,12,177,174,221,34,164,12,21,173,53,23,124,154,118,242,52,227,84,135,129,160,148,229,121,150,37,137,228,28,40,163,148,18,86,90,242,146,106,161,237,99,24,75,145,77,206,167,179,
217,201,201,113,24,170,75,187,187,247,31,60,168,26,230,114,182,133,243,225,7,15,238,95,187,122,181,219,223,172,224,101,80,83,237,112,217,21,99,62,207,115,163,181,173,102,111,53,49,45,95,183,185,100,27,
187,232,37,213,99,122,43,116,74,153,82,178,27,69,221,94,71,112,30,134,10,136,141,23,201,116,54,61,61,121,124,124,114,140,162,220,121,145,27,173,193,2,229,76,73,25,69,81,160,84,160,2,169,42,192,19,231,
94,105,185,188,179,77,133,43,92,81,168,52,213,224,151,64,77,126,185,166,4,214,170,122,213,106,59,106,43,205,26,124,223,87,191,74,10,176,101,58,36,171,168,117,66,202,89,116,155,203,84,51,187,174,43,224,
221,36,26,89,150,74,202,78,167,83,97,216,125,213,206,101,49,213,212,60,51,166,72,211,52,73,18,165,158,54,9,127,25,1,188,187,123,113,99,115,227,244,228,132,49,6,22,186,221,238,116,22,199,73,130,82,56,140,
80,172,78,29,23,135,49,102,45,148,232,28,98,127,247,123,223,237,111,12,190,254,181,215,122,189,190,46,242,131,195,163,69,188,184,125,251,214,209,209,201,237,219,119,70,195,17,33,132,115,86,131,67,149,
150,162,0,233,108,222,101,164,203,69,174,139,147,131,3,249,218,43,96,172,49,133,175,32,81,229,31,2,64,81,159,33,207,243,110,164,94,126,233,141,155,207,221,236,247,7,214,154,201,120,252,209,71,159,220,
189,123,87,27,13,96,9,80,168,96,12,181,101,189,135,94,2,176,86,112,54,155,77,251,189,222,160,63,152,199,11,91,66,208,184,214,58,142,99,68,173,164,89,54,160,20,57,64,46,122,221,99,58,177,120,66,72,154,
166,8,20,167,132,152,138,219,80,187,171,220,230,214,33,162,209,120,213,88,35,132,80,65,200,40,141,58,97,167,219,145,156,171,64,48,198,117,158,157,14,71,7,251,167,195,241,184,20,88,205,139,66,107,52,70,
18,66,116,187,29,37,149,148,82,5,129,18,130,51,198,56,3,11,88,144,56,100,184,109,11,0,79,160,203,16,199,79,178,222,24,200,66,187,126,64,155,16,7,84,129,90,62,86,57,87,34,56,118,42,153,202,200,232,247,
20,69,151,243,48,219,14,228,168,255,107,193,128,169,53,74,254,10,160,78,75,198,114,155,148,231,111,71,118,58,157,200,215,196,118,250,228,53,121,166,90,35,166,139,60,77,147,60,79,69,169,148,78,190,250,
0,22,66,236,94,188,120,116,112,36,152,166,148,17,32,156,51,41,37,202,228,3,49,156,139,18,240,13,160,117,161,11,141,66,57,132,64,158,23,183,239,220,61,56,60,10,148,48,218,156,142,38,195,209,208,104,147,
21,58,75,18,165,28,15,203,98,27,236,128,251,24,90,89,158,135,157,206,99,75,70,66,90,37,139,126,159,24,67,172,245,241,195,254,7,120,30,23,121,241,220,141,155,63,250,209,143,182,182,182,92,62,188,122,249,
202,43,47,191,114,247,238,221,191,252,241,143,71,227,17,22,107,110,119,93,171,250,170,133,190,238,247,123,140,243,197,48,185,117,251,14,54,132,81,20,0,144,56,142,227,56,198,251,62,140,66,25,6,110,2,236,
158,155,203,186,117,83,85,107,9,69,61,19,11,171,138,144,254,202,164,84,141,167,68,41,37,165,236,118,187,131,94,71,5,18,137,236,179,217,108,58,25,13,71,227,241,100,52,155,46,22,113,140,50,0,148,81,198,
132,20,60,10,163,32,192,14,86,40,33,24,229,140,209,58,162,216,26,109,12,52,232,114,173,61,42,46,154,112,133,179,236,60,141,241,151,14,107,154,195,58,210,184,172,195,109,169,185,225,159,1,6,81,215,4,252,
21,113,179,56,95,27,183,203,58,185,133,229,91,91,74,213,89,165,182,84,23,42,140,14,163,0,165,209,125,140,77,171,177,83,173,28,208,186,200,210,100,177,136,133,120,170,157,240,151,17,192,0,112,249,202,213,
183,255,238,93,99,45,1,171,164,138,130,112,104,199,238,69,201,178,12,53,162,4,231,148,144,66,23,174,222,160,84,254,248,175,126,162,181,46,138,130,16,106,117,17,127,248,33,25,141,213,245,171,131,55,190,
70,57,215,69,129,155,72,74,25,37,20,105,40,20,136,65,181,45,160,156,128,221,232,233,205,62,5,18,16,10,214,224,239,66,129,72,3,43,50,78,198,152,162,40,118,118,182,254,197,255,244,207,59,221,110,18,39,206,
172,29,181,206,94,120,225,249,233,108,250,227,191,250,171,66,107,148,254,169,250,46,130,147,18,236,51,209,123,73,27,99,45,124,243,155,223,250,139,63,255,243,233,108,172,117,97,170,43,77,83,99,116,81,20,
92,136,231,158,123,169,223,29,152,74,20,222,151,251,113,93,92,57,38,197,251,6,165,66,188,195,2,115,173,177,134,81,198,25,167,140,132,97,216,235,117,59,97,24,70,1,222,37,73,156,14,71,167,199,39,39,163,
209,104,50,157,196,243,68,235,162,20,112,227,66,74,217,235,118,165,146,129,20,28,87,59,140,49,74,9,163,126,122,108,42,93,45,253,150,27,83,177,198,60,217,237,96,220,224,119,137,145,90,81,117,94,157,78,
183,54,189,224,120,143,141,175,150,82,146,13,42,66,243,100,169,225,100,150,223,12,45,103,71,83,38,222,7,2,87,103,138,181,22,116,81,116,163,174,111,65,238,7,109,77,236,190,105,70,147,23,69,154,166,89,150,
61,13,69,233,75,10,224,235,215,175,73,41,141,209,56,6,194,127,139,220,8,206,9,37,90,23,148,80,167,50,197,25,175,184,62,168,42,67,130,32,208,90,91,32,211,189,71,116,239,0,210,44,78,226,240,218,53,222,223,
52,90,19,66,17,169,199,57,7,99,53,194,199,81,225,213,98,199,202,172,53,105,178,152,38,139,44,205,164,224,81,212,145,65,168,141,37,21,98,214,23,82,248,250,215,191,54,24,108,206,231,243,21,189,40,70,173,
177,198,192,198,198,128,81,154,36,9,118,41,200,39,167,4,40,80,71,211,117,75,38,173,117,175,215,255,254,247,191,255,179,159,253,116,56,58,77,211,140,18,138,157,18,165,208,237,245,94,126,249,213,231,110,
62,87,115,250,117,235,95,99,141,243,143,118,55,95,161,11,183,73,194,162,84,74,17,4,42,10,195,78,167,19,69,1,150,128,105,146,156,156,60,30,221,30,143,134,227,249,124,62,95,204,242,194,88,2,148,0,231,34,
8,148,80,125,37,85,32,133,146,82,112,78,89,229,68,131,56,48,83,237,59,87,69,228,91,173,137,214,41,185,175,8,193,18,32,182,236,54,241,189,198,78,221,250,218,148,229,187,80,253,83,221,0,14,120,177,100,113,
151,246,58,117,30,95,107,254,175,37,216,230,96,204,249,57,90,171,169,55,47,172,29,91,45,27,242,149,6,193,90,173,139,162,216,222,222,126,243,91,111,54,193,27,77,207,183,90,57,93,174,14,180,206,210,36,73,
98,165,158,44,214,241,37,5,240,206,206,206,197,75,187,123,15,31,10,78,172,53,221,110,103,48,232,31,63,62,46,180,166,150,58,107,92,164,34,73,33,139,162,156,187,150,34,253,198,90,107,57,227,193,214,182,
126,237,117,26,207,236,198,134,13,66,11,154,50,106,42,147,49,83,214,99,132,114,106,141,13,130,32,73,18,107,237,124,54,187,117,235,147,199,199,71,8,207,164,148,74,33,183,119,182,159,123,254,133,205,141,
237,66,23,69,81,32,189,142,16,146,103,105,20,133,148,0,99,188,176,133,5,75,40,69,88,34,161,212,88,61,157,78,15,14,247,8,225,27,27,27,148,82,32,196,104,141,40,133,114,187,99,81,232,176,164,58,198,73,220,
237,245,255,201,15,255,233,241,241,227,211,225,105,28,199,140,49,41,101,191,215,31,108,108,68,97,228,6,218,190,218,30,129,21,240,173,175,176,195,25,147,74,41,41,163,40,28,12,122,140,17,206,121,150,165,
211,201,108,111,239,209,108,54,159,206,38,243,249,60,94,196,133,214,96,129,113,206,25,11,195,104,32,5,178,0,36,151,156,49,38,57,35,20,72,205,245,201,27,212,182,37,177,37,52,218,88,223,86,179,102,77,110,
75,25,162,178,124,192,153,63,241,70,191,206,158,198,255,3,137,75,161,8,146,179,110,165,94,29,88,229,162,21,252,36,217,58,217,58,27,215,225,231,222,146,13,98,141,209,197,241,201,9,165,124,123,103,167,137,
94,94,247,187,138,162,192,249,32,99,180,219,233,92,191,126,237,59,191,243,157,205,141,77,159,109,66,86,175,214,124,190,124,29,140,205,243,34,137,83,165,158,204,19,254,146,2,152,49,246,220,115,55,247,31,
62,40,135,162,4,2,21,88,0,173,53,7,96,156,185,150,15,255,62,3,214,84,3,45,92,5,3,0,101,36,232,68,246,213,151,209,170,140,130,181,198,80,202,240,95,36,139,230,121,129,162,43,168,175,207,24,159,78,198,31,
126,248,254,201,241,49,174,85,240,108,79,210,116,111,111,111,56,60,253,214,183,190,179,185,117,193,24,139,120,108,99,108,154,166,71,135,251,69,145,119,58,193,108,22,235,114,241,91,48,198,9,144,71,123,
247,143,142,15,142,31,63,238,15,54,164,188,232,196,61,140,181,165,94,86,197,62,55,198,56,47,197,52,75,25,99,23,119,119,183,119,118,136,5,66,9,194,105,173,54,89,158,87,203,148,101,241,236,188,176,12,42,
203,115,33,165,140,162,176,215,239,5,129,146,156,49,206,227,249,98,54,159,61,120,112,111,58,153,29,159,14,231,243,89,150,21,88,210,51,78,57,103,65,24,72,37,3,25,42,41,5,103,66,10,206,56,222,80,96,151,
193,132,175,213,50,68,41,241,161,255,235,52,101,44,148,138,243,205,56,7,95,92,14,193,79,213,90,199,128,165,248,151,47,141,197,157,174,25,177,198,16,90,230,92,39,136,237,230,203,224,175,103,1,92,97,226,
111,215,90,141,209,91,87,196,126,98,76,211,100,52,28,41,37,102,211,73,16,132,198,216,36,77,163,48,44,229,103,205,74,57,141,16,44,99,44,82,178,4,103,253,126,175,19,117,118,182,183,175,92,185,124,225,226,
133,94,175,135,247,45,171,150,142,176,198,198,105,29,42,203,18,107,173,206,170,157,48,61,211,192,225,75,10,96,0,184,113,227,250,207,184,168,246,159,12,231,246,156,82,44,139,180,209,148,81,74,168,46,138,
44,203,72,165,86,99,173,102,188,116,21,117,228,7,33,184,214,38,73,18,74,8,227,32,132,36,132,230,89,150,234,2,23,45,136,40,68,191,185,187,247,238,76,167,83,82,189,10,126,26,89,44,146,71,123,15,47,238,94,
210,186,176,64,81,232,60,12,59,31,125,244,241,43,47,191,182,185,189,133,244,119,32,20,44,73,147,248,240,232,112,127,127,255,254,189,135,243,197,252,242,229,171,214,66,81,24,127,27,225,10,206,18,1,234,
221,88,24,90,37,212,209,86,99,106,109,240,110,70,41,121,60,209,24,161,82,74,42,88,32,100,24,4,81,39,148,146,71,81,52,157,76,230,139,249,163,199,135,167,167,167,227,241,120,54,159,167,89,174,181,1,48,37,
207,46,66,193,83,41,133,80,74,114,206,5,231,75,210,144,151,96,161,100,216,215,165,170,92,7,88,207,93,24,212,6,28,43,0,192,158,1,99,40,147,143,93,166,83,98,129,16,48,158,61,81,185,133,182,214,113,150,45,
113,207,205,148,34,29,85,166,93,87,193,214,244,226,106,230,163,173,61,249,82,16,175,250,234,104,52,234,116,130,56,78,10,109,243,172,80,81,32,56,215,26,97,151,214,148,181,53,224,174,68,112,46,36,71,131,
210,94,175,219,233,116,163,40,140,162,104,48,24,244,122,61,28,92,57,12,82,205,45,177,117,253,187,206,10,163,208,89,146,36,97,136,28,195,103,32,128,175,92,185,178,185,185,49,58,61,165,148,18,75,58,81,167,
219,233,76,103,51,176,64,136,230,132,26,99,11,91,32,183,19,8,20,69,81,218,160,32,94,144,81,244,34,154,207,103,251,251,123,163,225,48,203,82,193,185,144,114,123,107,235,250,141,231,185,40,253,123,171,114,
148,1,216,227,199,71,167,199,39,66,200,44,203,170,141,31,173,8,232,132,16,122,235,211,91,155,27,91,151,175,94,55,200,160,160,36,12,131,197,34,255,247,255,225,223,191,250,202,43,207,61,255,156,16,210,88,
146,101,233,108,54,59,126,252,248,254,253,123,239,127,240,254,230,198,86,175,55,40,138,188,169,146,85,219,49,248,237,83,154,166,168,13,82,221,118,4,76,137,154,230,156,133,97,212,237,68,65,32,3,165,184,
18,121,145,39,179,249,201,233,240,241,201,225,120,56,154,205,103,147,233,52,203,114,124,235,57,23,66,240,94,175,27,4,138,115,161,48,189,10,193,56,163,132,48,194,128,128,63,151,118,83,217,102,82,90,153,
30,57,251,214,50,41,46,149,177,29,167,209,87,102,108,14,117,124,78,149,63,86,66,220,68,5,128,169,3,39,172,181,96,52,216,198,212,26,218,235,222,214,150,187,89,240,183,34,144,97,85,61,187,60,94,181,14,2,
181,185,185,121,122,58,228,76,0,128,214,72,183,176,146,75,21,69,157,110,20,69,81,39,138,162,168,19,6,74,5,1,231,28,91,161,64,41,133,58,122,74,249,115,227,117,230,166,173,159,108,54,195,70,155,44,203,146,
36,21,66,226,252,255,43,14,96,165,212,181,107,215,78,79,78,240,191,129,82,189,110,119,58,157,225,180,73,107,173,43,216,189,181,38,47,74,124,178,177,150,83,166,141,6,99,129,145,253,189,135,119,239,222,
142,227,24,177,172,120,111,141,134,167,39,167,39,47,191,250,250,160,191,161,181,49,70,151,142,65,0,243,217,124,190,152,189,241,198,235,119,239,222,207,210,148,16,138,205,20,118,37,89,150,230,89,182,183,
183,183,123,233,138,16,194,104,99,137,5,74,9,216,217,34,253,207,255,229,191,110,109,14,46,94,188,20,118,34,163,139,197,98,113,114,50,124,124,124,12,150,95,187,122,149,16,200,139,220,169,189,251,78,220,
110,149,229,143,178,138,162,64,101,105,188,55,133,16,97,168,118,182,183,165,100,81,20,2,33,86,219,69,188,24,141,134,183,143,142,39,179,233,98,17,207,102,179,172,200,240,252,18,156,11,33,186,221,110,9,
79,20,40,63,193,57,99,165,242,132,5,66,203,202,211,84,56,124,63,231,172,237,184,154,195,94,55,53,94,193,117,215,3,166,60,176,86,208,254,37,85,160,194,4,151,205,112,213,103,251,203,155,37,104,216,231,5,
212,28,6,157,246,178,191,105,247,253,205,215,245,183,173,163,172,85,39,135,37,91,51,8,194,36,142,1,236,34,78,194,176,19,170,80,133,24,150,97,20,5,152,97,75,76,40,30,156,213,37,132,16,66,40,33,89,245,185,
230,235,92,51,127,107,190,254,235,234,106,99,173,206,139,52,73,149,82,66,200,175,62,128,1,224,185,231,159,127,231,221,119,16,0,75,192,202,64,114,33,112,155,226,112,252,24,198,184,37,182,198,48,244,242,
37,0,64,246,31,237,221,190,243,73,28,151,131,40,86,214,39,4,8,61,61,29,190,251,246,219,223,255,253,31,80,66,44,1,98,73,158,231,148,81,188,207,239,223,187,215,237,118,23,132,88,2,72,60,34,132,204,102,179,
162,208,64,136,146,210,13,126,181,214,156,177,44,203,56,227,219,59,187,139,197,226,222,253,71,64,44,88,67,40,211,133,217,220,216,238,245,251,148,80,109,52,114,223,107,8,123,87,161,57,86,173,177,150,0,
137,162,40,12,3,201,69,212,137,132,224,64,172,209,69,81,228,39,39,163,219,183,135,195,225,104,58,157,47,22,113,94,228,64,128,18,134,102,5,157,94,71,114,161,84,32,69,121,243,148,19,145,21,198,188,117,56,
237,118,136,95,27,182,105,221,109,68,176,210,61,19,124,239,223,100,214,26,226,221,91,22,108,233,184,10,206,29,6,112,40,103,189,217,175,75,161,173,216,38,255,147,218,104,178,18,249,182,117,115,123,198,
2,217,7,87,59,54,104,165,198,133,147,167,238,198,198,6,82,151,187,221,174,146,50,8,2,165,148,240,46,212,175,196,172,139,205,45,165,20,1,143,56,103,242,193,85,208,16,57,90,103,158,216,132,142,186,2,129,
82,90,232,60,205,16,152,165,214,37,225,47,53,128,175,93,187,214,233,244,23,243,41,163,156,80,210,239,247,149,58,25,14,135,74,41,39,180,134,14,212,72,196,7,156,224,49,202,44,45,138,226,254,131,187,89,154,
185,6,195,189,16,184,147,216,223,219,251,240,131,247,94,127,227,27,121,146,91,107,25,103,214,218,173,157,157,240,81,231,244,228,100,50,93,8,193,85,160,24,167,132,64,28,39,121,158,91,107,194,40,184,116,
249,138,16,50,207,51,215,57,99,242,87,42,8,130,16,42,207,43,132,70,150,233,84,23,6,15,23,175,223,174,200,220,96,141,230,156,171,64,117,58,97,16,134,97,32,57,103,4,72,94,100,147,201,116,127,239,225,116,
54,25,142,39,179,233,52,205,50,83,24,66,44,165,156,115,174,130,160,39,187,129,10,164,148,66,72,193,25,101,132,17,182,20,184,116,101,36,169,175,40,215,97,134,215,17,235,206,254,158,38,33,169,62,160,242,
70,199,160,141,83,53,129,74,145,3,149,0,150,77,181,105,209,205,125,34,251,207,45,143,221,134,188,118,98,182,81,50,150,53,118,37,222,98,172,169,72,68,132,0,160,56,140,10,195,176,19,69,97,121,41,33,202,
202,198,165,86,76,170,8,10,114,61,173,31,171,248,177,63,172,106,90,195,54,84,202,72,43,49,120,77,123,108,139,114,39,156,174,27,71,127,169,1,220,235,117,183,183,182,102,147,177,229,134,18,74,172,69,109,
94,206,185,49,38,207,53,33,128,0,148,52,205,40,163,168,138,206,24,3,176,73,18,143,199,163,75,151,46,76,167,139,18,131,225,13,108,243,60,215,198,220,191,127,239,149,151,95,163,140,1,216,34,47,40,165,131,
126,239,155,223,252,246,47,255,230,23,195,209,73,158,211,36,73,56,231,136,4,46,180,150,82,189,246,218,27,151,46,95,118,65,136,113,232,208,139,142,189,227,233,78,26,167,222,166,141,209,89,142,184,4,70,
72,39,234,116,186,81,20,133,65,32,59,81,152,103,121,158,103,139,56,126,248,240,96,56,28,141,70,227,52,203,226,56,41,138,194,2,112,206,57,163,81,216,81,74,40,41,5,58,237,72,193,24,227,140,145,138,169,234,
197,167,5,226,137,56,16,210,244,37,109,66,121,207,8,140,86,235,250,38,197,170,117,187,187,252,41,82,254,139,227,217,229,179,37,75,192,99,147,211,187,238,89,213,96,103,254,192,105,69,10,175,241,56,205,
191,221,255,126,12,51,21,4,65,16,68,97,208,233,118,194,32,80,74,5,74,113,247,186,123,17,139,1,137,221,172,11,87,127,21,228,207,150,253,207,251,216,172,218,155,82,215,60,242,148,137,90,195,210,61,148,49,
58,203,179,52,77,165,84,173,227,232,47,53,128,1,224,242,149,75,119,239,220,182,165,243,40,193,42,58,75,179,106,194,97,171,88,2,93,104,66,9,163,172,200,115,198,57,0,112,46,146,36,221,222,218,57,56,220,
119,71,44,130,25,81,196,163,40,138,44,207,133,148,232,36,128,159,217,216,220,248,221,127,244,143,62,249,228,163,225,233,48,73,99,163,45,165,52,234,4,155,155,91,87,174,92,185,112,241,162,214,6,127,188,
246,30,184,96,174,229,34,132,163,224,91,30,69,33,42,139,87,208,148,236,248,228,244,248,104,62,157,205,79,79,135,243,249,60,73,51,173,141,5,203,40,21,66,132,97,32,17,81,172,148,148,156,163,182,19,195,69,
179,39,218,8,14,207,224,227,251,202,217,91,243,222,245,103,191,75,217,176,134,249,112,51,8,107,37,31,169,68,60,220,64,203,97,135,43,44,213,114,197,100,161,69,183,189,238,108,234,33,67,155,27,169,218,17,
227,254,16,183,80,108,237,102,91,187,3,173,141,43,8,240,174,80,74,42,37,149,82,157,176,19,70,24,179,149,118,101,21,174,88,27,187,52,235,71,172,11,78,191,220,171,233,254,214,96,146,235,28,225,154,77,74,
237,171,173,51,106,231,225,106,10,157,166,89,16,228,173,20,165,47,59,128,175,93,187,202,4,7,11,196,2,37,44,144,202,90,99,172,145,66,86,237,156,39,7,99,129,49,154,23,133,213,133,82,193,96,176,113,255,254,
157,67,254,184,211,137,132,144,66,160,43,20,153,76,38,0,80,20,249,206,206,142,10,2,127,155,202,41,43,138,162,211,233,188,249,230,119,138,34,79,243,188,200,50,198,24,99,60,8,20,231,60,207,179,26,113,207,
23,85,116,245,57,162,193,148,148,157,110,167,219,141,148,16,148,17,74,232,124,62,155,78,167,123,123,15,135,195,209,100,50,89,196,113,146,164,40,219,194,185,16,156,71,33,58,7,40,165,28,218,169,170,184,
202,125,183,113,181,40,218,165,57,79,51,95,104,10,8,177,164,228,21,181,58,244,173,211,55,110,141,225,210,103,208,65,184,177,203,47,127,53,88,139,78,156,96,151,36,27,98,75,237,24,91,121,100,67,43,249,190,
57,21,171,105,140,180,54,168,173,168,198,38,130,170,246,179,75,214,36,0,231,76,8,17,133,97,167,19,133,149,189,138,16,37,33,217,79,176,181,62,214,143,216,86,208,197,217,124,192,51,34,240,105,254,219,122,
46,212,96,91,214,66,158,231,168,182,211,4,102,125,153,1,108,1,200,229,203,151,251,253,222,108,50,37,132,82,202,187,221,168,215,233,77,166,19,76,188,74,169,210,166,144,84,235,83,107,24,103,218,24,206,217,
235,175,189,62,28,158,142,70,67,107,173,82,57,99,156,115,14,64,210,52,77,211,100,99,99,235,229,151,95,67,48,243,242,230,96,132,82,154,103,25,30,173,161,82,160,36,165,12,89,198,214,26,173,151,166,100,62,
25,128,82,42,133,16,82,134,97,208,235,118,148,20,74,73,0,187,88,204,199,147,241,157,199,39,195,225,233,116,58,155,47,230,89,94,88,139,76,90,34,184,24,12,250,74,74,41,5,250,79,50,129,28,0,134,111,81,233,
114,94,237,9,48,163,17,251,228,177,164,113,202,143,213,124,217,45,126,160,17,60,53,182,13,0,0,37,198,90,98,188,207,147,50,26,45,184,157,206,242,128,192,71,181,158,232,140,37,203,180,76,188,178,184,41,
155,218,122,130,180,106,163,251,7,101,107,25,92,171,159,151,254,230,148,224,84,41,8,130,48,12,34,156,16,162,171,175,16,229,4,65,112,127,104,76,27,151,191,173,117,98,12,205,88,106,70,236,202,57,88,163,
112,174,71,89,173,235,117,155,167,192,202,33,66,9,198,66,150,101,121,158,55,59,225,246,177,199,23,122,253,201,159,252,199,15,222,123,15,7,170,150,192,193,225,201,253,251,15,80,164,219,237,229,41,165,120,
251,32,37,128,0,161,140,70,97,56,157,205,222,125,247,157,135,15,238,59,19,19,92,3,92,185,122,245,149,87,95,237,247,250,73,154,18,111,11,2,64,112,57,236,108,132,24,99,69,158,67,5,34,66,17,31,36,36,74,33,
195,40,136,162,80,201,114,61,83,104,51,159,207,70,163,225,120,52,153,204,166,243,121,178,152,207,178,162,176,22,24,37,120,127,72,33,165,170,90,41,206,221,76,18,192,35,187,249,82,166,21,64,1,200,138,40,
68,41,149,70,129,84,16,255,149,187,185,138,164,242,70,177,149,40,71,85,220,250,54,121,248,232,37,212,17,74,154,155,169,126,69,25,234,200,135,182,165,26,20,154,152,212,135,46,222,46,182,81,186,67,19,135,
188,110,54,214,90,91,210,18,106,102,218,103,99,171,218,203,56,242,149,66,68,157,48,12,2,37,101,24,70,42,80,65,16,148,149,152,87,24,51,239,194,96,112,14,131,205,110,182,25,72,205,214,244,137,9,182,86,250,
54,7,84,173,195,173,218,4,203,207,249,203,39,73,113,15,67,113,137,136,166,19,254,111,255,178,75,104,0,184,121,227,198,7,239,189,87,74,187,91,8,148,148,66,90,91,118,155,156,179,162,208,70,27,193,121,86,
228,76,8,74,16,201,78,210,44,139,162,232,123,255,224,119,95,122,233,149,241,104,24,39,9,33,208,237,246,186,221,238,96,176,33,4,79,211,20,42,201,117,99,140,82,170,40,202,146,152,162,230,43,128,49,38,47,
52,99,20,105,114,65,16,244,123,189,110,175,3,86,11,206,227,56,158,205,166,251,123,71,163,241,248,228,228,116,17,199,73,154,100,121,70,44,33,120,15,113,17,69,29,165,20,214,101,74,74,198,56,161,64,137,179,
70,4,235,82,202,42,74,177,124,147,240,253,195,221,160,1,107,173,161,150,86,58,165,196,162,159,248,138,117,0,2,128,157,186,196,234,189,222,18,48,37,184,137,122,146,205,21,199,21,220,146,200,148,122,24,
152,109,181,53,45,120,32,239,119,52,210,99,75,193,92,227,42,173,35,39,225,127,117,133,248,178,30,19,176,244,106,176,150,80,194,25,143,194,80,5,50,10,195,168,19,5,42,64,105,104,225,245,177,110,199,211,
204,177,126,24,180,162,145,91,227,246,137,48,140,117,187,159,39,150,199,173,95,170,61,31,167,82,70,8,165,216,164,149,254,187,212,41,64,126,197,61,48,0,92,185,122,37,140,162,60,75,41,181,148,82,193,56,
99,52,77,51,4,42,19,103,119,4,22,167,211,156,49,141,213,102,149,78,55,183,54,6,27,3,234,25,216,26,99,22,139,69,233,170,44,132,51,61,68,197,172,162,40,8,35,82,10,99,76,216,9,119,119,163,65,175,203,56,213,
186,48,186,72,211,236,209,195,123,251,251,135,227,241,104,17,199,73,156,100,121,142,102,58,130,11,41,100,39,234,40,172,137,203,51,158,81,194,170,136,45,29,244,140,181,180,194,60,149,211,98,141,70,216,
24,78,229,246,185,202,180,196,154,178,38,69,196,9,226,159,172,49,20,40,26,91,66,153,1,75,47,205,210,115,222,86,2,196,21,15,169,20,21,71,252,172,7,27,70,230,173,3,76,148,178,175,176,162,198,106,170,69,
109,109,5,133,40,110,168,22,194,4,255,4,187,150,241,219,234,18,84,215,139,110,251,254,82,223,18,205,66,41,37,4,105,85,65,24,5,97,24,134,65,16,133,145,144,92,114,33,148,194,169,19,162,41,252,52,219,186,
218,57,187,143,173,37,61,104,115,27,108,93,240,52,91,223,230,171,81,123,240,166,123,75,45,207,151,244,175,82,149,137,161,97,13,138,254,225,223,135,52,59,198,68,171,11,233,87,16,192,155,155,27,23,46,94,
184,127,239,158,164,212,26,131,243,134,69,188,96,200,165,164,168,188,195,117,165,232,143,231,143,41,157,83,152,214,198,26,107,180,41,12,242,221,151,16,63,172,153,141,49,232,165,66,24,116,162,168,211,9,
163,40,146,82,50,70,138,60,75,146,116,17,199,119,238,30,13,135,227,211,225,112,49,159,165,89,166,181,161,20,40,101,156,11,21,132,253,126,159,115,41,37,151,82,50,202,56,231,232,22,93,153,77,211,138,45,
100,9,16,220,53,65,105,218,68,96,9,58,244,238,248,138,204,91,134,50,148,5,40,80,135,251,71,35,81,234,82,37,234,245,184,82,31,60,25,68,231,177,108,253,24,197,162,20,172,1,107,140,41,133,178,160,82,96,67,
100,37,120,51,48,226,201,48,54,198,69,20,72,137,231,194,190,152,182,136,102,172,227,15,158,17,219,14,232,138,121,134,49,202,185,232,68,81,24,6,74,41,252,23,47,193,203,189,44,66,158,92,192,214,114,172,
243,136,107,173,138,107,255,158,29,75,173,225,125,118,21,253,52,143,230,219,205,96,227,0,85,226,193,123,137,148,154,245,232,112,204,80,194,158,115,12,223,58,116,164,73,241,255,10,2,152,82,122,253,250,
141,59,183,110,89,206,9,5,206,217,198,230,198,233,240,84,27,29,40,105,128,24,66,40,0,151,178,40,10,108,0,180,41,202,251,193,152,10,198,140,163,75,75,40,20,69,65,41,65,124,98,20,69,184,134,229,156,73,33,
56,103,167,167,167,241,124,242,224,225,233,241,241,201,100,50,91,204,23,105,150,34,142,10,143,182,40,234,8,193,131,32,144,66,162,82,12,103,148,120,59,183,229,241,12,196,85,122,213,24,9,156,98,115,245,
214,249,152,196,37,76,31,19,39,88,107,245,74,167,234,65,127,45,181,101,179,80,22,151,171,5,51,82,157,74,39,129,10,78,76,252,140,218,52,25,174,188,69,124,105,69,31,251,184,110,169,83,32,7,171,154,147,16,
32,235,224,28,235,140,249,156,233,73,5,50,161,132,0,99,44,8,2,37,69,24,134,97,20,70,97,136,225,42,37,118,178,178,218,45,8,188,107,57,231,172,172,36,107,56,138,178,210,116,225,186,46,199,250,41,171,153,
190,90,163,122,221,250,231,137,221,111,229,166,6,181,167,84,249,58,151,18,41,85,176,18,66,88,5,4,33,140,81,198,48,86,215,14,201,91,127,251,87,16,192,0,112,253,250,213,210,24,201,18,66,72,39,12,3,165,226,
36,49,40,117,68,136,177,182,20,106,177,6,37,41,209,203,187,218,19,26,156,106,128,181,221,94,23,111,128,40,12,140,214,64,32,73,147,211,227,227,199,39,199,211,217,44,142,147,217,20,85,197,11,66,40,231,140,
115,217,239,247,133,224,82,72,193,37,151,165,97,44,222,38,222,214,196,148,65,68,87,249,226,24,71,196,197,170,151,124,128,64,85,237,46,239,9,178,140,22,99,12,42,60,131,41,165,112,160,17,21,152,216,77,153,
87,61,123,78,187,242,28,60,65,242,149,73,117,203,150,216,121,124,217,186,33,64,43,46,186,252,30,239,145,81,33,142,148,6,35,166,9,123,244,31,193,152,178,139,37,4,40,101,130,115,156,12,7,129,10,177,44,46,
81,138,92,112,33,149,114,176,167,50,92,27,32,138,230,228,201,191,106,225,183,206,183,113,93,124,174,131,64,213,130,240,236,46,119,221,98,169,106,104,41,44,255,22,20,196,166,24,172,85,145,236,2,150,249,
127,108,109,192,246,213,179,145,252,107,103,103,187,219,237,77,167,19,66,56,33,38,12,165,144,50,73,83,84,120,118,160,98,148,155,34,148,24,109,132,224,133,214,140,115,193,89,183,219,13,67,213,237,132,89,
150,23,121,30,199,139,147,199,195,79,78,135,167,163,209,108,54,79,210,184,200,181,5,160,132,114,206,165,148,93,37,2,21,8,46,132,116,187,64,190,188,3,42,234,188,99,168,86,199,102,21,131,75,144,67,53,224,
133,165,244,97,245,32,101,146,69,184,197,50,161,149,190,184,214,37,73,82,137,252,59,155,188,37,115,135,56,229,112,128,85,179,233,37,57,129,0,60,5,109,189,85,240,169,92,176,183,73,88,213,224,31,214,215,
112,4,127,28,109,97,101,181,83,81,40,109,101,173,34,132,148,65,160,130,78,20,133,81,128,176,80,84,16,192,154,24,223,145,26,230,169,25,171,173,179,226,102,188,249,90,217,235,134,79,103,207,144,155,153,
182,149,123,208,58,127,114,188,136,170,149,115,57,22,133,30,202,136,173,254,202,114,155,197,75,145,236,122,196,62,145,51,252,12,5,112,24,70,23,46,238,78,38,99,132,37,90,128,126,175,55,155,207,81,70,7,
201,128,214,26,70,89,167,219,17,82,116,80,197,84,9,74,73,158,103,113,156,30,29,30,124,60,26,30,159,156,78,167,179,36,205,208,203,151,18,236,27,68,39,138,148,148,152,101,165,16,148,81,206,56,222,142,205,
98,207,201,145,66,121,55,16,95,183,197,85,143,43,181,98,85,145,46,7,193,164,154,96,17,226,148,193,161,196,226,150,135,130,67,15,151,223,0,158,217,116,201,224,113,86,132,118,173,254,176,133,214,173,41,
172,23,133,131,134,113,97,107,194,105,121,64,191,249,118,226,230,104,122,168,53,222,110,156,115,33,120,24,4,33,226,190,3,21,4,37,130,130,151,233,87,122,24,10,222,26,177,173,80,138,214,125,108,235,136,
232,215,43,125,253,215,208,135,223,213,208,120,107,70,202,196,203,177,152,104,41,41,147,43,37,132,186,130,162,138,94,252,168,204,192,203,161,213,153,163,178,103,55,128,1,224,230,115,215,63,189,245,137,
219,203,71,97,4,198,50,78,164,82,232,25,43,56,147,66,68,145,202,243,98,60,30,237,141,142,79,30,159,140,38,227,197,124,190,136,19,44,167,177,22,9,80,136,77,10,37,84,233,240,44,56,190,142,75,71,210,82,123,
137,172,69,207,3,90,204,47,251,82,11,43,134,166,107,39,55,88,47,88,63,71,209,42,169,27,159,25,183,2,33,182,166,130,81,84,79,202,147,72,109,138,176,53,215,164,79,99,51,221,68,71,45,65,203,164,22,168,224,
147,7,60,28,133,41,49,88,198,0,16,198,40,227,28,131,50,80,42,234,134,97,24,42,137,89,86,96,133,227,211,238,154,3,152,230,208,216,15,203,102,178,109,29,14,55,55,49,103,71,108,141,165,120,118,201,93,125,
18,156,10,127,245,121,138,107,5,66,9,37,220,117,230,140,81,215,187,86,193,74,25,227,235,90,128,167,92,41,63,243,1,124,243,166,82,82,231,5,158,76,113,18,95,218,221,185,180,187,75,56,137,23,243,209,104,
124,176,127,50,158,76,102,211,217,98,145,196,73,140,59,125,198,24,103,34,80,129,144,66,57,138,38,103,140,241,202,105,137,52,111,220,178,3,116,46,86,171,214,135,203,194,9,37,181,136,167,220,111,215,50,
117,234,49,83,66,250,170,184,133,149,56,92,105,59,209,6,173,146,29,38,85,129,186,14,145,223,254,231,212,84,99,172,93,26,38,85,85,238,186,115,202,135,53,123,212,249,242,147,104,191,178,228,39,80,130,160,
97,204,175,17,174,99,5,14,158,16,246,84,234,186,251,251,88,236,80,106,9,182,134,127,106,29,62,173,75,125,173,81,183,142,175,7,235,73,124,173,146,84,53,225,245,106,91,79,150,227,82,66,43,51,167,50,199,
98,124,186,46,160,170,138,89,237,96,250,92,66,244,25,13,224,205,205,205,11,59,23,247,31,61,2,6,140,82,193,249,173,219,31,223,190,115,107,52,30,207,231,139,44,207,48,20,40,99,130,179,78,39,80,50,64,1,4,
156,88,50,198,240,166,88,142,103,60,244,65,179,181,131,21,85,67,104,174,1,1,128,172,202,178,181,87,149,13,53,67,55,124,46,227,176,172,132,91,84,133,61,213,139,229,87,87,156,43,215,83,118,154,27,154,21,
38,221,50,110,141,181,64,40,52,37,23,253,42,192,122,251,36,99,172,5,3,186,58,92,112,86,172,164,148,178,19,133,42,8,194,32,8,130,64,136,101,19,235,42,100,87,18,187,52,235,86,59,173,195,167,218,246,101,
29,188,161,117,49,219,28,74,61,13,53,175,117,247,179,166,149,165,229,166,161,52,34,166,213,0,156,121,57,150,48,198,155,131,226,210,232,166,113,250,124,9,215,87,22,192,140,177,155,55,111,238,239,237,161,
96,127,175,215,61,60,56,30,141,135,82,42,33,68,183,211,85,129,10,164,196,82,12,95,46,60,255,220,54,21,81,59,21,180,201,221,162,182,38,62,238,166,187,229,64,134,212,135,55,173,72,221,214,46,241,140,144,
246,196,158,150,67,105,204,246,62,90,184,102,158,176,46,241,182,254,210,86,78,233,82,62,110,249,152,237,106,230,165,183,109,169,154,9,6,52,150,198,140,50,33,164,234,32,208,73,42,21,224,114,199,167,1,212,
216,118,181,38,182,153,121,90,163,244,236,194,248,41,73,2,181,168,107,45,137,87,63,94,121,140,213,38,214,199,66,81,66,153,235,98,171,50,216,191,184,223,8,180,50,144,190,146,139,127,133,191,251,198,205,
235,63,255,217,207,240,174,23,156,95,220,221,81,1,143,194,200,229,88,108,249,107,37,165,3,211,215,201,220,4,72,195,163,217,219,229,96,244,18,3,214,39,238,53,35,167,198,143,131,134,189,101,107,63,220,60,
50,44,180,127,207,19,155,219,218,173,217,164,224,248,195,210,37,14,100,85,7,167,249,176,165,226,188,181,132,49,33,168,20,81,16,34,73,86,5,42,240,169,118,82,42,159,9,208,92,75,174,27,23,187,201,176,191,
221,105,93,201,158,129,88,60,99,235,115,118,48,175,43,161,151,79,0,17,56,110,232,84,37,216,101,204,150,152,39,86,229,219,18,26,181,142,228,240,44,92,95,101,0,95,188,184,179,177,185,57,60,61,101,214,82,
74,55,6,3,4,222,148,247,1,32,6,184,78,172,33,94,1,233,76,0,155,252,155,149,218,216,41,169,91,28,28,217,39,10,80,124,134,153,144,55,79,106,26,23,212,50,185,207,143,61,187,86,247,15,44,252,79,171,45,64,
235,179,116,90,138,165,95,20,33,148,210,32,10,165,148,81,24,34,224,201,113,119,56,231,21,135,71,214,114,108,77,137,162,137,46,134,245,36,184,179,123,215,179,7,78,79,172,66,215,9,196,46,127,151,171,136,
73,5,99,5,74,203,99,200,71,41,34,92,68,52,23,90,80,122,101,61,115,17,251,12,5,176,82,225,213,235,215,78,79,142,9,0,99,164,236,106,209,149,211,193,157,172,245,147,112,29,26,213,24,78,186,237,139,179,132,
117,131,171,210,13,139,18,104,192,116,161,77,145,180,149,221,230,231,228,179,151,174,208,38,31,227,63,66,13,54,220,58,27,35,229,128,187,156,75,213,69,36,87,155,97,95,131,66,112,38,195,64,5,65,160,164,
82,42,80,65,16,6,74,74,206,75,38,53,23,220,167,239,96,55,235,79,137,91,65,197,173,200,167,51,98,245,236,221,236,58,1,154,102,96,55,75,101,226,65,159,236,114,171,4,132,98,166,45,83,43,238,98,29,106,2,255,
214,54,236,4,33,132,62,131,9,246,153,14,96,0,120,238,230,205,119,223,126,27,33,68,101,127,187,100,245,212,23,28,173,173,105,227,48,182,75,132,161,95,82,58,202,171,105,253,169,181,2,23,240,36,237,255,167,
233,147,155,105,179,150,141,91,132,221,150,84,207,146,155,187,244,34,0,48,21,239,114,169,65,193,57,231,60,8,84,24,6,42,8,162,48,144,229,118,199,237,99,91,250,216,102,142,109,86,197,173,48,131,207,244,
193,186,140,90,167,182,174,39,18,52,97,73,203,109,15,41,9,48,20,201,223,148,98,241,139,104,39,206,197,234,130,135,213,56,192,95,242,204,233,55,45,128,119,118,182,163,40,74,147,68,74,37,184,172,118,176,
208,156,15,185,196,85,75,89,117,81,8,199,98,93,95,151,158,205,29,247,211,154,139,183,39,166,220,51,74,238,179,75,229,90,102,174,125,43,113,28,224,37,244,9,247,144,68,8,129,43,215,48,84,40,74,188,90,21,
47,227,182,14,216,243,166,196,205,237,78,11,193,237,73,240,166,117,148,128,86,130,78,235,172,161,201,140,109,75,227,203,212,11,0,132,114,79,86,110,57,112,226,220,159,18,187,101,197,242,111,132,223,172,
235,43,14,224,193,160,63,24,108,28,198,251,22,44,23,178,117,14,177,110,191,210,12,170,102,121,233,30,202,199,60,180,22,174,43,155,158,198,4,235,108,200,68,19,226,223,170,228,212,122,154,248,31,212,234,
243,165,18,0,16,74,9,6,36,90,34,5,97,160,74,105,45,85,210,0,26,179,98,151,115,252,213,206,58,80,113,51,203,61,177,12,94,151,190,206,78,197,112,38,173,207,65,40,150,43,25,236,169,8,43,145,78,132,144,37,
144,152,162,184,58,214,198,158,70,100,53,88,254,181,192,137,231,1,252,153,150,73,252,218,181,171,7,251,251,96,173,148,124,185,85,93,133,170,183,46,123,214,37,216,102,116,213,228,72,107,34,195,103,203,
74,56,85,244,90,132,183,88,1,181,77,209,214,197,109,109,172,213,64,110,16,66,0,59,85,37,69,20,134,168,62,129,8,22,183,134,245,247,177,53,1,212,230,50,246,137,9,118,29,104,177,118,72,157,29,21,79,3,60,
94,63,181,170,116,70,8,80,194,240,95,202,136,51,190,98,140,51,38,170,15,90,74,226,223,134,136,125,182,2,24,0,174,94,187,246,183,191,250,91,0,34,165,178,182,5,137,90,147,29,106,206,156,206,72,104,235,188,
185,214,101,248,214,125,79,237,113,206,104,137,161,205,195,210,47,143,91,107,117,183,125,193,244,41,165,12,195,32,12,2,116,18,172,68,158,90,246,177,248,175,191,137,109,235,99,43,41,248,54,9,53,127,140,
116,182,90,98,243,45,120,250,132,92,27,86,53,114,251,82,146,10,67,150,86,132,29,94,21,195,46,104,177,170,248,109,142,216,103,46,128,175,92,185,212,31,12,230,179,185,16,194,211,117,130,90,232,54,117,21,
215,165,92,39,146,86,147,186,111,238,84,159,152,201,207,254,158,214,218,216,207,231,78,28,179,30,243,0,164,132,133,50,76,173,74,161,151,135,42,157,83,228,10,168,184,166,126,90,3,39,62,133,112,12,105,150,
54,176,70,15,245,137,44,118,120,10,217,10,223,124,188,170,204,193,135,22,131,127,214,16,78,81,189,158,113,143,3,224,216,133,110,19,235,100,139,126,123,195,245,89,12,224,32,8,47,93,190,244,241,135,31,227,
157,185,206,66,6,206,116,109,94,7,135,128,85,71,172,166,14,43,180,9,74,172,91,231,182,254,224,154,117,20,41,197,98,140,115,45,32,140,81,193,185,84,34,12,202,153,19,10,23,187,212,250,68,182,221,58,213,
98,88,69,17,255,26,152,167,167,236,90,207,78,170,110,218,84,177,109,74,230,125,105,79,71,105,249,68,113,100,236,145,215,171,130,66,120,99,182,229,113,244,91,158,99,159,245,0,6,128,27,55,174,127,250,241,
39,184,97,7,48,235,68,58,215,57,172,183,46,84,91,115,102,171,123,208,211,108,128,124,144,70,211,156,190,102,62,84,122,219,48,202,40,149,168,196,22,72,169,100,160,84,160,2,217,86,21,251,153,103,37,199,
86,170,102,181,160,93,151,63,97,61,31,96,93,115,126,118,55,251,52,53,243,202,199,184,213,193,15,170,42,129,16,194,40,163,21,162,216,171,255,105,53,43,102,181,2,226,60,50,255,62,5,240,213,171,87,195,48,
156,47,22,140,81,116,202,109,246,99,103,91,105,64,67,160,120,221,183,185,7,68,225,187,90,173,222,218,93,183,254,46,223,158,7,41,252,24,117,82,10,180,156,196,46,22,39,197,126,172,74,41,57,250,249,10,129,
247,172,83,84,92,179,143,173,231,162,214,224,57,59,187,58,177,222,39,10,181,157,241,104,103,140,166,41,161,72,104,167,21,45,214,113,214,171,112,117,185,118,165,17,128,103,18,159,120,30,192,159,237,234,
245,122,59,23,46,158,142,134,168,234,214,26,183,53,160,69,107,253,220,58,19,70,87,129,39,230,231,149,129,176,39,70,85,27,53,155,138,206,142,55,31,99,204,121,118,160,182,184,16,28,255,207,87,165,79,155,
8,10,215,142,186,72,62,67,59,6,158,66,84,113,157,188,19,156,185,209,109,126,51,37,190,212,252,10,43,192,107,101,43,155,101,74,9,194,158,24,170,177,241,170,149,69,172,162,112,199,147,207,121,56,175,138,
127,163,2,152,16,114,227,230,245,219,119,62,101,140,162,207,73,205,176,115,13,232,106,77,235,91,233,22,151,197,164,49,73,154,154,162,8,194,208,119,241,93,231,106,231,68,229,240,51,206,30,201,205,138,85,
69,96,87,232,144,37,165,67,80,136,39,41,140,159,97,189,211,44,137,159,94,193,248,41,171,101,104,131,76,156,93,87,47,241,78,100,153,45,41,101,164,228,0,148,53,48,231,204,43,140,235,142,126,231,105,246,
55,60,128,1,224,242,229,75,97,16,82,42,0,98,255,222,106,2,149,106,94,27,181,186,183,202,69,64,8,201,117,30,79,231,81,40,146,197,34,77,211,209,104,124,97,247,34,103,204,199,41,214,237,170,173,181,75,87,
123,66,1,45,60,184,20,66,5,42,12,35,165,202,208,245,3,213,205,141,207,240,221,57,59,92,63,147,118,113,107,48,55,173,241,96,189,24,234,186,170,184,85,213,177,114,8,112,137,212,173,119,40,231,2,39,79,94,
223,190,82,240,159,95,191,45,1,188,177,177,209,235,247,132,160,208,102,51,89,131,13,175,35,15,248,63,82,104,61,29,143,242,44,219,223,31,91,11,59,23,182,165,164,105,28,179,78,199,90,168,185,31,160,71,54,
166,26,12,65,165,84,233,73,22,168,96,117,80,220,154,102,155,84,59,63,255,60,37,74,241,108,240,211,211,136,173,157,17,222,107,178,55,180,43,161,82,156,159,45,39,225,248,135,162,194,184,155,144,215,160,
93,231,133,241,111,111,0,43,165,46,92,216,69,249,88,119,191,154,85,253,68,0,88,167,78,236,86,142,152,150,41,33,121,154,34,252,95,40,181,123,241,98,154,38,214,2,23,194,247,239,128,18,162,200,164,144,42,
144,97,80,122,127,74,41,234,147,39,33,145,190,227,87,197,77,189,152,86,126,236,58,15,158,38,66,248,137,109,234,82,207,224,51,42,45,214,164,158,252,134,217,169,159,162,176,184,3,96,98,85,92,37,88,127,92,
92,23,178,58,191,206,3,24,151,73,55,24,231,77,161,112,223,189,206,119,169,107,114,134,202,159,5,48,214,50,46,80,51,113,107,115,195,152,162,40,180,10,66,74,137,53,134,82,30,134,50,8,148,20,18,237,237,68,
101,244,236,19,119,48,114,125,200,94,211,19,160,53,205,194,26,148,226,58,66,108,115,188,220,170,216,116,134,250,68,107,72,47,79,13,207,193,208,59,92,136,171,136,217,114,193,211,190,208,114,204,216,243,
160,61,15,224,181,215,149,43,151,7,253,193,222,163,135,181,1,85,173,203,93,137,85,175,79,118,70,190,166,228,12,90,21,68,69,150,89,98,57,151,23,119,55,162,40,146,82,148,224,9,89,95,198,186,143,61,125,6,
230,241,93,88,43,80,209,71,158,172,162,80,86,192,79,235,166,193,159,85,118,188,53,122,93,120,174,99,243,32,167,154,150,86,119,229,233,83,69,41,231,156,185,62,182,89,24,159,87,197,231,1,252,180,87,175,
215,189,180,123,249,131,15,222,111,29,156,186,82,121,53,122,203,86,22,125,73,171,178,16,24,227,136,76,12,85,32,149,112,203,216,90,130,197,177,147,16,194,193,12,252,123,215,109,122,106,105,22,214,131,16,
207,232,54,215,77,140,214,153,9,60,77,154,93,53,239,88,129,43,86,219,29,167,64,65,29,80,177,218,244,112,100,240,148,246,197,228,28,68,113,30,192,255,195,215,245,27,215,1,44,58,253,185,84,235,214,72,254,
78,216,104,227,41,227,16,198,168,20,162,114,198,146,77,102,172,235,105,207,246,4,56,219,200,99,93,26,92,55,200,173,217,195,62,13,204,184,249,128,173,28,160,6,75,22,41,1,148,84,232,173,74,247,148,161,230,
107,5,165,118,221,172,15,195,60,143,217,243,0,254,156,174,215,94,123,133,115,89,228,57,227,28,13,242,156,115,7,58,173,148,51,42,74,81,186,93,201,50,100,131,192,73,40,150,38,148,181,52,235,195,9,234,190,
59,158,229,84,43,205,229,12,5,153,214,102,117,93,193,12,79,50,227,129,39,201,211,52,158,21,37,64,9,37,148,17,198,120,101,143,229,112,197,37,5,175,102,75,127,94,24,159,7,240,23,55,199,186,126,227,230,141,
15,63,120,79,41,69,41,51,198,24,109,172,53,40,107,212,237,118,195,160,84,159,168,208,240,172,116,236,229,220,149,199,190,200,83,147,181,211,162,207,70,168,45,21,204,106,99,158,39,4,222,211,72,177,61,141,
59,214,25,155,161,86,101,86,196,61,81,207,207,174,42,43,104,149,102,89,37,242,84,50,8,252,117,209,249,245,155,116,145,39,218,14,124,201,215,237,219,183,255,244,79,255,235,187,239,189,63,159,205,56,99,
81,24,109,110,110,68,157,48,8,2,206,57,173,52,40,241,78,198,88,117,219,157,51,88,59,77,40,133,23,24,212,145,212,90,125,113,224,41,228,157,206,134,88,60,81,132,209,139,49,139,7,10,84,2,227,0,128,1,139,
35,99,74,105,85,21,99,130,173,225,40,106,122,111,231,215,121,0,127,233,215,124,62,187,123,231,238,157,187,183,226,69,140,1,80,186,66,87,195,222,86,117,226,38,163,29,86,93,60,160,205,212,3,158,142,1,251,
89,191,250,52,112,139,85,123,59,234,146,46,26,50,162,51,0,227,172,226,3,208,170,17,96,62,142,194,63,125,206,171,226,243,0,126,38,46,173,117,28,47,142,142,14,143,14,15,147,36,41,138,162,54,199,106,197,
72,60,141,127,199,19,161,197,79,233,145,181,46,187,62,165,227,187,203,252,85,158,173,128,79,37,88,2,91,0,90,181,2,43,232,226,115,104,241,249,245,236,246,192,120,49,198,130,32,220,222,222,33,64,199,227,
97,146,36,184,37,242,165,45,224,73,84,245,51,214,152,79,35,52,177,174,72,62,219,240,178,237,251,193,27,21,123,63,80,214,16,220,119,202,170,50,173,108,21,124,58,207,177,231,215,223,143,0,198,24,238,116,
186,132,80,206,216,100,58,73,146,216,223,0,67,155,140,70,107,234,107,55,34,123,10,77,182,39,138,45,158,145,177,107,69,187,103,215,78,40,229,21,182,184,50,5,40,117,21,235,22,97,85,43,126,30,179,231,215,
223,195,0,70,28,69,24,134,132,16,38,229,108,50,77,147,69,161,11,159,138,4,235,61,141,154,143,118,54,14,241,236,198,117,229,191,171,159,109,46,102,252,89,49,0,160,218,56,91,78,140,25,142,201,81,112,28,
137,120,173,120,233,243,235,252,250,123,28,192,120,43,115,206,163,40,66,4,224,124,70,147,36,118,171,96,104,208,146,160,77,32,242,236,133,205,103,157,54,193,18,232,228,131,158,86,27,111,156,23,19,74,40,
67,55,74,206,177,60,150,53,203,246,115,172,226,249,245,155,28,192,80,17,232,195,48,192,196,53,155,137,36,73,242,44,55,38,51,6,154,240,172,86,25,167,51,10,105,120,58,205,113,191,54,246,237,1,72,229,193,
3,4,91,90,231,245,92,110,122,90,101,174,206,231,79,231,215,111,75,0,187,90,90,41,130,85,40,231,243,56,142,179,148,24,163,141,53,21,76,107,173,112,100,107,87,252,89,225,25,62,23,135,16,230,12,101,73,57,
134,226,136,42,169,130,182,92,252,52,189,100,207,239,182,243,235,183,46,128,93,171,41,132,168,104,52,98,78,105,150,165,90,107,75,180,63,220,106,106,71,159,61,181,110,117,57,108,20,200,148,82,90,193,141,
151,187,28,28,59,121,140,217,21,2,211,121,208,158,95,231,1,220,210,18,87,235,22,182,88,204,210,52,43,242,194,24,109,76,61,140,29,241,125,221,200,170,166,165,92,13,144,28,40,162,52,156,44,97,139,101,196,
18,39,70,225,213,198,75,139,74,248,77,244,206,58,191,206,3,248,115,46,167,43,174,31,231,124,145,36,73,150,103,68,19,162,173,177,26,202,146,26,206,160,227,17,178,244,202,174,112,194,140,16,10,4,28,143,
144,54,196,199,29,22,202,231,6,156,167,217,243,235,60,128,127,157,114,90,74,89,249,53,243,52,77,178,44,203,115,109,109,97,52,6,176,113,166,156,126,75,188,68,62,3,5,98,43,255,58,90,58,223,17,226,8,18,158,
48,106,249,95,159,17,1,231,115,227,243,235,217,201,106,207,32,148,242,105,46,92,38,229,121,158,101,105,146,164,136,184,212,198,24,173,173,69,243,107,2,110,52,141,27,220,50,5,51,159,227,224,11,163,186,
184,173,8,61,231,105,246,252,58,207,192,95,112,57,141,99,45,33,68,154,166,89,150,105,173,181,209,80,106,99,213,189,246,8,129,170,167,101,156,251,248,138,186,111,216,121,208,158,95,231,25,248,203,75,197,
90,235,44,203,178,44,77,211,76,107,173,117,225,108,0,43,96,34,163,148,56,245,54,95,145,227,220,149,231,252,58,15,224,103,34,140,139,162,200,243,44,47,50,93,20,200,62,196,34,153,82,238,173,127,88,171,169,
223,249,117,126,157,7,240,87,31,198,90,107,173,181,227,15,175,147,185,58,127,227,207,175,243,0,126,118,195,216,7,117,156,231,216,243,235,60,128,207,175,243,235,252,122,22,175,243,236,116,126,157,95,231,
1,124,126,157,95,231,215,121,0,159,95,231,215,249,117,30,192,231,215,249,117,30,192,231,215,249,117,126,61,243,215,255,63,0,115,142,128,81,34,188,54,154,0,0,0,0,73,69,78,68,174,66,96,130,0,0};

const char* ACME4PluginAudioProcessorEditor::acme4_scaled_png = (const char*) resource_ACME4PluginAudioProcessorEditor_acme4_scaled_png;
const int ACME4PluginAudioProcessorEditor::acme4_scaled_pngSize = 56179;
